What Is SPS

The Standard Proposal System (SPS) is a business tool designed to facilitate cost proposal organization, preparation, control, communication and analysis by incorporating the seamless integration of all quantitative processes. At its heart is a relational database in which proposal data is stored and from which it's retrieved and used by the System. The System includes the following :

• Proposal Builder for Large Business

• Proposal Builder for Small Business

• Ancillary Proposal Builder Data Entry Utility

• System-generated Validation Model that can be used to check the completeness and accuracy of proposal data, as well as for real-time sensitivity analysis and as a negotiation aid

• Proposal Analyzer that can be used to generate loaded rate and proposal comparison worksheets, as well as for real-time sensitivity analysis

While data is entered and stored in the System using conventional processes, it's translated by the System’s Proposal Builders into the DoD Electronic Data Interchange (EDI) Conventions for a Contract Pricing Proposal (i.e., American National Standards Institute (ANSI) Accredited Standards Committee (ASC) X12 Transaction Sets 805 and 251). Besides allowing the user to communicate internally and externally in a very efficient manner right now, the System speaks the proposal language DoD and a team of business partners developed for future use, so the user is positioned to transition smoothly into the world of electronic data interchange with DoD and other users.

Although developed for DoD Systems Contracting purposes, the subject ANSI standards are relevant for any type of Systems Contracting. The more complex the proposal and the more disparate the estimating practices of the parties involved, the more useful the subject ANSI standards become.

Using the subject ANSI standards, as implemented by SPS, provides clear advantages when communicating quantitative data by facilitating common understanding between:

• Individuals Within Functional Groups

• Functional Groups Within Business Units

• Functional Groups and Management

• Different Levels of Management

• Divisions Within Corporations

• Corporations

• Domestic Suppliers and Buyers

• Foreign Suppliers and Buyers

The quantitative syntax and vocabulary are the same for all parties, so they all speak the same quantitative language, and SPS organizes that language into a readily understandable quantitative narrative.

The System has been designed to be easy to use. Most operations are intuitive and require little, if any, special knowledge to accomplish. Context-sensitive help is available for every System operation and object. While using the System, to display the Help System Overview and the Contents, Index and Search Tabs, press the Shift+F1 keys simultaneously. To display Menu Item Help, move the Mouse cursor to the desired Menu Item and rest it there. To display Help for individual objects during data entry, press the F1 key while the object is active. An understanding of the few complex System operations, such as defining proposal cost logic in terms of Transaction Data Set 805 requirements, can be obtained by reviewing the sample proposals and related instructions that are included with the SPS Proposal Builder applications.


Learning by Doing

The new System user can quickly and easily become familiar with the System’s mechanics by working through the outline provided as part of On-Line Help. Click the Contents Tab and then open the Using the System Book to begin. Other On-Line Help Books expand upon the procedures introduced in Using the System and can be reviewed for more detailed information, as needed.


License Agreement

END-USER LICENSE AGREEMENT FOR SBCOMSOFT SOFTWARE

The End-User License Agreement (EULA), as displayed during product activation and accepted by the user as a requirement for successful activation, can be reviewed using the Standard Proposal System Menu sequence Help | About Sps | Display License Agreement Button.


Using the System Overview

This Book provides a step-by-step outline of the actions that need to be taken to build a proposal using the System. For new users, it provides an opportunity to learn by doing and to see how the whole System ties together in actual practice. For experienced users, it can be used as a quick reference. Other On-Line Help Books expand upon the procedures outlined here and can be reviewed, as needed.


Using the System By the Numbers

1. Install the System as explained in File SpsInstallationReadMeFirst.pdf that's included on the System's Installation CD.

2. Run the SPS Proposal Builder appication by clicking its icon on the user's computer Desktop.

· Note that the SPS Proposal Builder icon is installed as part of System software installation.

· If the subject icon is missing, you can create a new Shortcut using the computer’s operating system. The appropriate SPS icon file is sps.ico. If the System icon is present, but the application does not run, it's probably because the System cannot locate the System start file where it expects to find it (i.e., where originally installed). A simple fix may be to reset the target path under the Shortcut tab of the System's icon’s Properties. The appropriate file name is SpsPB....accde (or SpsPB....accdr for the application's runtime version). If these procedures are unsuccessful, it may be necessary to re-install the System.

3. Make a working copy of sample proposal Sp1.accdb, as follows:

· Select PropAdmn · Copy · EntireProposal from the System menu and copy proposal Sp1.accdb as proposal Sp1w.accdb. Use the copy for familiarization purposes. Note that proposal Sp1.accdb should reside in the ...\Program Files (Sps)\Sbcomsoft\Sample Files folder of the directory in which the System files were installed.

4. Activate sample proposal Sp1w.accdb, as follows:

· Select PropOpen | Old from the System menu and open proposal Sp1w.accdb.

5. Spend some time familiarizing yourself with the Proposal Builder's menu-driven operations. Look at the data associated with the various operations and try to relate the sample data to your own proposal requirements. Work with several of the operations to get a feel for the System.

· Proposal administration operations are grouped under PropAdmn.

· Proposal structure definition operations are grouped under BuildStructure.

· Data entry operations are grouped under DataEntry.

· Standardized proposal output operations are grouped under ANSI.

· The System has been designed to be easy to use. Most operations are intuitive and require little, if any, special knowledge to accomplish. Context-sensitive Help is available for every System operation and object. To display the Help System Overview and the Contents, Index and Search Tabs, press the Shift+F1 keys simultaneously. To display Menu Item Help, move the Mouse cursor to the desired Menu Item and rest it there. To display Help for individual objects during data entry, press the F1 key while the object is active.

6. After becoming generally familiar with the System Proposal Builder’s characteristics and capabilities, you should be ready to build your own proposal. Remember that you can always re-open the sample proposal to practice various operations or for reference purposes. Create a new proposal, as follows:

· Select PropOpen | New from the System menu and create a new proposal.

7. Define the various proposal structures (i.e., Cost Element, Period, Line Item (CLIN/SubCLIN/ELIN), WBS, SOW and Task), keeping in mind the following considerations:

· While proposal structure can be defined and changed at any time, it's advantageous to define as much structure as possible before entering any proposal data into the System.

· As applicable, the Line Item, WBS and SOW structures should be defined before the Task structure, so that as each new task is added to the Task structure, it can be properly related to the other structure items.

· When defining the period structure, choose the various parameters carefully. While the System allows the user to change the period structure at any time, the new structure may require additional data to be entered to supplement existing data. Also, although handled efficiently by the System, the transfer of data from an existing to a new structure can entail considerable processing time for a large proposal.

8. Define the proposal cost logic.

· Proposal cost logic is a set of mathematical relationships that express how individual cost element values are derived and combined to produce a cost proposal. It's a function of each user’s cost estimating system, the composition of each proposal and the rules of the DoD EDI Convention for a Contract Pricing Proposal.

· Building the proposal cost logic can be a lengthy process, if the user’s cost estimating system is complex and the proposal includes many cost elements. However, while not intuitive, the DoD EDI Convention rules are straightforward, few in number, and relatively easy to learn. The key to building the proposal cost logic is a thorough understanding of the user’s cost estimating system and the proposal’s composition.

· After becoming generally familiar with the applicable cost estimating system and proposal composition, examine the proposal cost logic in the sample proposals included with the System to gain a general understanding of how the cost logic table needs to be structured.

9. If required, enter data for the Interchange and Functional Group control segments. These are communication envelopes that may be needed for EDI control purposes. Coordinate with the proposal requester, if uncertain about the need for these segments.

10. As required, enter administrative data using the System’s Essential and Non-Essential administrative data entry operations that are grouped under DataEntry.

11. Enter all base and rate data using the data entry operations grouped under DataEntry.

12. At this point, if you have not already done so, you should seriously consider making a backup copy of the proposal database file to protect your investment of time and effort. Although you may never need to use it, a backup copy can be invaluable, if, for some reason, the System cannot use the working copy. Problems with the working copy can develop in many ways, such as hard-disk failure, accidental erasure of the proposal database file, damage to the proposal database file by a power interruption, etc.

13. After all data has been entered into the System, select ANSI | Translate to convert the proposal from the System format to the DoD EDI format.

· The translated proposal is an ASCII text file that can be viewed by any ASCII text file editor and processed by any software designed to handle the DoD EDI format.

· Note that the System will generate a proposal in the DoD EDI format using whatever proposal data has been entered into it. The user must ensure that the proposal data is complete and accurate.

14. The user should always check the completeness and accuracy of a DoD EDI formatted proposal file before submitting it to the proposal requester. You can use the System to build a ValidationModel, or if available, you can substitute a software model provided by the proposal requester for this purpose or an approved, in-house software model.

15. After building the proposal and ensuring that it is complete and accurate, you may want to analyze it further to see whether it can be improved. The System includes evaluation routines that are separate from the Proposal Builder. These routines allow the user to perform What-if analyses on a proposal and to see the results immediately. The user can examine various scenarios and determine quickly which changes make the most sense. These analysis routines are licensed to the user as part of the System.

16. If you decide to change the proposal, use the System’s Proposal Builder to make the desired changes and to generate a new text file in the DoD EDI format. Check the new proposal for completeness and accuracy, and perform further analysis, as needed. Repeat this process, until you are satisfied the proposal is ready for submittal to the requester.


Validation Model>

The Sps Validation Model is an MS Excel Workbook (xlsm file) that is generated by the System's Proposal Builder using as its data source an ANSI formatted text file (also built by the System's Proposal Builder) based on user provided structure and data. Ms Excel 2007, or a later version, must be installed on the user's computer in order to open this file and to use it as an MS Excel Workbook. The Validation Model includes the standard MS Excel Menu items plus a Custom Menu item added at the end of the Menu Bar/Ribbon. The Custom Menu item allows the user to select individual proposal structure items for display within the Workbook's Worksheets. The Workbook includes six Custom Worksheets that are used to display all proposal data and for analysis purposes.

• The Workbook's Summary Worksheet format has been optimized, based on extensive observation of various formats' effectiveness, and includes the following features:

• Cost proposal cost elements are shown in the first column of the Worksheet. Generally, each cost element whose value is either referenced or used in a formula is listed before any other cost element that either references it or uses it in a formula.

• The data for each cost element is organized into sets of three columns (i.e., Base, Rate and [Extended] Amount) for each proposal period plus a set of three columns for cost element Totals.

• For each cost element, the Base column entry is either a direct entry or a cell reference, whichever is appropriate, with cell references being preferable and used whenever possible.

• For each cost element, the Rate column entry is always a direct entry.

• For each cost element, the Amount column entry is always a formula.

• Using the file format with the features described above has been found to provide several advantages:

• It simplifies cost model build and limits cost model error.

• It's flexible and lends itself to standardization.

• It's relatively easy to trace relationships and how different parts relate to the whole.

• If necessary, it can be readily transitioned from one user to another.

• It's readily reviewable and promotes effective supervision.

• Details of the proposal data are sufficiently transparent to be readily understood by non-experts to facilitate effective proposal management.

• Its use allows a proposal to be inactive for an extended period and then reopened without reentry onto a steep learning curve.

• The Sps Proposal Builder allows the Validation Model to be built so that user-specified rows are hidden on the proposal's Summary Worksheet. These rows exist in the Worksheet, but are hidden from view, because the proposal's cost logic structure has been coded to do so. All rows could be displayed, but, generally, this won't be desirable. For a cost proposal with a complex structure, half, or more, of a the Summary Worksheet's rows may be hidden. Hiding rows allows complex structures to be accommodated without cluttering data display. By design, all proposal Worksheets are password-protected and certain cells are Locked. These limitations have been implemented to preserve the integrity of the proposal Workbook that will function properly, only if certain cells are fixed in relation to certain other cells. Any structure changes must be made to the proposal database file (using the System's Proposal Builder), which will then flow through automatically to the associated proposal's Validation Model Workbook file when it's created.

• The following are noteworthy characteristics of the various Worksheets:

• All Cells, structure and data, are Locked on the Summary, Structure and AdmnData Worksheets.

• Only structure Cells, but not data Cells, are Locked on the SyBases, SyRates and Bases Worksheets.

• Data Cells in the SyBases Worksheet are overwritten whenever the user selects a new proposal structure item from the Custom Menu, so this Worksheet cannot be used to save changes. However, changes made to values on the SyBases Worksheet flow through immediately to the Summary Worksheet, so it's very useful for real-time sensitivity analysis.

• Data Cells in the SyRates Worksheet aren't overwritten whenever the user selects a new proposal structure item from the Custom Menu, so this Worksheet can be used to save changes. Also, changes made to values on the SyRates Worksheet flow through immediately to the Summary Worksheet, so it's very useful for real-time sensitivity analysis.

• Data Cells in the Bases Worksheet aren't overwritten whenever the user selects a new proposal structure item from the Custom Menu, so this Worksheet can be used to save changes. However, changes made to values on the Bases Worksheet don't flow through to the Summary Worksheet immediately, so it cannot be used directly for real-time sensitivity analysis. Instead, after making changes to the Bases Worksheet, the user needs to select a proposal structure item from the Custom Menu, which will repopulate the SyBases Worksheet that is used for real-time sensitivity analysis.

• Saving changes to either the Bases Worksheet or the SyRates Worksheet requires the user to do so explicitly using standard MS Excel methods for saving a Workbook.

Although very useful as a tool for sensitivity analysis and quantitative data communication, the Validation Model is essential to allow proposal preparers to validate user entry of proposal structure and data. Without a tool to process a file generated in accordance with applicable ANSI standards, the file is unusable from a practical standpoint. Examining the information contained in the Validation Model makes it relatively easy for the user to identify any problem areas relating to either structure or data, so necessary changes can be made using the Sps Proposal Builder.


Network Considerations

The System includes provision for potential record locking conflicts that can occur in a multi-user environment and is designed to be used by multiple users simultaneously on a computer network.


Building a Proposal Introduction

All System operations are menu-driven. An overview of the various System menu selections can be obtained using On-Line Help by clicking the Contents Tab and then opening the Menu Command Summaries Book for the Proposal Builder to see the list of topics. During System operation, a description of individual System menu selections can also be obtained from within the menu structure itself by moving the Mouse cursor to the desired Menu Item and resting it there. Before most of the menu selections can be used, a proposal must be activated by either creating a new proposal or opening an existing proposal. Once a proposal has been opened, most menu selections are intuitive and can be mastered with only a little hands-on practice.


PropOpen | Old

PropOpen | Old is used to activate an existing proposal that must have been created using the System.

A proposal must be active before System operations can be performed on it. The System allows only one proposal at a time to be active.


PropOpen | New

PropOpen | New is used to create a new System proposal.

When a proposal is created, it becomes the active proposal. The System allows only one proposal at a time to be active.


PropAdmn | Compact | ProposalDatabase

PropAdmn | Compact | ProposalDatabase is used to defragment a System proposal database file. This operation frees diskspace, so that a file is stored more efficiently on disk, and may improve System performance. Windows Explorer can be used to measure the size effect of compacting any particular proposal database file, so the user can judge how often it should be compacted. Note that each proposal resides in its own database file.


PropAdmn | Encrypt/Decrypt

PropAdmn | Encrypt/Decrypt is used to encrypt or decrypt a proposal database file. Encrypting a proposal compacts the database file and makes it indecipherable without providing its password. Decrypting a proposal reverses the encryption process. Note that each proposal resides in its own database file.

Encrypting a database doesn't restrict access to its objects by authorized users or groups.

The encrypt or decrypt operation fails if there is insufficient storage space on the disk for both the original and the encrypted or decrypted versions of the database file.


PropAdmn | Fix

PropAdmn | Fix can be used to attempt to repair a damaged proposal database file. This condition may be indicated, if a proposal cannot be activated or if the System is behaving unpredictably. Since a damaged database file may be beyond repair or data may be lost in the repair process, this method should be used only as a last resort. The user should first consider re-installing the proposal database file from a backup medium, keeping in mind that any recent changes not saved to the backup medium will be lost in the re-installation process.

After determining that the proposal can be activated using PropOpen | Old and that re-installation from a backup medium is not feasible, PropAdmn | Fix can be attempted, but with no certainty that the repair will restore the database to its original condition with all data intact.


PropAdmn | Backup

PropAdmn | Backup is used to make a copy of an existing proposal, as protection against loss or damage to the database file.

The backup proposal is stored on the drive and subdirectory specified by the user.

The backup proposal is a duplicate of the active proposal, which enables a proposal to be restored, no matter what may happen to the active database file.

The backup database file has the same password protection as the active proposal.

Proposal backup is the safest way to protect against data loss.

Consider proposal backup for all proposals opened during a System session prior to System exit!


PropAdmn | Copy

PropAdmn | Copy is used to create a new proposal from an existing proposal. The new proposal is stored on the drive and subdirectory specified by the user.

PropAdmn | Copy | EntireProposal is used to create a new proposal that is a duplicate of an existing proposal.

PropAdmn | Copy | LogicandElements is used to create a new proposal with only the cost logic and element tables of an existing proposal, so that the existing proposal serves as a partial template for the new proposal.


PropAdmn | Delete

PropAdmn | Delete is used to remove an existing proposal from a specified disk drive and subdirectory.

Since the proposal database file is deleted from disk storage on the computer and cannot be recovered by the System, the proposal ceases to exist for System purposes.

Consider saving a backup copy of a proposal database file prior to deleting the working copy!

PropAdmn | Backup or PropAdmn | Copy | EntireProposal can be used to save a proposal database file to a permanent storage medium, which allows future retrieval, if required.


PropAdmn | Rename

PropAdmn | Rename is used to change the name of an existing System proposal database file and/or move it from its current (source) subdirectory to a new (destination) subdirectory.

The renamed proposal has the same password protection.

The System will create the destination subdirectory, if it does not already exist.


PropAdmn | Information (Main Menu)

PropAdmn | Information is used to display pertinent System information. After a proposal has been opened and the Proposal Menu is displayed, PropAdmn | Information | Proposal can be used to display pertinent Proposal information.


PropAdmn | Passwords

PropAdmn | Passwords is used to assign and remove passwords from System proposal database files. The user must provide the correct password before a protected database file can be opened for any use.

PropAdmn | Passwords | Proposal includes those operations necessary to assign and remove password protection from individual proposal database files.

PropAdmn | Passwords | PropAdmn includes those operations necessary to assign and remove password protection from the main database file. By assigning a password to the main database file, the user can prevent access to the System's Proposal Builder, even in the event an unauthorized user gains access to the user's computer.

It's essential that the user remember System passwords, when assigned. Otherwise, protected proposal data will be unrecoverable by the System and may be unrecoverable by any other retrieval method. A protected main database file will have to be Deactivated, Reinstalled and Reactivated, if the correct password cannot be provided.


PropAdmn | DeActivate

PropAdmn | DeActivate is used to deactivate the Proposal Builder application on the current computer in preparation for transfer to another computer. The Software License Agreement for the Proposal Builder allows the subject application to be used on a single computer at any given time, so it must be deactivated on one computer before it can be activated and used on another computer.

A DeActivation Key is displayed during the deactivation process. Be sure to record this key, as it's needed as proof of product deactivation, when the user contacts the software vendor to obtain a new Activation Key needed for re-activation.


PropOpen | UserAccess

PropOpen | UserAccess is used by the System administator to control access to the various System operations. This is accomplished by enabling and disabling selected System menu items. When the System is installed on each computer workstation, all System menu items are enabled by default. Since most users don’t need access to most of the System operations, the System administator may want to limit access by customizing the System menu structure to the needs of each individual user. All but the basic System operations can be disabled individually by clicking-off the applicable button for each. Conversely, disabled System operations can be enabled by clicking-on the button for each.

The System includes two methods to control access to the UserAccess operation itself. The more flexible method is to assign a password to the UserAccess menu item. This approach prevents unauthorized access, but allows the System administrator to change the menu item settings to meet future user needs. The drawback is that the System administrator must remember and protect the password. Also, a determined individual may be able to defeat the password protection. As an alternative to using password protection, the System administrator can disable the UserAccess menu item itself. Once disabled, the UserAccess menu item is removed from the System. This approach provides total System menu item protection, but at the cost of lost flexibility. If the UserAccess Menu item has been removed, changing the System menu structure in the future will require Deactivation, Reinstallation and Reactivation of the System software. The System currently doesn't allow disabling the UserAccess Menu item, itself.


PropAdmn | Information (Proposal Menu)

PropAdmn | Information is used to display both Proposal and System information.

PropAdmn | Information | Proposal is used to display pertinent Proposal information.

PropAdmn | Information | System is used to display pertinent System information.


PropAdmn | MonitorTaskStatus

PropAdmn | MonitorTaskStatus enables the user to track proposal data entry status by showing who is responsible for each Task estimate; the percentage of each Task estimate already completed; and the projected, or actual, Task estimate completion date.


PropAdmn | ValueEntryTemplates

PropAdmn | ValueEntryTemplates | Define enables the user to define a maximum of ten (10) custom templates for allocating total Base values over all proposal periods. Each custom template is the equivalent of an allocation curve.

Entering Base data as total values (as opposed to individual period values) and, then, allocating the total values using pre-defined templates allows the user to enter and change base data rapidly and consistently.

For System purposes, values are entered into the custom allocation templates as decimal fractions. For example:

· 8.5 % is entered as .085

· 15.0 % is entered as .15

· 100 % is entered as 1.0

PropAdmn | ValueEntryTemplates | PrintTable enables the user to print a summary table of all custom templates defined by the user for purposes of allocating total Base values over all proposal periods. The table is useful for reference purposes during data entry.

PropAdmn | ValueEntryTemplates | ViewTable enables the user to view a summary table of all custom allocation templates. The routine is useful for displaying and reviewing the summary table before printing it.

PropAdmn | ValueEntryTemplates | ChartTable enables the user to view a summary table and graphs of all custom allocation templates. The routine is useful for displaying and reviewing the summary table and graphs before printing them.


PropAdmn | Settings

PropAdmn | Settings allows the user to view and change proposal settings relating to various System administrative functions. These settings remain fixed, until changed by the user.

· The System allows the user to structure the ANSI proposal file by providing the following options:

· Specifying whether or not to include Transaction Data Set 805 (Contract Pricing Proposal).

· Definitively identifying Rate elements by including special message segments in Transaction Data Set 805.

· Unless the user has defined at least one hierarchical structure (i.e., Line Item (CLIN, SubCLIN, ELIN), WBS or SOW) for the proposal and specified that it be included in the translated ANSI proposal, Transaction Data Set 805 provides no definitive means to differentiate between Base and Rate elements.

· If specified by the user, the System will insert the message segment MSG**RATE ELEMENT** as the first MSG segment of each Rate element PD loop.

· Specifying which, if any, of the three System structures (i.e., Line item (CLIN, SubCLIN, ELIN), WBS and SOW) are to be included in the translated ANSI proposal.

· Specifying whether or not to include Transaction Data Set 251 (Pricing Support) data in the translated ANSI proposal..

· The System allows the user to control how various data and structures are imported into a proposal file by providing the following options:

· The Update method starts by retaining the existing data and then changes it based on data in the external file. The changes may be substitution of new data for existing data or insertion of new data, if there is no corresponding existing data.

· The Replace method starts by deleting all existing data and then inserts the data in the external file. The Replace method must be used with caution, since all existing data is deleted, including any data that can only be entered using the keyboard (i.e., narrative, basis-of-estimate and other related Base data.).

· The appropriate Delimiter is determined by the actual character used to separate data elements in the source data file.

· The System allows the user to select one of three alternative data entry modes for Transaction Data Set 251 (Bill of Material) data. Mode selection depends upon whether proposed unit prices are adjusted and, if so, whether they are entered directly or are factored from base unit prices. The three mode settings are described as follows:

· Direct entry of proposed unit prices with no adjustment to them.

· Direct entry of base (unadjusted) unit prices and the corresponding adjustment factors.

· The System calculates the proposed (adjusted) unit prices.

· Direct entry of adjusted proposed unit prices and unadjusted base unit prices.

· The System calculates the adjustment factors.

· The System allows the user to specify and use various Work Breakdown Structure (WBS) methodologies. In order to use a paricular methodology, the user must specify its corresponding format here. The System accommodates several WBS schemas (one Numeric, two Alphabetic and four AlphaNumeric). Defining a WBS format is needed for sorting purposes. Examples of the syntax used for the System’s WBS schemas are as follows:

· Numeric WBS schema:

1.0
1.1
1.1.1
1.1.1.1
1.1.1.1.1
1.1.1.1.2
.
.
.
1.2
1.3
.
.
.
1 ...

· Alphabetic WBS schema:

A | A
AA | A.A
AAA | A.A.A
AAAA | A.A.A.A
AAAAA | A.A.A.A.A
AAAAB | A.A.A.A.B
. | .
. | .
. | .
AB | A.B
AC | A.C
. | .
. | .
. | .
A ... | A ....

· AlphaNumeric WBS schema:

A | A | 01 | 01
A01 | AA | 01A | 0101
A01A | AAA | 01A01 | 010101
A01A01 | AAAA | 01A01A | 01010101
A01A01A | AAAAA | 01A01A01 | 0101010101
A01A01B | AAAAB | 01A01A02 | 0101010102
. | . | . | .
. | . | . | .
. | . | . | .
B | B | 02 | 02
C | C | 03 | 03
. | . | . | .
. | . | . | .
. | . | . | .
ZZ ... | ZZ ... | 99 ... | 99 ...

· The System’s AlphaNumeric WBS schema is very flexible. However, for sorting purposes, certain conventions must be followed:

· Each level in the hierarchical structure must contain exactly two characters.

· A hierarchical level represented by a single letter must be followed by a blank space.

· A hierarchical level represented by a single digit must be preceded by a zero (0).

· Any hierarchical level can be represented by either letters or digits.

The user must employ one of the System’s WBS schemas to ensure consistent results.

Different schema conventions should not be mixed in the same proposal.

Each System proposal has its own settings that have no applicability to other System proposals.

Context-sensitive Help is available for every System operation and object. To display the Help System Overview and the Contents, Index and Search Tabs, press the Shift+F1 keys simultaneously. To display Menu Item Help, move the Mouse cursor to the desired Menu Item and rest it there. To display Help for individual objects during data entry, press the Shift+F1 keys simultaneously while the object is active.


BuildStructure | Overview

BuildStructure

BuildStructure includes those operations necessary to define a proposal's overall structure. While structure changes can be made at any time, it is advantageous to define all proposal structures before starting data entry.

The System incorporates extensive safeguards to promote valid proposal structuring. However, the user is advised to plan, build and change proposal structures in a logical, consistent and straightforward manner to minimize potential structure problems.


BuildStructure | Element

BuildStructure | Element is used to define a proposal's Cost Element structure.

Elements are all of the separately identifiable entities that together comprise a proposer's estimating system (e.g., Purchased Parts, Senior Engineer, Engineering Overhead, Total Engineering Labor Cost, etc.). Every proposal must have a cost element structure. As a minimum, the Element structure must include all of the Cost Elements that will be included in the proposal, including Elements used solely for grouping or display purposes.

For System purposes, Bases, Rates and Calculated amounts must be entered as separate elements.

Each Element must be typed as either Base, Rate, Calculated or Display Only. Elements typed as Base, Rate or Calculated can also be tagged for display. For example, entering Senior Engineering labor into the System requires three separate Elements:

· Senior Engineering labor dollars, typed as Calculated.

· Senior Engineering labor hours, typed as Base.

· Senior Engineering labor rate, typed as Rate.

· All three elements can be tagged for display, if desired.

The Cost Element structure is usually defined entirely by the proposer, based on the proposer's estimating system and individual approach to accomplish the effort. However, sometimes, the proposal requester will specify some or all of the Cost Element structure.

While the Cost Element structure can be changed at any time, it's advantageous to define the entire Cost Element structure before defining the proposal Cost Logic structure or entering data into the System. A Cost Element must be defined in the Cost Element structure before it can be used either in defining the proposal Cost Logic structure or in Data Entry.

The System ensures that a Cost Element cannot be deleted, if there is any reference to it in the proposal Cost Logic structure. The sequence that must be followed to delete a Cost Element that the System will not allow to be deleted otherwise is as follows:

· Execute BuildStructure | CostLogic and delete all entries of the subject Cost Element.

· Re-Execute BuildStructure | Element and delete the subject Cost Element.

Deleting a Cost Element causes all references to it in the proposal's Base and Rate tables to be deleted automatically.

Proposal Backup is the safest way to protect against unintentional data loss, since it allows recovery of lost data.

Proposal Backup should be accomplished prior to any change to the proposal Cost Element structure!


BuildStructure | Period

BuildStructure | Period is used to define a proposal's period structure.

The proposer must specify the proposal start date, end date and unit of time (i.e., calendar year, fiscal year, quarter or month). Also, to allow shifting of data within the overall proposal time frame, the System prompts the user to specify the periods at which data transfer from an old structure to a new structure is to begin.

The proposal period structure is usually defined entirely by the proposer, based on the proposer's estimating system and individual approach to accomplish the effort. However, sometimes, the proposal requester will specify some or all of the proposal period structure.

All proposal period parameters must be specified before data can be entered into the System.

While the proposal period structure can be changed at any time, it is advantageous to select it before data is entered into the System. While the System is designed to transfer data efficiently from an old to a new structure, the processing can entail significant time. Also, adding new periods can result in new data having to be added to supplement existing data.

Changing the proposal period structure causes changes in the proposal's Base and Rate Table Field structures. The changes can result in the loss of data already entered into the System, depending on how the new structure compares to the old structure and the data transfer parameters specified by the user. The System warns the user, if data may be lost during the restructure process.

Proposal Backup is the safest way to protect against unintentional data loss, since it allows recovery of lost data.

Proposal Backup should be accomplished prior to any change to the proposal period structure!


BuildStructure | LineItem

BuildStructure | LineItem is used to define a proposal's Contract Line Item Number (CLIN), Subcontract Line Item Number (SubCLIN) and Exhibit Line Item Number (ELIN) structure.

The Line Item (CLIN/SubCLIN/ELIN) structure, if applicable, is usually specified by the proposal requester. Typically, the Line Item structure must be adhered to exactly as specified. However, sometimes, the Line Item structure must be defined entirely or partially by the proposer, based on the proposer's individual approach to accomplish the effort.

While the Line Item structure can be changed at any time, it's advantageous to define the entire Line Item structure before defining the Task structure, so that the appropriate Line Item references can be entered into the Task structure table during Task structure definition.

Data is entered into the System at the Task level, with each Task related to a particular Line Item.

The System ensures that all Tasks are related to a Line Item. If the user does not provide a Line Item reference for any Task, the System automatically assigns the System default Line Item reference (*Default).

If a Line Item referenced in one or more Tasks is subsequently deleted, the Task references are changed to the System default Line Item reference (*Default). Tasks are not deleted from the database, if referenced Line Items are deleted. Only explicitly deleting a Task will cause it to be deleted from the proposal database.

If a SubCLIN is added to a CLIN which had no SubCLIN or a SubCLIN is appended to a CLIN which was a SubCLIN at the start of a CLIN/SubCLIN structure change sequence, the System displays the message Related Higher Level Item Was Originally Lowest Level ! Press Any Key. This message informs the user that, to preserve logical consistency, the System will take the precaution of changing all references to the affected Line Item in the Task structure table to the System default Line Item reference (*Default). As desired, the user can re-reference the affected Tasks after completing the Line Item structure change sequence. The System handles the SubCLIN/ELIN relationship using logic similar to that used for CLIN/SubCLIN relationship.

The System accommodates Line Item designations up to eleven (11) characters in length. Shown below are three sample Line Item methodologies that should be adequate for all proposals:

0001 | 00001 | 1
0001AA | 00001AA | 1AA
0001AB | 00001AB | 1AB
0001ABA001 | 00001ABA001 | 1ABA001
. | . | .
. | . | .
. | . | .
0001ZZ | 00001ZZ | 1ZZ
0002 | 00002 | 2
0003 | 00003 | 3
0004 | 00004 | 4
0004AA | 00004AA | 4AA
0004AB | 00004AB | 4AB
0005 | 00005 | 5
. | . | .
. | . | .
. | . | .
9999ZZZ999 | 99999ZZZ999 | 9 ... 9ZZZ999

The user can employ one of the three sample methodologies shown above or any other that meets proposal and System requirements, and produces consistent results.

The System requires that only numeric characters be used for CLINs and that two (2) non-numeric characters be appended to the CLIN base string to define related SubCLINs. After appending the two non-numeric characters that identify a SubCLIN for System purposes, any combination of characters (up to a maximum of eleven for the entire Line Item) can be appended to identify ELINs.

Methodologies should not be mixed in the same proposal.


BuildStructure | WBS

BuildStructure | WBS is used to define a proposal's Work Breakdown Structure (WBS).

The WBS, if applicable, is normally specified by the proposal requester. Usually, the WBS structure must be adhered to exactly as specified. However, sometimes, only the higher levels of the WBS are specified by the requester, with lower level definition left to the proposer, based on the proposer's individual approach to accomplishing the effort.

While the WBS can be changed at any time, it's advantageous to define the entire WBS before defining the Task structure, so that the appropriate WBS references can be entered into the Task structure table during Task structure definition.

Data is entered into the System at the Task level, with each Task related to a particular WBS item.

The System ensures that all Tasks are related to a WBS item. If the user does not provide a WBS item reference for a particular Task, the System automatically assigns the System default WBS item reference (*Default).

If a WBS item referenced in one or more Tasks is subsequently deleted, the Task references are changed to the System default WBS item reference (*Default). Tasks are not deleted from the database, if referenced WBS items are deleted. Only deleting a Task explicitly will cause it to be deleted from the database.

If a lower level item is appended to an item that was a lowest level item at the start of a WBS structure change sequence, the System displays the message Related Higher Level Item Was Originally Lowest Level ! Press Any Key. This message informs the user that, to preserve logical consistency, the System will take the precaution of changing all references to the affected WBS item in the Task structure table to the System default WBS item reference (*Default). As desired, the user can re-reference the affected Tasks after completing the WBS structure change sequence.

The System accommodates several WBS schemas (one Numeric, two Alphabetic and four AlphaNumeric). After deciding upon one of the WBS schemas, the user must set the corresponding WBS format, using Menu Operation PropAdmn | Settings | WBSFormat, before entering the WBS structure into the System. Defining a WBS format is needed for sorting purposes. Examples of the syntax used for the System’s WBS schemas are as follows:

· Numeric WBS schema:

1.0
1.1
1.1.1
1.1.1.1
1.1.1.1.1
1.1.1.1.2
.
.
.
1.2
1.3
.
.
.
1 ...

· Alphabetic WBS schema:

A | A
AA | A.A
AAA | A.A.A
AAAA | A.A.A.A
AAAAA | A.A.A.A.A
AAAAB | A.A.A.A.B
. | .
. | .
. | .
AB | A.B
AC | A.C
. | .
. | .
. | .
A ... | A ....

· AlphaNumeric WBS schema:

A | A | 01 | 01
A01 | AA | 01A | 0101
A01A | AAA | 01A01 | 010101
A01A01 | AAAA | 01A01A | 01010101
A01A01A | AAAAA | 01A01A01 | 0101010101
A01A01B | AAAAB | 01A01A02 | 0101010102
. | . | . | .
. | . | . | .
. | . | . | .
B | B | 02 | 02
C | C | 03 | 03
. | . | . | .
. | . | . | .
. | . | . | .
ZZ ... | ZZ ... | 99 ... | 99 ...

· The System’s AlphaNumeric WBS schema is very flexible. However, for sorting purposes, certain conventions must be followed:

· Each level in the hierarchical structure must contain exactly two characters.

· A hierarchical level represented by a single letter must be followed by a blank space.

· A hierarchical level represented by a single digit must be preceded by a zero (0).

· Any hierarchical level can be represented by either letters or digits.

The user must employ one of the System’s WBS schemas to ensure consistent results.

Different schema conventions should not be mixed in the same proposal.


BuildStructure | SOW

BuildStructure | SOW is used to define a proposal's Statement of Work (SOW).

The SOW, if applicable, is normally specified by the proposal requester. Usually, the SOW structure must be adhered to exactly as specified. However, sometimes, only the higher levels of the SOW are specified by the requester, with lower level definition left to the proposer, based on the proposer's individual approach to accomplish the effort.

While the SOW can be changed at any time, it's advantageous to define the entire SOW before defining the Task structure, so that the appropriate SOW references can be entered into the Task structure table during Task structure definition.

Data is entered into the System at the Task level, with each Task related to a particular SOW item.

The System ensures that all Tasks are related to a SOW item. If the user does not provide a SOW item reference for any Task, the System automatically assigns the (*Default).

If a SOW item referenced in one or more Tasks is subsequently deleted, the Task references are changed to the System default SOW item reference (*Default). Tasks are not deleted from the proposal database, if referenced SOW items are deleted. Only explicitly deleting a Task will cause it to be deleted from the database. If a lower level item is appended to an item that was a lowest level item at the start of a SOW structure change sequence, the System displays the message Related Higher Level Item Was Originally Lowest Level ! Press Any Key. This message informs the user that, to preserve logical consistency, the System will take the precaution of changing all references to the affected SOW item in the Task structure table to the System default SOW item reference (*Default). As desired, the user can re-reference the affected Tasks after completing the SOW structure change sequence.

The System accommodates Numerical and Alphabetical SOW naming methodologies, which are summarized as follows:

1. | A.
1.1 | A.A
1.1.1 | A.A.A
. | .
. | .
. | .
20. | T.
20.1 | T.A.
20.2 | T.B.
20.2.1 | T.B.A
. | .
. | .
. | .
n ... | Z ...

The user must use one of these two methodologies to ensure consistent results.

The methodologies should not be mixed in the same proposal.


BuildStructure | Task

BuildStructure | Task is used to define a proposal's Task Structure.

Tasks are the various, individual actions by which an effort is accomplished. They are the basic work units that underlie the Line Item (CLIN/SubCLIN/ELIN, WBS and SOW structures and are a function of a proposer's distinct approach to accomplish the effort.

For System proposal purposes, every proposal must have a Task structure. While the Task structure can be the same as either the Line Item or WBS structure, it still must be entered into the System and maintained separately.

For System proposal purposes, each Task must be entirely allocable to a single Line Item and/or WBS item and/or SOW item, as applicable. If a Task, as initially conceived, cannot be allocated to a single Line Item and/or WBS item and/or SOW item, as applicable, the proposer must separate the Task into sub-Tasks, each of which can be allocated to a single Line Item and/or WBS item and/or SOW item, as applicable. Likewise, if a Task, as initially conceived, includes both non-recurring and recurring costs that are going to be differentiated within the proposal, the proposer must separate the Task into sub-Tasks.

Data is entered into the System, changed and deleted at the Task level, with each Task related to a particular WBS item, Line Item and SOW item, as applicable.

The System ensures that all Tasks are related to a WBS item, Line Item and SOW item. If the user does not provide a WBS item, Line Item or SOW item reference for any Task, the System automatically assigns the System default reference (*Default).

If a WBS item, Line Item or SOW item referenced in one or more Tasks is subsequently deleted, the Task references are changed to the System default reference (*Default). Tasks are not deleted from the database, if referenced WBS items, Line Items or SOW items are deleted. Only explicitly deleting a Task will cause data to be deleted from the database.

While the Task structure can be defined and changed at any time, it's advantageous to define the WBS, Line Item and SOW structures, as applicable, before defining the Task structure. This allows the appropriate WBS, Line Item and SOW references to be entered into the Task table during Task structure definition.


BuildStructure | CostLogic

BuildStructure | CostLogic is used to define a proposal's Cost Logic.

A proposal's Cost Logic is based on the proposer's estimating and accounting systems. For System purposes, it’s expressed using the ANSI standard for a Contract Pricing Proposal, ASC X12 Transaction Data Set 805, conventions. The subject ANSI standard provides conventions for identifying and organizing data and structure, but provides no conventions for incorporating ANSI structured information into a cost model. How the ANSI information is actually used is left entirely up to the user. Accordingly, the SPS Validation Model uses its own unique set of usage conventions that must be followed to obtain valid cost model results (for this model). Basic SPS Validation Model Cost Logic structure conventions are identified and explained below.

The basic concept underlying SPS Validation Model Cost Logic methodology is to use a bottoms-up approach to define proposal structure. Under this approach each Element must be defined before it can be used in the definition of another Element.

For example, if Element "Total Direct Labor Cost" is a function of "Total Engineering Labor Cost" and "Total Manufacturing Labor Cost", then, "Total Engineering Labor Cost" and "Total Manufacturing Labor Cost" must be defined before "Total Direct Labor Cost". Likewise, if "Total Engineering Labor Cost" is a function of several Engineering labor categories, the logic for each Engineering Labor category must be defined before "Total Engineering Labor Cost".

Defining a proposal's Cost Logic can be a complex process. Context-sensitive Help is available for every System operation and object. To display the Help System Overview and the Contents, Index and Search Tabs, press the Shift+F1 keys simultaneously. To display Menu Item Help, move the Mouse cursor to the desired Menu Item and rest it there. To display Help for individual objects during data entry, press the Shift+F1 keys simultanousely while the object is active. Although, defining a proposal's Cost Logic can be a complex process, for many, if not most proposal cost models, defining the Cost Logic is actually straightforward and intuitive. Much of the discussion below relates to handling situations that could arise, and, therefore, must be provided for, but are not common. Also, since the System provides for reusing proposal Element and Logic Table structures, they need be constructed only once and, then, modified as needed in the future.

Certain Elements have lookup tables associated with them. Lookup tables contain a list of valid Element values from which the user can select a value for direct entry onto a data entry form. Pressing the button next to an Element while entering data activates table lookup for that Element.

Note that the Element ID can be entered only through table lookup. As a consequence, only those Elements entered into the System through BuildStructure | Element can be used to define proposal Cost Logic. To preserve logical consistency, a proposal's Cost Element structure must be defined before its Cost Logic structure. Note, however, that, if necessary, both the Cost Element structure and the Cost Logic structure can be modified at any time.

The following, basic considerations have been found to be useful in building Cost Logic Tables:

· Before starting to build a Cost Logic Table, build an MS Excel, or comparable product, spreadsheet that incorporates all Bases, Rates, References and Formulas used in a particular cost estimating system.

· Next, populate the spreadsheet with sample Base and Rate data for all Elements. Populating the spreadsheet with sample data allows the spreadsheet, itself, to be validated and provides the baseline for testing the Logic Table entries.

· Enter rows of data into the Logic Table incrementally and test after each increment using Menu Operations ANSI | Translate | ProposalSegmentsOnly, followed by ValidationModel | Create. Increments to the Logic Table should be sized to allow quick identification of problem entries. For example, a workable increment could be the definition of each Engineering Labor Cost Element, followed by the total for Engineering Labor. Each increment should execute properly before proceeding to the next increment.

Basic SPS Validation Model Cost Logic structure conventions are summarized as follows:

· All operations begin with Calculation Code E (Equals) and end with Calculation Code"F (End of Formula).

· Most proposals will use only three Cost Logic operations: Direct Entry, Addition and Multiplication. Some proposals may use a fourth Cost Logic operation, Equivalency, for display purposes and to place calulated values into worksheet cell locations different from SPS Validation Model default locations. Equivalency examples are shown and explained below. Subtraction and Division are available operations, but aren't usually needed or used. The ANSI Standard includes the Exponentiation operation. However, the System handles this operation the same as Multiplication.

· System convention requires that Direct Entry Elements (e.g., Purchased Parts, Subcontracts, etc.) be expressed using two Calculation Code entries, with Calculation Code E for the first entry and Calculation Code F for the second. The following example shows how Purchased Parts is expressed as a Direct Entry Element. Note that the Element ID, as well as the Description and UMC, are the same for both entries.

Element ID | Description | UMC | Calc Code
PP | Purchased Parts | DO | E
PP | Purchased Parts | DO | F

· System convention requires that Multiplication be expressed using three Calculation Code entries, each with a particular association. The prescribed order is as follows:

· | Calculation Code "E" (1st Entry) | Multiplication Result (Product)
· | Calculation Code "M" (2nd Entry) | Multiplication Base (Multiplicand)
· | Calculation Code "F" (3rd Entry) | Multiplication Rate (Multiplier)

· System convention requires that Division be expressed using three Calculation Code entries, each with a particular association. The prescribed order is as follows:

· | Calculation Code "E" (1st Entry) | Division Result (Quotient)
· | Calculation Code "D" (2nd Entry) | Division Base (Dividend)
· | Calculation Code "F" (3rd Entry) | Division Rate (Divisor)

Note that ANSI TDS 805 doesn't provide for explicit Rate Element identification (nor Base Element identification). Standard Proposal System convention is to infer that an Element is a direct Rate Element (i.e., is to be included in the SyRates Worksheet) by its usage as such (i.e., the third entry) in a Multiplication or Division operation. If a Multiplication or Division operation is to be accomplished using a rate previously computed in the proposal's Logic Table, the subject calculated rate must first be set to an Equivalency Element and the latter Element used in the Multiplication or Division operation. Failure to follow this convention will generate unintended, and invalid, results in the Validation Model's Summary, SyBases and/or SyRates Worksheets. Creating and using an Equivalency Rate Element for Division or Multiplication purposes is discussed below after the general discussion of Equivalency.

· System convention requires that Addition be expressed using three Calculation Code entries, each with a particular association. The prescribed order is as follows:

· | Calculation Code "E" (1st Entry) | Addition Result
· | Calculation Code "A" (Mid Entries) | All Values to be Added, except Last
· | Calculation Code "F" (Last Entry) | Last Value to be Added

· System convention requires that Subtraction be expressed using three Calculation Code entries, each with a particular association. The prescribed order is as follows:

· | Calculation Code "E" (1st Entry) | Subtraction Result
· | Calculation Code "S" (Mid Entries) | All Values to be Subtracted
· | Calculation Code "F" (Last Entry) | Value from which Code "S" entries are to be Subtracted

Note that the ANSI Standard includes a Display Order # Element that is not shown in the following examples. The ANSI Standard contemplates that the Display Order # will be used to Indicate that the Cost Element is to appear on a Cost Summary at the position (i.e., row number) specified. The System uses the Display Order # to indicate that a Cost Element is to appear on the Summary Worksheet, but not necessarily at the numeric position specified. The System derives the Cost Element display order from each Element’s relative position in the proposal’s Logic Table. For System purposes, entering any non-blank value for the Display Order # will cause the Element to be displayed on the Summary Worksheet, while a blank entry will cause the Element to be hidden. For System (i.e., Validation Cost Model) purposes, preceding the Display Order # with a zero (0) will cause a blank row to be entered before the subject Cost Element. The System will accept Display Order # values other than 0 or 1, but all characters after the 0 or 1 entries will be ignored. The effect of leaving the subject Element blank or entering 0 or 1 is clearly demonstrated by observing the results of each type of entry on a Validation Model's Summary Worksheet. The numbers shown in the fifth column of the following examples are included solely to identify each row of the example for discussion purposes, not to demonstrate Display Order # usage.

· The following example shows the Cost Logic for two Direct Entry Elements and Addition of the same into a third Calculated Element.

Element ID | Description | UMC | Calc Code | Row
PP | Purchased Parts | DO | E | 1
PP | Purchased Parts | DO | F | 2
SUB | Subcontracts | DO | E | 3
SUB | Subcontracts | DO | F | 4
TDM | Total Direct Material | DO | E | 5
PP | Purchased Parts | DO | A | 6
SUB | Subcontracts | DO | F | 7

· The next example shows the Cost Logic for Multiplication, as well as for Direct Entry Elements and Addition already discussed above. Many, if not most, proposal cost models can be represented using only these basic operations.

Element ID | Description | UMC | Calc Code | Row
PP | Purchased Parts | DO | E | 1
PP | Purchased Parts | DO | F | 2
SUB | Subcontracts | DO | E | 3
SUB | Subcontracts | DO | F | 4
E1H | Engineer 1 Labor (Hours) | HR | E | 5
E1H | Engineer 1 Labor (Hours) | HR | F | 6
E2H | Engineer 2 Labor (Hours) | HR | E | 7
E2H | Engineer 2 Labor (Hours) | HR | F | 8
E3H | Engineer 3 Labor (Hours) | HR | E | 9
E3H | Engineer 3 Labor (Hours) | HR | F | 10
TDM | Total Direct Material | DO | E | 11
PP | Purchased Parts | DO | A | 12
SUB | Subcontracts | DO | F | 13
MOH | Material Ovehead | DO | E | 14
TDM | Total Direct Material | DO | M | 15
MOHR | Material Overhead Rate | PI | F | 16
E1D | Engineer 1 Labor (Dollars) | DO | E | 17
E1H | Engineer 1 Labor Hours | HR | M | 18
E1R | Engineer 1 Labor Rate | A8 | F | 19
E2D | Engineer 2 Labor (Dollars) | DO | E | 20
E2H | Engineer 2 Labor Hours | HR | M | 21
E2R | Engineer 2 Labor Rate | A8 | F | 22
E3D | Engineer 3 Labor (Dollars) | DO | E | 23
E3H | Engineer 3 Labor Hours | HR | M | 24
E3R | Engineer 3 Labor Rate | A8 | F | 25
ETOTDDOL | Total Direct Engineering (Dollars) | DO | E | 26
E1D | Engineer 1 Labor (Dollars) | DO | A | 27
E2D | Engineer 2 Labor (Dollars) | DO | A | 28
E3D | Engineer 3 Labor (Dollars) | DO | F | 29
ETOTHRS | Total Engineering (Hours) | HR | E | 30
E1H | Engineer 1 Labor (Hours) | HR | A | 31
E2H | Engineer 2 Labor (Hours) | HR | A | 32
E3H | Engineer 3 Labor (Hours) | HR | F | 33

· Rows 1-10 follow standard System convention to define the five Direct Entry Elements used in the example. As noted earlier, System convention uses the E/F Sequence to identify Direct Entry Elements and to place them in the SyBases Worksheet of a proposal's Validation Model. Efficient System cost modeling practice is to define all Direct Entry Elements as the first Logic Table operations. Doing so first, and together, ensures that all are included (i.e., none have been missed), so as to be available for use in succeeding operations.

· Rows 11-13 follow standard System convention to define an Adddition operation using two previously defined Direct Entry Elements.

· Rows 14-16 follow standard System convention to define a Multiplication operation using a previously Computed Dollar Amount and a Rate. System convention is to infer that the third entry in a Multiplication (or Division) operation is a direct entry Rate and to place it in the SyRates Worksheet of a proposal's Validation Model.

· Rows 17-25 follow standard System convention to define three separate Multiplication operations using three Direct Entry Elements and three Rates. Following System convention, each third entry in each Multiplication operation is inferred to be a direct entry Rate that is placed in the SyRates Worksheet of a proposal's Validation Model.

· Rows 26-29 follow standard System convention to define an Addition operation using three previously Computed Elements.

· Rows 30-33 follow standard System convention to define an Addition operation using three previously defined Direct Entry Elements.

· As noted above, Direct Entry Elements (e.g., Purchased Parts, Subcontracts, etc.) are expressed by two entries, with Calculation Code E for the first entry and Calculation Code F for the second. The same entry sequence (i.e., Calculation Code E followed by Calculation Code F) can be used to express Equivalency (i.e., setting one Element equal to another). A Direct Entry Element is expressed by using the same Element ID for both entries, while different Element IDs are used to express an Equivalency Element. To express an Equivalency Element, the target Element is entered first (i.e., Calculation Code E) and the source Element is entered second (i.e., Calculation Code F). Consistent with general Cost Logic convention, the source Element must be defined before it can be used in an Equivalency sequence. Equivalency Elements provide display flexibility and, with the exception of another important use discussed below, are useful primarily for display purposes in the Amount column. An example is displaying the result of an addition operation without a line above the sum value. System convention is to add a line above the sum value automatically in all addition operations. The sum value can be displayed without a line by hiding the addition sum Element, setting a new Element equivalent to the sum value Element and, then, displaying the Equivalency Element. The Equivalency Element value (i.e., cell reference) for the target Element is positioned on the Worksheet’s Base, Rate or Amount column, based on the value of the first entry’s UMC code, as follows:

· | UMC Code "DO" | Amount Column
· | UMC Code "A8" | Rate Column
· | All Other UMC Codes | Base Column

· The following examples demonstrate the Equivalency sequence:

· The sequence below will place a reference to the Source Element’s (SE$) Amount column Cell in the Target Element’s Amount column Cell.

TE1 | Target Element 1 | DO | E
SE$ | Source Element ($) | DO | F

· The sequence below will place a reference to the Source Element’s (SE$) Amount column Cell in the Target Element’s Rate column Cell.

TE2 | Target Element 2 | A8 | E
SE$ | Source Element ($) | DO | F

· The sequence below will place a reference to the Source Element’s (SEHR) Base column Cell in the Target Element’s Base column Cell.

TE3 | Target Element 3 | HR | E
SEHR | Source Element (Hrs) | HR | F

Besides being useful for Validation Model Worksheet display purposes, for System purposes, the Equivalency Element is essential to construct a valid multiplication or division operation that uses a Computed Rate Element. As discussed above, standard System convention is to treat the third Element in a Multiplication or Division operation as a Direct Entry Rate Element and, accordingly, to place it in the SyRates Worksheet of a proposal's Validation Model. Unless special provision is made to handle a Computed Rate Element, besides placing the Computed Rate Element in the SyRates Worksheet that is reserved specifically for Direct Entry Rates, various proposal Validation Model Worksheet cell formulas could be rendered invalid. Examples of explicitly defined Rate Elements are Software Engineering Labor Rate, Engineering Overhead Rate and G&A Rate). The System uses the Rate Equivalency Element to accomodate the situation where a particular estimating system uses logic that requires division by other than a Direct Entry Rate Element. An example scenario that shows when a Rate Equivalency Element would needed is one where an Engineering Support Labor rate is derived by dividing a proposal's total Engineering Direct Labor dollars by its total Engineering Direct Labor Hours, and then using the computed rate to calculate Engineering Support Labor dollars.

To preserve logical consistency, an Element should not be defined as both Direct Entry and Equivalency. The System will handle the double definition, but the results may not be as intended. Logically, an Element defined as an Equivalency Element in a proposal's Logic structure should have its Cost Element Type defined as C (Calculated Element) in the proposal's Cost Element structure.

· The next example shows the Cost Logic for Division and Equivalency, as well as for Direct Entry, Addition and Multiplication Elements as already discussed.

Element ID | Description | UMC | Calc Code | Row
PP | Purchased Parts | DO | E | 1
PP | Purchased Parts | DO | F | 2
SUB | Subcontracts | DO | E | 3
SUB | Subcontracts | DO | F | 4
E1H | Engineer 1 Labor (Hours) | HR | E | 5
E1H | Engineer 1 Labor (Hours) | HR | F | 6
E2H | Engineer 2 Labor (Hours) | HR | E | 7
E2H | Engineer 2 Labor (Hours) | HR | F | 8
E3H | Engineer 3 Labor (Hours) | HR | E | 9
E3H | Engineer 3 Labor (Hours) | HR | F | 10
TDM | Total Direct Material | DO | E | 11
PP | Purchased Parts | DO | A | 12
SUB | Subcontracts | DO | F | 13
MOH | Material Ovehead | DO | E | 14
TDM | Total Direct Material | DO | M | 15
MOHR | Material Overhead Rate | PI | F | 16
E1D | Engineer 1 Labor (Dollars) | DO | E | 17
E1H | Engineer 1 Labor Hours | HR | M | 18
E1R | Engineer 1 Labor Rate | A8 | F | 19
E2D | Engineer 2 Labor (Dollars) | DO | E | 20
E2H | Engineer 2 Labor Hours | HR | M | 21
E2R | Engineer 2 Labor Rate | A8 | F | 22
E3D | Engineer 3 Labor (Dollars) | DO | E | 23
E3H | Engineer 3 Labor Hours | HR | M | 24
E3R | Engineer 3 Labor Rate | A8 | F | 25
ETOTDDOL | Total Direct Engineering (Dollars) | DO | E | 26
E1D | Engineer 1 Labor (Dollars) | DO | A | 27
E2D | Engineer 2 Labor (Dollars) | DO | A | 28
E3D | Engineer 3 Labor (Dollars) | DO | F | 29
ETOTHRS | Total Engineering (Hours) | HR | E | 30
E1H | Engineer 1 Labor (Hours) | HR | A | 31
E2H | Engineer 2 Labor (Hours) | HR | A | 32
E3H | Engineer 3 Labor (Hours) | HR | F | 33
ETOTHRSEQUIVBASE | Total Engineering (Hours) Equivalency Element - Rate Column | A8 | E | 34
ETOTHRS | Total Engineering (Hours) | HR | F | 35
ETOTAVGRATE | Total Engineering Average Labor Rate | DO | E | 36
ETOTDDOL | Total Direct Engineering (Dollars) | DO | D | 37
ETOTHRSEQUIVBASE | Total Engineering (Hours) Equivalency Element - Rate Column | A8 | F | 38
ESUPTHRS | Engineering Support Hours | HR | E | 39
ETOTHRS | Total Engineering (Hours) | HR | M | 40
ESUPTFACTOR | Engineering Support Factor | DO | F | 41
ETOTAVGRATEEQUIVRATE | Total Engineering Average Labor Rate - Rate Column | A8 | E | 42
ETOTAVGRATE | Total Engineering Average Labor Rate | DO | F | 43
ESUPTDOL | Engineering Support (Dollars) | DO | E | 44
ESUPTHRS | Engineering Support (Hours) | HR | M | 45
ETOTAVGRATEEQUIVRATE | Total Engineering Average Labor Rate - Rate Column | A8 | F | 46
ETOTDOL | Total Engineering (Dollars) | DO | E | 47
ETOTDDOL | Total Direct Engineering (Dollars) | DO | A | 48
ESUPTDOL | Engineering Support (Dollars) | DO | F | 49

· Rows 1-33 have been discussed previously.

· Rows 34 and 35 are an Equivalency Sequence. The resultant Equivalency Element (Row 34) is used as the third entry in the Division Sequence that follows in Rows 36-38. As noted above, standard System convention is to infer that the third entry in a Division Sequence is a Direct Entry Rate. Since the third entry, Total Engineering (Hours) in Row 38, is Computed, as opposed to Direct Entry, an Equivalency Element (Row 34) must be used to inform the System that the entry in the subject Division Sequence is to be processed using other than standard System convention.

· Rows 36-38 are a Division Sequence, with the third entry (Divisor) being an Equivalency Element that the System requires for proper processing of a Computed Rate.

· Rows 39-41 are a Multiplication Sequence that follows standard System convention.

· Rows 42 and 43 are another Equivalency Sequence. The resultant Equivalency Element (Row 42) is used as the third entry in the Multiplication Sequence that follows in Rows 44-46. As noted above, standard System convention is to infer that the third entry in a Multiplication Sequence is a Direct Entry Rate. Since the Total Engineering Average Labor Rate in Row 46 is Computed, as opposed to Direct Entry, an Equivalency Element (Row 42) must be used to inform the System that the entry in the subject Multiplication Sequence is to be processed using other than standard System convention.

· Rows 44-46 are a Multiplication Sequence, with the third entry (Multiplier) being an Equivalency Element that the System requires for proper processing of a Computed Rate.

· Rows 47-49 are an Addition Sequence that follows standard System convention.

The conventions described above are demonstrated more fully in the Sample Proposals distributed with the System.


DataEntry | Overview

DataEntry

DataEntry includes those operations necessary to enter proposal data into the System using the computer keyboard. When data entry is accomplished using the keyboard, extensive System controls are used to ensure the structural integrity and logical consistency of the resultant proposals prepared in the ANSI format.

Data Entry is a complex process. Context-sensitive Help is available for every System operation and object. To display the Help System Overview and the Contents, Index and Search tabs, press the Shift+F1 keys simultaneously. To display Menu Item Help, move the Mouse cursor to the desired Menu Item and rest it there. To display Help for individual objects during data entry, press the Shift+F1 keys simultaneously while the object is active.

Many data elements have lookup tables associated with them. Lookup tables contain a list of valid element values from which the user can select a value for direct entry onto a data entry form. Pressing the button next to an element while entering data activates table lookup for that element.

Note that certain data elements (e.g., Line Items (CLIN, SubCLIN, ELIN), WBS Items and SOW Items) that are associated with individual proposal Tasks can be entered only by lookup tables. The System incorporates this constraint to promote logical consistency among the various data element entries.


DataEntry | DetailedCostData

DataEntry | DetailedCostData includes those operations necessary to enter detailed Base, Rate and pricing support data into the System.

DataEntry | DetailedCostData | Bases is used to enter Base data into the System by previously user-defined Tasks, Base Elements and Periods.

DataEntry | DetailedCostData | Rates is used to enter Rate data into the System by previously user-defined Rate Elements and Rate Periods.

DataEntry | DetailedCostData | TS251PricingSupport includes those operations necessary to enter detailed pricing support data into the System that will be included in the System generated ANSI proposal file as a separate Transaction Data Set 251 (as opposed to a Transaction Data Set 805 for all other data).


DataEntry | EssentialAdmnData

DataEntry | EssentialAdmnData is used to enter the type of administrative proposal data into the System that will be essential for most proposals. The user should exclude particular data entries only after confirming they are not needed for a particular proposal.


DataEntry | NonEssentialAdmnData

DataEntry | NonEssentialAdmnData includes those operations necessary to enter the types of administrative proposal data into the System that are not inherently essential, but may be relevant to a particular proposal, depending on the proposal requirements.

DataEntry | NonEssentialAdmnData | RelatedTransactionSets is used to enter into the System a maximum of twenty (20) Transaction Data Sets related to the current Transaction Data Set.

DataEntry | NonEssentialAdmnData | PertinentParties is used to identify pertinent organizations and provide relevant organizational details. Data can be entered in multiple iterations, as required.

DataEntry | NonEssentialAdmnData | LineItemDetails is used to identify Contract or Solicitation Line Items and provide relevant details. Data can be entered in multiple iterations, as required.

DataEntry | NonEssentialAdmnData | ContractandCASData is used to provide Contract and Cost Accounting Standards (CAS) information. Data can be entered in multiple iterations, as required.

DataEntry | NonEssentialAdmnData | MonetaryAmountsis used to provide total monetary amounts. Sequence 1 is used for the basic offer. Sequence 2 is required, if the proposing party is submitting an alternate offer.


DataEntry | GeneralText

DataEntry | GeneralText is used to enter information into the proposal that is not included elsewhere.


DataEntry | ControlSegments

DataEntry | ControlSegments includes two operations necessary to enter Interchange and Functional Group control information into the System. Either, both or neither of these operations may be relevant to a particular proposal, depending on the proposal requirements.

Both the Interchange and Functional Group controls are elements of the Electronic Data Interchange (EDI) structure. Their purpose is to provide the Standards user with multiple levels of control to ensure data integrity. This is accomplished by using header and trailer control segments designed to identify uniquely the start and end of Functional Groups within an Interchange Group and Transaction Data Sets within Functional Groups.

The System is designed to build a communication package that can include a maximum of one Interchange control structure and one Functional Group control structure.

The System can handle multiple proposals (i.e., Transaction Data Sets) within one Functional Group control structure. In a multiple proposal/one Functional Group situation, each proposal is named, built and maintained separately. The individual proposals are, then, combined into one communication package using ANSI | Translate | AllSegments | MultipleProposals.

All proposals in a multiple proposal communication package are embedded within the control structures of the active proposal.

DataEntry | ControlSegments | InterchangeControlSegment is used to define an Interchange of one Functional Group (i.e., collection of one or more similar Transaction Data Sets). The Interchange header and trailer segments enclose the Functional Group and perform the following functions:

· Define the Data Element separators and Data Segment terminators.

· Identify the Sender and Receiver.

· Provide control information.

· Allow for authorization and security information.

DataEntry | ControlSegments | FunctionalGroupSegment is used to define the applicable Functional Group (i.e., collection of one or more similar Transaction Data Sets) and provide control information. The Functional Group is enclosed within the Interchange envelope.


Import

Import includes those operations that allow proposal Bill of Material, Base and Rate data, as well as certain proposal structures, to be entered into the System from external files. These external files will typically consist of data downloaded from another user database using custom software designed for that purpose. In considering whether to use System Import operations, instead of keyboard entry, the user must balance expected benefits against the expense of developing, or otherwise acquiring, custom downloading software. Each Import operation has its own external file with specific structure requirements that are explained elsewhere in System Help.

Besides ensuring that the subject external files are structured properly, the user must ensure that all imported data is logically consistent with itself and with the proposal into which it's being imported. The System tests the external file for structural validity (i.e., correct field structure) before importing data, but does no testing for logical consistency or content. This approach provides the user with maximum flexibility, but the tradeoff is increased risk that internal inconsistencies can develop. Internal inconsistencies can develop within a proposal, if references are made to structural elements that are missing or if the structures themselves are incomplete or inconsistent.

For all Import operations, the user can either Update or Replace existing data. The user specifies which method to use, as well as the field delimiter, for each Import operation in PropAdmn | Settings | ExternalFileImport.

· The Update method starts by retaining the existing data and then changes it based on data in the external file. The changes may be substitution of new data for existing data or insertion of new data, if there is no corresponding existing data.

· The Replace method starts by deleting all existing data and then inserts the data in the external file. The Replace method must be used with caution, since all existing data is deleted, including any data that can only be entered using the keyboard (i.e., narrative, basis-of-estimate and other related data.).

Always check the proposal after an Import operation to ensure the results are as expected. Import operations are inherently risky, and can cause data loss and possibly even proposal damage.

· Always Backup a proposal to a storage device before attempting to Import data into it!


Import | Data

Import | Data includes those operations that allow Bill-of-Material, Base and Rate data to be entered into the System from external files. Data Import is limited to certain Bill-of-Material Elements and numeric data for Bases and Rates. Narrative, Basis-of-Estimate and other related data must be entered from the keyboard. This approach allows import of the most significant data with the need for only modest custom software to collect it in preparation for its import by the System. External file structure considerations applicable to all Data Import operations are as follows:

· File Type: ASCII Text, with txt file extension.

· The System will recognize only files with a txt file extension.

· Field Delimiter: Comma (Default), or as specified by PropAdmn | Settings | ExternalFileImport. The subject delimiter must be inserted after all fields in the file, except the very last field. If the file is structured to include individual records, the last field in each record, except for the very last record, must be followed by the subject delimiter.

· Record Delimiter: CR/LF (Carriage Return and Line Feed) can be used to separate individual records for purposes of file build and display. However, CR/LF is ignored by the System during all Import operations, which is why a delimiter is needed after the last field of each record.

Import | Data | BillofMaterial is used to import certain Bill-of-Material Elements into the System from an external file. The keyboard equivalent is DataEntry | DetailedCostData | TS251PricingSupport | BillofMaterial. Specific file structure considerations are outlined as follows:

· Data is entered into the file by Sets. Each Set consists of the following fields:

· Item Name:

· Item’s identifying description.

· Maximum field length is 40 alphanumeric characters.

· Total Quantity Ordered:

· Total quantity of material on which the unit price is based.

· Maximum field length is 15 numeric characters, including sign and decimal point, if applicable.

· Proposed Unit Price:

· Price per unit of product, service, commodity, etc.

· Maximum field length is 15 numeric characters, including sign and decimal point, if applicable.

· Item Source Name:

· Item supplier name.

· Maximum field length is 80 alphanumeric characters.

· The following example shows Material Item data:

Widget1,1000,10.75,Widget1 Supply,

Widget2,57,1050.25,Widget2 Supply,

·

·

·

Widgetn,.25,10000,Widgetn Supply

Import | Data | DirectInputs is used to import numeric Base data into the System from an external file. The keyboard equivalent is DataEntry | DetailedCostData | Bases. Specific file structure considerations are outlined as follows:

· Data is entered into the file by Sets. Each Set consists of the following fields:

· Task ID:

· Tasks are the various, individual actions by which an effort is accomplished. Every proposal must have a Task structure. Task IDs are defined by the user as part of a proposal’s structure (See BuildStructure | Task). They are unique short-hand names assigned by the user and should have a logical basis in the user’s plan to accomplish the effort.

· Maximum field length is 30 alphanumeric characters.

· Cost Element ID:

· Cost Elements are all of the separately identifiable entities that together comprise the user’s estimating system (e.g., Purchased Parts, Senior Engineer, Engineering Overhead, Total Engineering Labor Cost, etc.). Every proposal must have a Cost Element structure. Cost Element IDs are defined by the user as part of a proposal’s structure (See BuildStructure | Element). They are unique short-hand names assigned by the user and are easiest to use when descriptive of the related Cost Elements (e.g., Senior Engineer Category 1 could have an ID of SenEngr1 or SECat1).

· Maximum field length is 35 alphanumeric characters.

· Value for each Estimating Period:

· Maximum field length is 15 numeric characters, including sign and decimal point, if applicable.

· Estimating Periods (i.e., Year, Quarter or Month) are defined by the user as part of a proposal’s structure (See BuildStructure | Period).

· The following example shows Structure and Base data for a Proposal with three periods:

TASK1,ENGR1,975,-233,678.23,

TASK1,ENGR2,3494.56,0,267,

.

.

.

TASKn,OTHERCOSTn,234,-863.35,10000

Import | Data | RatesandFactors is used to import numeric Rate data into the System from an external file. All values, including percentages, are entered as decimal values. The keyboard equivalent is DataEntry | DetailedCostData | Rates. Specific file structure considerations are outlined as follows:

· Data is entered into the file by Sets. Each Set consists of the following fields:

· Cost Element ID:

· Cost Elements are all of the separately identifiable entities that together comprise the user’s estimating system (e.g., Purchased Parts, Senior Engineer, Engineering Overhead, Total Engineering Labor Cost, etc.). Every proposal must have a Cost Element structure. Cost Element IDs are defined by the user as part of a proposal’s structure (See BuildStructure | Element). They are unique short-hand names assigned by the user and are easiest to use when descriptive of the related Cost Elements (e.g., Senior Engineer Category 1 could have an ID of SenEngr1 or SECat1).

· Maximum field length is 35 alphanumeric characters.

· Value for each Estimating Period:

· Maximum field length is 15 numeric characters, including sign and decimal point, if applicable.

· Estimating Periods (i.e., Year, Quarter or Month) are defined by the user as part of a proposal’s structure (See BuildStructure | Period).

· The following example shows proposal Structure and Rate data for a Proposal with three periods:

ENGR1,20.75,21.50,23.05,

ENGR2,17.50,18.10,18.90,

.

.

.

OTHERCOSTn,.12,.135,.124

Before accomplishing an Import operation, see Import for an explanation of Import methods and field delimiters.

Always check the proposal after an Import operation to ensure the results are as expected. Import operations are inherently risky, and can cause data loss and possibly even proposal damage.

· Import | Data can be used to empty the Bill-of-Material, Base and Rate data tables by first setting the respective Import method to Replace and then specifying an empty text (txt) file as the import source.

· Always Backup a proposal to a storage device before attempting to import data into it!


Import | Structure

Import | Structure includes those operations that allow Structure data to be entered into the System from external files. External file Structure considerations applicable to all Structure Import operations are as follows:

· File Type: ASCII Text, with txt file extension.

· The System will recognize only files with a txt extension.

· Field Delimiter: Comma (Default), or as specified by PropAdmn | Settings | ExternalFileImport. The subject delimiter must be inserted after all fields in the file, except the very last field. If the file is structured to include individual records, the last field in each record, except for the very last record, must be followed by the subject delimiter.

· Record Delimiter: CR/LF (Carriage Return and Line Feed) can be used to separate individual records for purposes of file build and display. However, CR/LF is ignored by the System during all Import operations, which is why a delimiter is needed after the last field of each record.

Import | Structure | Elements is used to import the proposal’s Cost Element structure. Elements are all of the separately identifiable entities that together comprise the user’s estimating system (e.g., Purchased Parts, Senior Engineer, Engineering Overhead, Total Engineering Labor Cost, etc.). Every proposal must have a Cost Element structure that is defined by the user. As a minimum, the Element structure must include all of the Cost Elements that will be included in the proposal. The keyboard equivalent is BuildStructure | Element. Specific file structure considerations are outlined as follows:

· Data is entered into the file by Sets. Each Set consists of the following fields:

· Cost Element ID:

· Unique short-hand name for each Cost Element as assigned by the user. They are easiest to use when descriptive of the related Cost Elements (e.g., Senior Engineer Category 1 could have an ID of SenEngr1 or SECat1). They can be considered as abbreviations of the Cost Element Descriptions.

· Maximum field length is 35 alphanumeric characters.

· Cost Element Description:

· The actual, long-hand name of the Cost Element as assigned by the user (e.g., Purchased Parts, Senior Engineer Category 1, Technician V, G&A).

· Maximum field length is 80 alphanumeric characters.

· Unit of Measurement Code:

· Code specifying the units in which a value is being expressed or manner in which a measurement has been taken. Acceptable codes are as follows:

A8 Dollars per Hour

DO Dollars

HR Hours

IE Person (i.e., people assigned to task)

PI Percent

UN Units

ZZ Mutually Defined (Used to indicate other non-hour units)

· Maximum field length is 2 alphanumeric characters.

· Element Type Code:

· Code specifying the Cost Element type for System purposes. Rate, Base and Calculated Elements can be used for display, as well as for Data Entry and Cost Logic formulas. Acceptable codes are as follows:

B Base Element

C Calculated Element

D Display Element (Only)

R Rate Element

· Maximum field length is 1 alphanumeric character.

· Cost of Money Applicability Code:

· Code specifying whether or not Cost of Money (COM) applies to the Cost Element. Acceptable codes are as follows:

N Cost of Money Does Not Apply to the Cost Element

Y Cost of Money Applies to the Cost Element

· Maximum field length is 1 alphanumeric character.

· Display Element During Data Entry Code:

· Code specifying whether or not to display the subject Element during data entry.. Acceptable codes are as follows:

N Do not display the Element during data entry

Y Display the Element during data entry

· Maximum field length is 1 alphanumeric character.

· The following example shows valid Cost Element structure:

ENGR1,Engineer Category 1,HR,B,Y,Y,

COMPUTE,Computer Usage,DO,B,N,Y,

.

.

.

G&A,G&A,DO,R,Y,N

· A major advantage of importing the Cost Element structure is that the text file can be built using a full-featured text editor, which is potentially much faster than entering data from the keyboard. The advantage of using a full-featured text editor becomes readily apparent when there are a large number of Cost Elements. The disadvantage of importing the Cost Element structure versus keyboard entry is that there are fewer System controls to ensure accuracy and consistency, so the user must exercise greater care.

Import | Structure | LineItem is used to define a proposal's Contract Line Item Number (CLIN), Subcontract Line Item Number (SubCLIN) and Exhibit Line Item Number (ELIN) structure. While most proposals will have a Line Item structure, it's not mandatory. The keyboard equivalent is BuildStructure | LineItem. Specific file structure considerations are outlined as follows:

· Data is entered into the file by Sets. Each Set consists of the following fields:

· Line Item Number:

· The actual assigned number in the Line Item hierarchical structure (e.g., 0001, 0002AA, 0002AA001)

· Maximum field length is 30 alphanumeric characters.

· Line Item Description:

· The description of the Line Item Number.

· Maximum field length is 80 alphanumeric characters.

· The System accommodates Line Item designations up to eleven (11) characters in length. Shown below are three sample Line Item methodologies that should be adequate for all proposals:

0001 | 00001 | 1
0001AA | 00001AA | 1AA
0001AB | 00001AB | 1AB
0001ABA001 | 00001ABA001 | 1ABA001
. | . | .
. | . | .
. | . | .
0001ZZ | 00001ZZ | 1ZZ
0002 | 00002 | 2
0003 | 00003 | 3
0004 | 00004 | 4
0004AA | 00004AA | 4AA
0004AB | 00004AB | 4AB
0005 | 00005 | 5
. | . | .
. | . | .
. | . | .
9999ZZZ999 | 99999ZZZ999 | 9 ... 9ZZZ999

The user can employ one of the three sample methodologies shown above or any other that meets proposal and System requirements, and produces consistent results.

The System requires that only numeric characters be used for CLINs and that two (2) non-numeric characters be appended to the CLIN base to define related SubCLINs. After appending the two non-numeric characters that identify a SubCLIN for System purposes, any combination of characters (up to a maximum of eleven for the entire Line Item) can be appended to identify ELINs.

Methodologies should not be mixed in the same proposal.

· The following example shows a valid import file’s Line Item structure:

0001,Production Units,

0001AA,Production Unit 1,

0001AB,Production Unit 2,

.

.

.

9999,Data

Import | Structure | WBS is used to define a proposal's Work Breakdown Structure (WBS). While most proposals will have a WBS, it's not mandatory. The keyboard equivalent is BuildStructure | WBS. Specific file structure considerations are outlined as follows:

· Data is entered into the file by Sets. Each Set consists of the following fields:

· WBS Item Number:

· The actual assigned number in the WBS hierarchical structure (e.g., 1.0, 1.1, 1.1.1)

· Maximum field length is 30 alphanumeric characters.

· WBS Description:

· The description of the WBS Item.

· Maximum field length is 80 alphanumeric characters.

· The following example shows a valid import file’s WBS structure:

1.0,System,

1.1,Prime Mission Equipment,

1.1.1,Line Replaceable Unit 1,

.

.

.

1.99,Data

· The System accommodates several WBS schemas (one Numeric, two Alphabetic and four AlphaNumeric). After deciding upon one of the WBS schemas, the user must set the corresponding WBS format, using Menu Operation PropAdmn | Settings | WBSFormat, before entering the WBS structure into the System. Defining a WBS format is needed for sorting purposes. Examples of the syntax used for the System’s WBS schemas are as follows:

· Numeric WBS schema:

1.0
1.1
1.1.1
1.1.1.1
1.1.1.1.1
1.1.1.1.2
.
.
.
1.2
1.3
.
.
.
1 ...

· Alphabetic WBS schema:

A | A
AA | A.A
AAA | A.A.A
AAAA | A.A.A.A
AAAAA | A.A.A.A.A
AAAAB | A.A.A.A.B
. | .
. | .
. | .
AB | A.B
AC | A.C
. | .
. | .
. | .
A ... | A ....

· AlphaNumeric WBS schema:

A | A | 01 | 01
A01 | AA | 01A | 0101
A01A | AAA | 01A01 | 010101
A01A01 | AAAA | 01A01A | 01010101
A01A01A | AAAAA | 01A01A01 | 0101010101
A01A01B | AAAAB | 01A01A02 | 0101010102
. | . | . | .
. | . | . | .
. | . | . | .
B | B | 02 | 02
C | C | 03 | 03
. | . | . | .
. | . | . | .
. | . | . | .
ZZ ... | ZZ ... | 99 ... | 99 ...

· The System’s AlphaNumeric WBS schema is very flexible. However, for sorting purposes, certain conventions must be followed:

· Each level in the hierarchical structure must contain exactly two characters.

· A hierarchical level represented by a single letter must be followed by a blank space.

· A hierarchical level represented by a single digit must be preceded by a zero (0).

· Any hierarchical level can be represented by either letters or digits.

The user must employ one of the System’s WBS schemas to ensure consistent results.

Different schema conventions should not be mixed in the same proposal.

Import | Structure | SOW is used to define a proposal's Statement of Work (SOW). While most proposals will have a SOW, it's not mandatory. The keyboard equivalent is BuildStructure | SOW. Specific file structure considerations are outlined as follows:

· Data is entered into the file by Sets. Each Set consists of the following fields:

· SOW Number:

· The actual assigned number in the SOW hierarchical structure (e.g., 1., 1.1, 1.1.1)

· Maximum field length is 30 alphanumeric characters.

· SOW Description:

· The description of the SOW Item.

· Maximum field length is 80 alphanumeric characters.

· The System accommodates numerical and alphabetical SOW naming methodologies, which are summarized as follows:

1. | A.
1.1 | A.A
1.1.1 | A.A.A
. | .
. | .
. | .
20. | T.
20.1 | T.A.
20.2 | T.B.
20.2.1 | T.B.A
. | .
. | .
. | .
n ... | Z ...

The user must use one of these two methodologies to ensure consistent results.

The methodologies should not be mixed in the same proposal.

· The following example shows a valid import file’s SOW structure:

1.,Prime Mission Equipment,

1.1,Line Replaceable Unit 1,

1.2,Integration and Test,

.

.

.

99.99,Training Equipment Manual

Before accomplishing an Import operation, see Import for an explanation of Import methods and Field delimiters.

Always check the proposal after an Import operation to ensure the results are as expected. Import operations are inherently risky, and can cause data loss and possibly even proposal damage.

· Always Backup a proposal to a storage device before attempting to Import data into it!


ANSI | Overview

ANSI

ANSI includes those operations necessary to generate a proposal file compliant with American National Standards Institute (ANSI) standards and the Department of Defense (DoD) Electronic Data Interchange (EDI) Convention.

The System handles various file configurations, selection of which depends upon proposal requirements, as specified by the proposal requester.

A System-generated file in the standard proposal format is an ASCII text file with a file extension of txt and the same name as the active proposal.

Creation of a file in the standard proposal format is the final step in the proposal preparation process. All necessary proposal data must be entered into the System before a valid proposal in the ANSI format can be generated.

The System will attempt to generate a proposal in the ANSI format using whatever proposal data has been entered into the System.

Always check the validity of a System generated ANSIproposal file before submitting it to the proposal requester. If available, use a software model provided by the proposal requester for this purpose. As an alternative, consider using an approved, in-house software model, if available, or use the spreadsheet software model (i.e., Validation Model) that has been provided with the System for this purpose.

If a proposal file contains multiple proposals, each of the proposals should be tested separately before generating the multi-proposal file.

If the software test does not validate the standard proposal file:

· Identify the problem(s).

· Enter or change Proposal data, as required.

· Re-generate the ANSI proposal file.

· Re-accomplish the software test.

· Repeat the process, until the software test proves the proposal has been prepared properly in the ANSI format.


ANSI | Translate

ANSI | Translate includes those operations necessary to convert data from the System format in which it is stored to the ANSI proposal format in which it is transmitted.

ANSI | Translate | AllSegments includes those operations necessary to convert both proposal and control data from the System format in which it is stored to the ANSI proposal format in which it is transmitted. The converted proposal includes proposal segments (i.e., transaction sets) enclosed within defined control segments.

ANSI | Translate | AllSegments | SingleProposal is used to convert both proposal and control data for the active proposal from the System format in which it is stored to the ANSI proposal format in which it is transmitted.

ANSI | Translate | AllSegments | MultipleProposalsis used to combine the active proposal and a set of up to ten (10) other, specified proposals into a single proposal in the ANSI proposal format.

· First, both proposal and control data for the active proposal are converted from the System format in which it is stored to the ANSI format in which it is transmitted.

· Next, each of the other proposals is appended, in the order specified, to the data for the active proposal to create a single, combined proposal.

· Prior to creating a combined proposal, each of the other specified proposals must already have been converted to and stored in the ANSI proposal format (i.e., a txt file must exist for each).

· Each of the other specified proposals should have been converted without any control segments (i.e., usingANSI | Translate | ProposalSegmentsOnly).

· The name and storage location of the combined, single proposal is specified by the user.

ANSI | Translate | ProposalSegmentsOnly is used to convert proposal data for the active proposal from the System format in which it is stored to the ANSI proposal format in which it is transmitted.

· The converted proposal includes proposal segments (i.e., transaction sets) for the active proposal.

· No Control Segments are included in the converted proposal.


ANSI | Copy

ANSI | Copy is used to copy the active proposal’s ANSI text file to a specified device (i.e., drive/path) for storage or physical distribution.

A proposal must be converted from the System format into the ANSI format using ANSI | Translate, before it can be copied using ANSI | Copy.


ANSI | Delete

ANSI | Delete is used to delete the active proposal's ASCII text (txt) file (i.e., the file translated into the ANSI format) from the active drive/path.

Only the proposal's translated ANSI txt file is deleted. The proposal data tables are unaffected and can be used in the future to generate other ANSI txt files.

If an ANSI txt file does not exist for the proposal, no action is taken.


Troubleshooting (Introduction)

There are several reasons why the System may fail to operate as expected. This Book addresses the more common potential problems, with the goal of providing sufficient information to allow the user to resolve them in a timely and straightforward manner.


Troubleshooting (System Activation)

System Cannot Be Activated

· If the application doesn't open when started from the Sps Proposal Builder's Desktop Shortcut, open the subject Shortcut's Properties Dialog Box and ensure that the Target: Path is valid. If not valid, re-enter the valid Path and retry running the application.

· If the application still doesn't open, it's likely one or more System files has been erased or corrupted. In this situation, it's recommended that the user contact Sbcomsoft Corporation before proceeding further. Sbcomsoft can help to diagnose the problem and, if necessary, provide replacements for any files determined to be missing or corrupted.

· Don't attempt to reinstall the application before contacting Sbcomsoft.


Troubleshooting (Proposal Activation)

Proposal Cannot Be Activated

The proposal file may have become corrupted. First consider re-installing the proposal file from a backup medium, keeping in mind that any recent changes not saved to the backup medium will be lost. As an alternative, PropAdmn | Fix can be used to attempt to repair a damaged proposal file. Since a damaged file may be beyond repair or data may be lost in the repair process, this method should be used only as a last resort.


Proposal Builder Menu Command Summary

PropAdmn (Main Menu)

Compact

ProposalDatabase : Defragment a Specified System Proposal

MainDatabase : Defragment the System’s Main Database File

Encrypt/Decrypt : Encrypt or Decrypt a System Proposal

Fix : Attempt to Repair a Damaged System Proposal

Backup : Copy an Existing System Proposal to a Specified Storage Device and Folder as Protection Against Loss or Damage to the Subject Proposal

Copy

EntireProposal : Create a New System Proposal as a Duplicate of a Specified System Proposal and Save It to a Specified Storage Device and Folder

LogicandElements : Create a New System Proposal with the Cost Logic and Elements of a Specified System Proposal and Save It to a Specified Storage Device and Folder

Delete : Delete a Specified System Proposal from Storage (Recovery not Possible)

Rename : Change the Name of an Existing System Proposal and/or Move It from Its Current Folder to a New Folder

Information : Show Pertinent System Information

Passwords

Proposal

Set : Assign Password Protection to a Specified System Proposal

Remove : Remove Password Protection from a Specified System Proposal

PropAdmn

Set : Assign Password Protection to the Main Database File

Remove : Remove Password Protection from the Database File

DeActivate : Deactivate the Proposal Builder Application on the Current Computer in Preparation for Transfer to Another Computer

PropOpen

Old : Activate a Specified System Proposal that Already Exists

New : Create and Activate a New System Proposal

DefaultFileFolder : Set the Active Folder (Default Subdirectory Path) When the System is Started

UserAccess

Customize : Enable and Disable Selected System Menu items (Used for System Administration)

Password

Set : Assign Password Protection to the UserAccess Menu item

Remove : Remove Password Protection from the UserAccess Menu Item

Help

HelpSystemOverview : Basic Guidance on Obtaining System Help

About SPS : Displays Information About the Standard Proposal System

Exit

No : Stop the Exit Process and Remain in the System

Yes : Exit the System

PropAdmn (Proposal Menu)

Information

Proposal : Show Pertinent Information for the Active Proposal

System : Show Pertinent System Information

MonitorTaskStatus : Track Proposal Data Entry Status by Task for the Active Proposal

ValueEntryTemplates

Define : Define Custom Templates for Allocating Total Base Values Over Proposal Periods for the Active Proposal

PrintTable : Print a Summary Table of All Custom Templates for Allocating Total Base Values Over Proposal Periods for the Active Proposal

ViewTable : View/Display a Summary Table of All Custom Templates for Allocating Total Base Values Over Proposal Periods for the Active Proposal

ChartTable : View/Display a Summary Table and Graphs of All Custom Templates for Allocating Total Base Values Over Proposal Periods for the Active Proposal

Settings

ANSIFileStructure : Specify the Data Elements to Be Included in the ANSI Proposal File for the Active Proposal (TS 805, Rate Element Identification Segments, Hierarchical Structure References and TS 251)

ExternalFileImport : View and Change the Import Method and Field Delimiter for Each External File Whose Data Can Be Imported Into the System for the Active Proposal

TS251BOMDataEntryMode : Specify Whether Base Unit Prices are to Be Adjusted and, If So, by Dollar Entries or by Factors for the Active Proposal

WBSFormat : Change the Format of the Work Breakdown Structure

BuildStructure

Element : Define the Active Proposal’s Cost Elements

Period : Define the Active Proposal’s Performance and Cost Estimating Periods

LineItem : Define the Active Proposal’s Line Item Numbers

WBS : Define the Active Proposal’s Work Breakdown Structure Items

SOW : Define the Active Proposal’s Statement of Work Items

Task : Define the Active Proposal’s Basic, Underlying Structure

CostLogic : Define the Active Proposal’s Cost Element Relationships and Estimating Formulas

DataEntry

DetailedCostData

Bases : Enter Direct Inputs for the Active Proposal by Cost Element and Task

Rates : Enter Rates and Factors for the Active Proposal by Cost Element

TS251PricingSupport

EssentialAdmnData : Enter Essential Administrative Data for the Pricing Support That Will Be Included as a Separate Transaction Set 251 for the Active Proposal

BillofMaterial : Enter a Bill of Material That Will Be Included in a Separate Transaction Set 251 for the Active Proposal

Essential : Enter Essential Administrative Data for the Active Proposal

Non-Essential

RelatedTransactionSets : Enter References to Other Related Transaction Sets for the Active Proposal

PertinentParties : Identify Pertinent Organizations and Provide Relevant Information for the Active Proposal

LineItemDetails : Identify Each Line Item Being Proposed and Provide Details for the Active Proposal

ContractandCASData : Provide Contract and Cost Accounting Standards Data for the Active Proposal

MonetaryAmounts : Specify Total Monetary Amounts for the Active Proposal

GeneralText : Enter Information into the Active Proposal Not Included Elsewhere

ControlSegments

InterchangeControlSegment : Define an Interchange of One Functional Group and Provide Control Information for the Active Proposal

FunctionalGroupSegment : Define a Functional Group and Provide Control Information for the Active Proposal

ANSI

Translate

ProposalSegmentsOnly : Translate the Active Proposal into an ASCII Text File Using ASC X-12 Standards With No Control Segment Enclosure

AllSegments

SingleProposal : Translate the Active Proposal into an ASCII Text File Using ASC X-12 Standards and Enclose It Within Specified Control Segments

MultipleProposals : Translate the Active Proposal and Other Specified Proposals into an ASCII Text File Using ASC X-12 Standards and Enclose It Within Specified Control Segments

Copy : Create a Duplicate of the Translated ASCII Text File for the Active Proposal and Save It to a Specified Storage Device and Subdirectory

Delete : Delete an Active Proposal’s Translated ASCII Text File

ValidationModel

Create : Convert a Proposal’s ANSI .txt File into an MS Excel Workbook

Structure

SetAmountColumnsDecimalPlaces : Set Decimal Places and Rounding for Amount Columns

SetBaseColumnsDecimalPlaces : Set Decimal Places only (i.e., no Rounding) for Base Columns

SetRateColumnsDecimalPlaces : Set Decimal Places only (i.e., no Rounding) for Rate Columns

Import

Data

BillofMaterial : Import Bill of Material Data into the Active Proposal from an External File

DirectInputs : Import Numeric Base Data into the Active Proposal from an External File

RatesandFactors : Import Numeric Rate Data into the Active Proposal from an External File

Structure

Element : Import Cost Element Structure into the Active Proposal from an External File

LineItem : Import Line Item Structure into the Active Proposal from an External File

WBS : Import Work Breakdown Structure into the Active Proposal from an External File

SOW : Import Statement of Work Structure into the Active Proposal from an External File

Help

HelpSystemOverview : Basic Guidance on Obtaining System Help

About SPS : Displays Information About the Standard Proposal System

MainMenu

No : Remain in the Proposal Menu

Yes : Return to the System’s Main Menu

Exit

No : Stop the Exit Process and Remain in the System

Yes : Exit the System


Proposal Analyzer Menu Command Summary

OpenProp : Open a User-Specified Proposal

PropOps

SelectStructureItem : Select a Particular Structure Item (i.e., CLIN, WBS or SOW) for an Open Proposal

SummaryTables

Create : Create a Set of Worksheets for an Open Proposal that Contains Summary Data for a User-Specified Cost Element, Either Its Base or Amount Values

Delete : Delete a Set of Worksheets for an Open Proposal that Contains Summary Data for a User-Specified Cost Element

LoadedRates

Create : Create a Loaded Rates Worksheet for Each Direct Input Element Included in an Open Proposal

Delete : Delete the Set of Loaded Rates Worksheets for Each Direct Input Element Included in an Open Proposal

Summarize : Create a Loaded Rates Summary Worksheet that Consolidates Information from the Individual Loaded Rates Worksheets

SortBasesWorksheet : Sort a Proposal Workbook’s “Bases” Worksheet to Simplify User Sensitivity Analysis

CloseProposal : Close an Open Proposal

PerformComps : Consolidate Data from Multiple Proposals into a Single Workbook

AppHelp

Help System Overview : Basic Guidance on Obtaining System Help

About SPS : Display Information About the Standard Proposal System

DeActivate : Deactivate the Proposal Analyzer Application on the Current Computer in Preparation for Transfer to Another Computer

ExitApp

No : Stop the Exit Process and Remain in the System

Yes : Exit the System


ANSI | Translate | AllSegments | MultipleProposals

ANSI | Translate | AllSegments | MultipleProposals is used to convert both proposal and control data from the System format in which it is stored to the ANSI proposal format in which it is transmitted. The converted proposal includes proposal segments (i.e., Transaction Data Sets) enclosed within defined Control Segments. See DataEntry | ControlSegments for more information regarding Control Segments.

The active proposal and a set of up to ten (10) other, specified proposals can be combined into a single proposal package in the ANSI proposal format.

· First, both proposal and control data for the active proposal are converted from the System format in which it is stored to the ANSI proposal format in which it is transmitted.

· Next, each of the other proposals is appended, in the order specified, to the data for the active proposal to create a single, combined proposal.

· Prior to creating a combined proposal, each of the other specified proposals must already have been converted to and stored in the ANSI proposal format (i.e., a txt file must exist for each).

· Each of the other specified proposals should have been converted without any Control Segments (i.e., using ANSI | Translate | ProposalSegmentsOnly).

· The name and storage location of the combined proposal is specified by the user.


ANSI | Translate | AllSegments | SingleProposal

ANSI | Translate | AllSegments | SingleProposal is used to convert both proposal and control data for the active proposal from the System format in which it is stored to the ANSI proposal format in which it is transmitted. The converted proposal includes Proposal Segments (i.e., Transaction Data Sets) enclosed within defined Control Segments. See DataEntry | ControlSegments for more information regarding Control Segments.


ANSI | Translate | ProposalSegmentsOnly

ANSI | Translate | ProposalSegmentsOnly is used to convert proposal data for the active proposal from the System format in which it is stored to the ANSI proposal format in which it is transmitted.

· The converted proposal includes Proposal Segments (i.e., Transaction Data Sets) for the active proposal.

· No Control Segments are included in the converted proposal.


Proposal Validation Menu Command Summary

Obsolete menu item.


Sensitivity Analysis Menu Command Summary

Obsolete menu item.


PropAdmn | AccessCodes

PropAdmn | AccessCodes is currently obsolete.


PropAdmn | Compact | MainDatabase

The SPS Proposal Builder is itself an MS Access database file. Select this menu item to obtain information about compacting the application itself.


PropAdmn | Copy | EntireProposal

PropAdmn | Copy | EntireProposal is used to create a new System proposal from an existing proposal. The new proposal database file is stored on the drive and subdirectory specified by the user. The new proposal is a duplicate of the existing proposal.

The new proposal has the same password protection as the existing proposal.

This menu operation is useful for creating a template that can be modified to simplify construction of a new proposal. It can also be used to produce a backup proposal.

PropAdmn | Information | Proposal can be used to show proposal size, which equates to the free space needed on the specified copy drive to handle the new proposal database file.


Proposal Logic Case 1

Proposal Logic Example 1

Not currently used.


Proposal Logic Case 2

Proposal Logic Example 2

Not currently used.


Proposal Logic Case 3

Proposal Logic Example 3

Not currently used.


Proposal Logic Overview

Included with the System are several examples of proposal logic files built to the ANSI standard. Each example deals with a proposal situation which users may experience in the normal course of business.


PropOpen | DefaultFileFolder

PropOpen | DefaultFileFolder is used to set the folder (or subdirectory path) that is active when the System is started. The active (or default working) folder relates to certain administrative dialog boxes such as PropOpen | Old. The default folder is only a starting point for the active folder. The active folder can be changed by the user within an applicable dialog box. Once the active folder is changed, it becomes the working folder for the duration of the current application session, or until changed again during the session.

For convenience, the default working folder should be set to the subdirectory path that contains the user’s most frequently accessed proposals.


PropAdmn

PropAdmn includes those operations necessary to define and administer System proposals.


PropOpen

PropOpen includes those operations necessary to create and open System proposals.


Validating a Proposal By the Numbers

Proposal Validation By the Numbers

Obsolete menu item


Validating a Proposal Overview

Proposal Validation Overview

This menu item is obsolete.


Sensitivity Analysis By the Numbers

Obsolete menu item.


Sensitivity Analysis Overview

Obsolete menu item.


Technical Support (Internet)

Not used as part of on-line help. Provide as part of distribution documentation.


Technical Support (Telephone)

Not used as part of on-line help. Provide as part of distribution documentation.


TransferData

TransferData is currently obsolete.


TransferData | Export

TransferData | Export is currently obsolete.


TransferData | Import

TransferData | Import is currently obsolete.


ANSI | Translate

ANSI | Translate includes those operations necessary to convert data from the System format in which it is stored to the standard proposal format in which it is transmitted.


ANSI | Translate | AllSegments

ANSI | Translate | AllSegments includes those operations necessary to convert both proposal and control data from the System format in which it is stored to the standard proposal format in which it will be transmitted.

The converted proposal will include proposal segments (i.e., transaction sets) enclosed within defined control segments. See DataEntry | ControlSegments for more information regarding Control Segments.


ANSI | Translate | AllSegments | SingleProposal

ANSI | Translate | AllSegments | SingleProposal is used to convert both proposal and control data for the active proposal from the System format in which it is stored to the standard proposal format in which it will be transmitted.

The converted proposal will include proposal segments (i.e., transaction sets) for the active proposal enclosed within defined control segments. See DataEntry | ControlSegments for more information regarding Control Segments.


DataEntry | ControlSegments | FunctionalGroupSegment

DataEntry | ControlSegments | FunctionalGroupSegment is used to define the applicable Functional Group (i.e., collection of one or more similar transaction sets) and provide control information.

The System is designed to build a communication package which can include a maximum of one Functional Group control structure.

The System can handle multiple proposals (i.e., transaction sets) within one Functional Group control structure. In a multiple proposal/one Functional Group situation, each proposal is named, built and maintained separately. The individual proposals are, then, combined into one communication package using ANSI | Translate | AllSegments | MultipleProposals.

All proposals in a multiple proposal communication package will be embedded within the control structures of the active proposal.


DataEntry | ControlSegments | InterchangeControlSegment

DataEntry | ControlSegments | InterchangeControlSegment is used to define an Interchange of one Functional Group (i.e., collection of one or more similar transaction sets). The Interchange header and trailer segments enclose the Functional Group and perform the following functions:

· Define the data element separators and data segment terminators.

· Identify the sender and receiver.

· Provide control information.

· Allow for authorization and security information.

The System is designed to build a communication package which can include a maximum of one Interchange control structure.


DataEntry | DetailedCostData | Bases

DataEntry | DetailedCostData | Bases is used to enter base data into the System by Tasks, Base Elements and Periods previously defined by the user. See DataEntry for general information.

Use ValueEntryTemplates | Select to select a custom template for allocating total Base values over all proposal Periods.


DataEntry | DetailedCostData | Rates

DataEntry | DetailedCostData | Rates is used to enter Rate data into the System using the Rate Elements and proposal Periods previously defined by the user. See DataEntry for general information.


DataEntry | DetailedCostData | TS251PricingSupport

DataEntry | DetailedCostData | TS251PricingSupport includes those operations necessary to enter detailed support data into the System that will be included in the System generated ANSI proposal file as a separate Transaction Set 251 (as opposed to a Transaction Set 805 for all other data).


DataEntry | DetailedCostData | TS251PS | BillofMaterial

DataEntry | DetailedCostData | TS251PricingSupport | BillofMaterial

DataEntry | DetailedCostData | TS251PricingSupport | BillofMaterial is used to enter a Bill-of-Material that will be included in a separate Transaction Data Set 251.

The user can display a Subform that allows entry of Purchase History for the subject item. Each entry on the Item Purchase History Subform represents a separate historical procurement.

The System allows the user to select one of three alternative Data Entry Modes for the TDS 251 Bill-of-Material. Mode selection depends upon whether proposed Unit Prices are adjusted and, if so, whether they are entered directly or are factored from Base Unit Prices. See PropAdmn | Settings for more information.


DataEntry | DetailedCostData | TS251PS | EssentialAdmnData

DataEntry | DetailedCostData | TS251PricingSupport | EssentialAdmnData

DataEntry | DetailedCostData | TS251PricingSupport | EssentialAdmnData is used to enter essential administrative data for the pricing support that will be included as a separate Transaction Set 251.


DataEntry | DetailedCostData

DataEntry | DetailedCostData includes those operations necessary to enter detailed base, rate and pricing support data into the System. See DataEntry for more information.


DataEntry | NonEssentialAdmnData | ContractandCASData

DataEntry | NonEssentialAdmnData | ContractandCASData is used to provide contract and cost accounting standards information. Data can be entered in multiple iterations, as required.


DataEntry | NonEssentialAdmnData | LineItemDetails

DataEntry | NonEssentialAdmnData | LineItemDetails is used to identify contract or solicitation line items and provide relevant details. Data can be entered in multiple iterations, as required.

This segment is required, when the Transaction Set Purpose Code (BCP01) is code "00" (Original), code "07" (Duplicate) or code "15" (Re-Submission).


DataEntry | NonEssentialAdmnData | MonetaryAmounts

DataEntry | NonEssentialAdmnData | MonetaryAmounts is used to provide total monetary amounts. Sequence 1 is used for the basic offer. Sequence 2 is required, if the proposing party is submitting an alternate lower offer.

This information must be provided, if the Transaction Set Purpose Code (BCP01) is code "00" (Original), code "07" (Duplicate) or code "15" (Re-Submission).


DataEntry | NonEssentialAdmnData | PertinentParties

DataEntry | NonEssentialAdmnData | PertinentParties is used to identify pertinent organizations and provide relevant organizational details. Data can be entered in multiple iterations, as required.

This segment, used alone, provides the most efficient method of providing organizational identification. To obtain this efficiency, the "ID" Code (N104) must provide a key to the table maintained by the transaction processing party.

Whenever possible, identification and address information should be provided using codes (N101, N103 and N104) as opposed to names and locations (N102 and N2 through N4).

When the Transaction Set Purpose Code (BCP01) is code "00" (Original), code "07" (Duplicate) or code "15" (Re-Submission), and the cost or price proposal is submitted by a prime contractor, multiple iterations of this data set are required, with the Entity Identifier Code (N101) citing, at a minimum, codes "SE" (Selling Party), "C4" (Contract Administration Office) and "KF" (Audit Office). Codes "28" (Subcontractor) and "61" (Performed At) must also be used, if applicable.

When the Transaction Set Purpose Code (BCP01) is code "00" (Original), code "07" (Duplicate) or code "15" (Re-Submission), and the cost or price proposal is submitted by a subcontractor, there must be multiple iterations of this data set, with the Entity Identifier Code (N101) citing, at a minimum, codes "SE" (Selling Party), "C4" (Contract Administration Office) and "KF" (Audit Office). Code "61" (Performed At) must also be used if applicable.

When the Transaction Set Purpose Code (BCP01) is code "01" (Cancellation), there must be two iterations of this data set, with the Entity Identifier Code (N101) citing, at a minimum, either code "SE" (Selling Party) or code "28" (Subcontractor) in one iteration and either code "BY" (Buying Party) or code "C4" (Contract Administration Office) in a second iteration.

When the Entity Identifier Code (N101) is code "SE" (Selling Party) or code "28" (Subcontractor), information about the offeror's point of contact, to include a communication number, must be provided.


DataEntry | NonEssentialAdmnData | ReferenceNumbers

DataEntry | NonEssentialAdmnData | ReferenceNumbers is used to identify reference numbers applicable to the entire transaction set. A maximum of twenty (20) reference numbers my be entered into the System.


DataEntry | NonEssentialAdmnData

DataEntry | NonEssentialAdmnData includes those operations necessary to enter the types of administrative proposal data into the System that are not inherently essential, but may be relevant to a particular proposal, depending on the proposal requirements.


Exit

Exit is the only safe way to leave the System. Leaving the System in any other way, such as turning off the computer or rebooting the operating system, may cause corruption of proposal files. Before exiting the System:

· Consider saving any proposals opened during the session to a backup medium (See PropAdmn | Backup).

· Record and secure the password for any new proposal that is password protected, so that it will be available for future reference, if needed (See PropAdmn | Passwords).


Exit | No

Exit | No is used to stop the process of leaving the System.


Exit | Yes

Exit | Yes is used to confirm the user’s intention to leave the System. Before exiting the System:

· Consider saving all proposals opened during the current System session to a backup medium (See PropAdmn | Backup).

· Record and secure the password for any new proposal that is password protected, so that it will be available for future reference, if needed (See PropAdmn | Passwords).


Help

The System has been designed to be easy to use. Most operations are intuitive and require little, if any, special knowledge to accomplish. Context-sensitive Help is available for every System operation and object. To display the Help System Overview and the Contents, Index and Search Tabs, press the Shift+F1 keys simultaneously. To display Menu Item Help, move the Mouse cursor to the desired Menu Item and rest it there. To display Help for individual objects during data entry, press the Shift+F1 keys simultaneously while the object is active. An understanding of the few complex System operations, such as defining proposal cost logic in terms of Transaction Data Set 805 requirements, can be obtained by reviewing the sample proposals included with the System.

Note that most System operations are disabled, until a proposal has been activated. Use PropOpen | Old to activate an existing proposal or PropOpen | New to create and activate a new proposal. For System purposes, menu and submenu items are designated as such by bold characters (e.g.,PropOpen, PropOpen | Old).


MainMenu | No

MainMenu | No is used to stop the process of closing the active proposal.


MainMenu | Yes

MainMenu | Yes is used to confirm the user’s intention to close the active proposal. Once closed, most System operations cannot be performed on a proposal, until it is reopened by PropOpen | Old. After closing a proposal:

· Consider saving the proposal to a backup medium (See PropAdmn | Backup).

· Record and secure the password for any new proposal that is password protected, so that it will be available for future reference, if needed (See PropAdmn | Passwords).


PropAdmn | Copy | LogicandElements

PropAdmn | Copy | LogicandElements is used to create a new proposal with only the Cost Logic and Element tables of an existing proposal. The new proposal is stored on the drive and subdirectory specified by the user.

The new proposal database file does not have password protection.

This menu operation is useful for creating a partial template that can be expanded to simplify construction of a new proposal.


PropAdmn | Settings

PropAdmn | Settings includes those operations necessary to view the current proposal settings and to change them as necessary.

See PropAdmn | Settings for more information.


PropOpen

PropOpen includes those operations necessary to create and open System proposals. The operations are, for the most, part, self-explanatory.

Context-sensitive help is available for every System operation and object. To display the Help System Overview and the Contents, Index and Search Tabs, press the Shift+F1 keys simultaneously. To display Menu Item Help, move the Mouse cursor to the desired Menu Item and rest it there. To display Help for individual objects during data entry, press the F1 key while the object is active.


ANSI | Copy

ANSI | Copy is used to copy the active proposal’s text file in the standard ANSI format to a specified device (i.e., drive/path) for storage or physical distribution. A proposal must be converted from the System format into the standard ANSI format using ANSI | Translate, before it can be copied using ANSI | Copy.


ANSI | Delete

ANSI | Delete is used to delete the active proposal's ASCII text file (i.e., the file translated into the ASC X12 standard format) from the active drive/path. Only the proposal's translated text file is deleted. The proposal data tables are unaffected and can be used in the future to generate other translated text files. If a translated text file does not exist for the active proposal, no action is taken.


ANSI | Translate | AllSegments | MultipleProposals

ANSI | Translate | AllSegments | MultipleProposals is used to convert both proposal and control data from the System format in which it is stored to the standard proposal format in which it is transmitted. The converted proposal includes proposal segments (i.e., transaction sets) enclosed within defined control segments. The active proposal and a set of up to ten (10) other, specified proposals can be combined into a single proposal in the standard proposal format.


ANSI | Translate | AllSegments | SingleProposal

ANSI | Translate | AllSegments | SingleProposal is used to convert both proposal and control data for the active proposal from the System format in which it is stored to the standard proposal format in which it is transmitted. The converted proposal includes proposal segments (i.e., transaction sets) enclosed within defined control segments.


ANSI | Translate | ProposalSegmentsOnly

ANSI | Translate | ProposalsSegmentsOnly is used to convert proposal data for the active proposal from the System format in which it is stored to the standard proposal format in which it is transmitted. The converted proposal includes proposal segments (i.e., transaction sets) for the active proposal. No Control Segments are included in the converted proposal.


BuildStructure | CostLogic

BuildStructure | CostLogic is used to define a proposal's cost logic. A proposal's cost logic is based on the proposer's estimating and accounting systems. For System purposes, it is expressed using standard ANSI conventions. The basic concept underlying ANSI cost logic methodology is to use a "bottoms-up" approach to define the structure. Under this approach each element must be defined before it can be used in the definition of another element.


BuildStructure | Element

BuildStructure | Element is used to define a proposal's cost element structure. Elements are all of the separately identifiable entities that together comprise a proposer's estimating system (e.g., Purchased Parts, Senior Engineer, Engineering Overhead, Total Engineering Labor Cost, etc.). Every proposal must have a cost element structure. As a minimum, the Element structure must include all of the cost elements that will be included in the proposal, including elements used solely for grouping or display purposes. While the cost element structure can be changed at any time, it is advantageous to define the entire cost element structure before defining the proposal cost logic structure or entering data into the System. A cost element must be defined in the cost element structure before it can be used either in defining the proposal cost logic structure or in data entry.


BuildStructure | LineItem

BuildStructure | LineItem is used to define a proposal's Contract Line Item Number (CLIN), Subcontract Line Item Number (SubCLIN) and Exhibit Line Item Number (ELIN) structure. While the Line Item structure can be changed at any time, it is advantageous to define the entire Line Item structure before defining the task structure, so that the appropriate Line Item references can be entered into the task structure table during task structure definition. Data is entered into the System at the task level, with each task related to a particular Line Item.


BuildStructure | Period

BuildStructure | Period is used to define a proposal's period structure. The user must specify the proposal start date, end date and unit of time (i.e., calendar year, fiscal year, quarter or month). Also, to allow shifting of data within the overall proposal time frame, the System prompts the user to specify the period at which data transfer from an old structure to a new structure is to begin. All proposal period parameters must be specified before data can be entered into the System. When defining the period structure, choose the various parameters carefully. While the System allows the user to change the period structure at any time, the new structure may require additional data to be entered to supplement existing data. Also, although handled efficiently by the System, the transfer of data from an old to a new structure can entail considerable processing time for a large proposal. Changing the proposal period structure causes changes in the base and rate table field structures and can result in the loss of data already entered into the system. The System warns the user, if data may be lost during the restructure process.


BuildStructure | SOW

BuildStructure | SOW is used to define a proposal's Statement of Work (SOW). While the SOW can be changed at any time, it is advantageous to define the entire SOW before defining the task structure, so that the appropriate SOW references can be entered into the task structure table during task structure definition. Data is entered into the System at the task level, with each task related to a particular SOW item.


BuildStructure | Task

BuildStructure | Task is used to define a proposal's Task Structure. Tasks are the various, individual actions by which an effort is accomplished. They are the basic work units that underlie the Line Item (CLIN/SubCLIN/ELIN), WBS and SOW structures and are a function of a proposer's distinct approach to accomplish the effort. For System proposal purposes, every proposal must have a task structure. While the task structure can be the same as either the Line Item or WBS structures, it still must be entered into the System and maintained separately. Data is entered into the System, changed and deleted at the task level, with each task related to a particular WBS item, Line Item and SOW item, as applicable.


BuildStructure | WBS

BuildStructure | WBS is used to define a proposal's Work Breakdown Structure (WBS). While the WBS can be changed at any time, it is advantageous to define the entire WBS before defining the task structure, so that the appropriate WBS references can be entered into the task structure table during task structure definition. Data is entered into the System at the task level, with each task related to a particular WBS item.


CLOSEVET

Close returns to the Main Proposal menu.


DataEntry | DetailedCostData | Bases

DataEntry | DetailedCostData | Bases is used to enter base data into the System by previously user-defined tasks, base elements and periods.


DEBases | ElementDetail

ElementDetail (ID: N1 Loop Supporting PD Loop)

Purpose is to provide identification information for cost elements during base data entry.

Note: Element detail items are included on a data entry subform, because they’re part of the ANSI standard. However, the System’s Proposal Analyzer doesn’t use the subject element detail items and their values can be blank, unless the proposal requestor specifies otherwise.


DEBases | ProgramTasks

ProgramTasks is used to select the active task for base data entry from the set of previously defined tasks.


DEBases | VETChart

ValueEntryTemplates | ChartTable enables the user to view a summary table and graphs of all custom templates defined by the user for purposes of allocating total base values over all proposal periods. The routine is useful for displaying and reviewing the summary table and graphs before printing them.


DEBases | VETPrint

ValueEntryTemplates | PrintTable enables the user to print a summary table of all custom templates defined by the user for purposes of allocating total base values over all proposal periods. The table is useful for reference purposes during data entry.


DEBases | VETSelect

ValueEntryTemplates | Select is used to select a previously defined Value Entry Template for Base Data Entry or to select Direct Entry by Proposal Period (i.e., no Template).


DEBases | VETView

ValueEntryTemplates | ViewTable enables the user to view a summary table of all custom templates defined by the user for purposes of allocating total base values over all proposal periods. The routine is useful for displaying and reviewing the summary table before printing it.


DataEntry | ConrolSegments | FunctionalGroupSegment

DataEntry | ControlSegments | FunctionalGroupSegment is used to define the applicable Functional Group (i.e., collection of one or more similar transaction sets) and provide control information. The Functional Group is enclosed within the Interchange envelope. This type of administrative proposal data is not inherently essential, but may be relevant to a particular proposal, depending on the proposal requirements.


DataEntry | ConrolSegments | InterchangeControlSegment

DataEntry | ControlSegments | InterchangeControlSegment is used to define an Interchange of one Functional Group (i.e., collection of one or more similar transaction sets). The Interchange header and trailer segments enclose the Functional Group and perform various administrative functions. This type of administrative proposal data is not inherently essential, but may be relevant to a particular proposal, depending on the proposal requirements.


DataEntry | Essential

DataEntry | Essential is used to enter the type of administrative proposal data into the System that will be essential for most proposals. The user should exclude particular data entries only after confirming they are not needed for a particular proposal.


DataEntry | NonEssential | ContractandCASData

DataEntry | NonEssential | ContractandCASData is used to provide contract and cost accounting standards information. Data can be entered in multiple iterations, as required. This type of administrative proposal data is not inherently essential, but may be relevant to a particular proposal, depending on the proposal requirements.


DataEntry | NonEssential | LineItemDetails

DataEntry | NonEssential | LineItemDetails is used to identify contract or solicitation line items and provide relevant details. Data can be entered in multiple iterations, as required. This type of administrative proposal data is not inherently essential, but may be relevant to a particular proposal, depending on the proposal requirements.


DataEntry | NonEssential | MonetaryAmounts

DataEntry | NonEssential | MonetaryAmounts is used to provide total monetary amounts. Sequence 1 is used for the basic offer. Sequence 2 is required, if the proposing party is submitting an alternate lower offer. This type of administrative proposal data is not inherently essential, but may be relevant to a particular proposal, depending on the proposal requirements.


DataEntry | NonEssential | PertinentParties

DataEntry | NonEssential | PertinentParties is used to identify pertinent organizations and provide relevant organizational details. Data can be entered in multiple iterations, as required. This type of administrative proposal data is not inherently essential, but may be relevant to a particular proposal, depending on the proposal requirements.


DataEntry | NonEssential | RelatedTransactionSets

DataEntry | NonEssential | RelatedTransactionSets is used to enter into the System a maximum of twenty (20) transaction sets related to the current transaction set. This type of administrative proposal data is not inherently essential, but may be relevant to a particular proposal, depending on the proposal requirements.


DataEntry | DetailedCostData | Rates

DataEntry | DetailedCostData | Rates is used to enter rate data into the System by previously user-defined rate elements and rate periods.


Stop/Continue

Stop/Continue is used to stop proposal selection and continue the process of building an ANSI compliant multiple proposal file.


Stop/NoContinue

Stop/NoContinue is used to stop proposal selection and terminate the process of building an ANSI compliant multiple proposal file.


Stop/NoSave

Stop/NoSave is used stop data entry and not save the entered data in the applicable data table. Depending on the particular data entry operation, NoSave may apply only to the current record or to the entire data table. When NoSave applies only to the current record, changes to each record are saved as soon as the user moves to a different record. When NoSave applies to the entire data table, no changes for any records are saved.


Stop/Save

Stop/Save is used stop data entry and save the entered data in the applicable data table. Depending on the particular data entry operation, Save may apply only to the current record or to the entire data table. When Save applies only to the current record, changes to each record are saved as soon as the user moves to a different record. When Save applies to the entire data table, changes to all records are saved only after data entry has been stopped.


DataEntry | DetailedCostData | TS251PricingSupport

DataEntry | DetailedCostData | TS251PricingSupport includes those operations necessary to enter detailed pricing support data into the System that will be included in the System generated ANSI proposal file as a separate Transaction Set 251 (as opposed to a Transaction Set 805 for all other data).


DataEntry | DetailedCostData | TS251PricingSupport | EssentialAdmnData

DataEntry | DetailedCostData | TS251PricingSupport | EssentialAdmnData is used to enter essential administrative data for the pricing support that will be included as a separate Transaction Set 251.


DataEntry | DetailedCostData | TS251PricingSupport | BillofMaterial

DataEntry | DetailedCostData | TS251PricingSupport | BillofMaterial is used to enter a bill of material that will be included in a separate Transaction Set 251. The user can display a subform that allows entry of purchase history for the subject item. Each entry on the Item Purchase History subform represents a separate historical procurement. The System allows the user to select one of three alternative data entry modes for the TS 251 Bill of Material. Mode selection depends upon whether proposed unit prices are adjusted and, if so, whether they are entered directly or are factored from base unit prices. See PropAdmn | Settings for more information.


DELETERECORD

Delete Record deletes the selected record.


Exit | No

Exit | No is used to stop the process of quitting the System.


Help | About SPS

Help | About SPS is used to display information about the Standard Proposal System (SPS).


Help | Contents and Index

Help | Contents and Index is used to display the Windows Help Dialog Box. This dialog box includes Contents and Index Tabs that provide a convenient reference to all System Help topics.


Help | System Overview

Help | System Overview explains how to use the application’s Help System.


Help | What's This

Help | What’s This? causes the question-mark mouse pointer to appear. With the question-mark pointer, the user can click any display object to access its custom help.


Import | Data | DirectInputs

Import | Data | DirectInputs is used to import numeric base data into the System from an external file that is ASCII Text with a “.txt” file extension. The keyboard equivalent is DataEntry | DetailedCostData | Bases. The user should understand the Import process before attempting any Import operation. Import information is available under both the Contents and Index Tabs of System Help.

Always check the proposal after an Import operation to ensure the results are as expected. Import operations are inherently risky, and can cause data loss and possibly even proposal damage.

· Always Backup a proposal to a storage device before attempting to import data into it!


Import | Data | TS251PricingSupport | BillofMaterial

Import | Data | BillofMaterial is used to import Bill of Material data into the System from an external file that is ASCII Text with a “.txt” file extension. The keyboard equivalent is DataEntry | DetailedCostData | TS251PricingSupport | BillofMaterial. The user should understand the Import process before attempting any Import operation. Import information is available under both the Contents and Index Tabs of System Help.

Always check the proposal after an Import operation to ensure the results are as expected. Import operations are inherently risky, and can cause data loss and possibly even proposal damage.

· Always Backup a proposal to a storage device before attempting to import data into it!


Import | Data | RatesandFactors

Import | Data | RatesandFactors is used to import numeric rate data into the System from an external file that is ASCII Text with a “.txt” file extension. The keyboard equivalent is DataEntry | DetailedCostData | Rates. The user should understand the Import process before attempting any Import operation. Import information is available under both the Contents and Index Tabs of System Help.

Always check the proposal after an Import operation to ensure the results are as expected. Import operations are inherently risky, and can cause data loss and possibly even proposal damage.

· Always Backup a proposal to a storage device before attempting to import data into it!


Import | Structure | Element

Import | Structure | Element is used to import the proposal’s cost element structure from an external file that is ASCII Text with a “.txt” file extension. Elements are all of the separately identifiable entities that together comprise the user’s estimating system (e.g., Purchased Parts, Senior Engineer, Engineering Overhead, Total Engineering Labor Cost, etc.). The keyboard equivalent is BuildStructure | Element. The user should understand the Import process before attempting any Import operation. Import information is available under both the Contents and Index Tabs of System Help.

Always check the proposal after an Import operation to ensure the results are as expected. Import operations are inherently risky, and can cause data loss and possibly even proposal damage.

· Always Backup a proposal to a storage device before attempting to import data into it!


Import | Structure | LineItem

Import | Structure | LineItem is used to import the proposal’s Contract Line Item Number (CLIN), Subcontract Line Item Number (SubCLIN) and Exhibit Line Item Number (ELIN) structure from an external file that is ASCII Text with a “.txt” file extension. The keyboard equivalent is BuildStructure | LineItem. The user should understand the Import process before attempting any Import operation. Import information is available under both the Contents and Index Tabs of System Help.

Always check the proposal after an Import operation to ensure the results are as expected. Import operations are inherently risky, and can cause data loss and possibly even proposal damage.

· Always Backup a proposal to a storage device before attempting to import data into it!


Import | Structure | SOW

Import | Structure | SOW is used to import the proposal’s Statement of Work (SOW) structure from an external file that is ASCII Text with a “.txt” file extension. The keyboard equivalent is BuildStructure | SOW. The user should understand the Import process before attempting any Import operation. Import information is available under both the Contents and Index Tabs of System Help.

Always check the proposal after an Import operation to ensure the results are as expected. Import operations are inherently risky, and can cause data loss and possibly even proposal damage.

· Always Backup a proposal to a storage device before attempting to import data into it!


Import | Structure | WBS

Import | Structure | WBS is used to import the proposal’s Work Breakdown Structure (WBS) from an external file that is ASCII Text with a “.txt” file extension. The keyboard equivalent is BuildStructure | WBS. The user should understand the Import process before attempting any Import operation. Import information is available under both the Contents and Index Tabs of System Help.

Always check the proposal after an Import operation to ensure the results are as expected. Import operations are inherently risky, and can cause data loss and possibly even proposal damage.

· Always Backup a proposal to a storage device before attempting to import data into it!


INSERTRECORD

Insert Record adds a new blank record to the data table.


PropAdmn | CompactMain

PropAdmn | Compact | MainDatabase is used to provide information about compacting the application’s main database file.


PropAdmn | CompactProp

PropAdmn | Compact | ProposalDatabase is used to defragment a System proposal database file. This operation frees diskspace, so that a file is stored more efficiently on disk, and may improve System performance. Windows Explorer can be used to measure the size effect of compacting any particular proposal database file, so the user can judge how often it should be compacted. Note that each proposal resides in its own database file.


PropAdmn | DeActivate

PropAdmn | DeActivate is used to deactivate the Proposal Builder application on the current computer in preparation for transfer to another computer. The Software License agreement allows the subject application to be used on a single computer at any given time, so it must be deactivated on one computer before it can be activated and used on another computer. Be sure to record this key, as it is needed as proof of product deactivation, when the user contacts the software vendor to obtain a new Activation key needed for a new activation.


PropAdmn | Encrypt/Decrypt

PropAdmn | Encrypt/Decrypt is used to encrypt or decrypt a proposal database file. Encrypting a proposal compacts the database file and makes it indecipherable without providing its password. Decrypting a proposal reverses the encryption process. Note that each proposal resides in its own database file.

Encrypting a proposal doesn't restrict access to its objects by authorized users or groups.

The encrypt or decrypt operation fails if there is insufficient storage space on the disk for both the original and the encrypted or decrypted versions of the database file.


PropAdmn | Encrypt/Decrypt | Decrypt

PropAdmn | Encrypt/Decrypt | Decrypt is used to decrypt a proposal database file. Decrypting a proposal reverses the encryption process and makes it decipherable without providing a valid password.


PropAdmn | Encrypt/Decrypt | Encrypt

PropAdmn | Encrypt/Decrypt | Encrypt is used to encrypt a proposal database file. Encrypting a proposal compacts the database file and makes it indecipherable without providing the password assigned during the encryption process.


PropAdmn | Fix

PropAdmn | Fix can be used to attempt to repair a damaged proposal database file. This condition may be indicated, if a proposal cannot be activated or if the System is behaving unpredictably. Since a damaged database file may be beyond repair or data may be lost in the repair process, this method should be used only as a last resort. The user should first consider re-installing the proposal database file from a backup medium, keeping in mind that any recent changes not saved to the backup medium will be lost in the re-installation process.


PropAdmn | Information (System)

PropAdmn | Information is used to display pertinent System information. After a proposal has been opened and the Proposal Menu is displayed, PropAdmn | Information | Proposal can be used to display pertinent Proposal information.


PropAdmn | Passwords | PropAdmn | Remove

PropAdmn | Passwords | PropAdmn | Remove is used to remove password protection from the Proposal Administrator’s main database file.


PropAdmn | Passwords | PropAdmn | Set

PropAdmn | Passwords | PropAdmn | Set is used to assign password protection to the System's main database file.

By assigning a password to the main database file, the user can prevent access to the System's Proposal Builder, even in the event an unauthorized user gains access to the user's computer.

It is essential that the user remember the main database file password, when assigned. Otherwise, the main database file will have to be reinstalled, if the correct password cannot be provided.


PropAdmn | Passwords | Proposal | Remove

PropAdmn | Passwords | Proposal | Remove is used to remove password protection from individual proposal database files.


PropAdmn | Passwords | Proposal | Set

PropAdmn | Passwords | Proposal | Set is used to assign password protection to individual proposal database files. The user must provide the correct password before a protected database file can be opened for any use.

It is essential that the user remember System proposal passwords, when assigned. Otherwise, protected proposal data will be unrecoverable by the System and may be unrecoverable by any other retrieval method.


MainMenu | No

MainMenu | No is used to stop the process of closing the active proposal and returning to the main menu.


MainMenu | Yes

MainMenu | Yes is used to confirm the user’s intention to close the active proposal and return to the main menu.


PropOpen | DefaultFileFolder

PropOpen | DefaultFileFolder is used to set the folder (i.e., subdirectory path) that is active when the System is started. The active (or default working) folder relates to certain administrative dialog boxes such as PropOpen | Old. The default folder is only a starting point for the active folder. The active folder can be changed by the user within an applicable dialog box. Once the active folder is changed, it becomes the working folder for the duration of the current application session, or until changed again during the session.

For convenience, the default working folder should be set to the subdirectory path that contains the user’s most frequently accessed proposals.


PropOpen | UserAccess | Password | Remove

PropOpen | UserAccess | Password | Remove is used to remove password protection from the UserAccess menu item.

Once password protection has been removed, the user can gain access to all System operations.


PropOpen | UserAccess | Password | Set

PropOpen | UserAccess | Password | Set is used to assign password protection to the UserAccess menu item. The user must provide the correct password before any changes can be made to the System menu structure.

It is essential that the user remember the UserAccess password, when assigned. Otherwise, no changes will be able to be made to the System menu structure without having to reinstall the System software.


PropOpen | UseAccessCustomize

PropOpen | UserAccess | Customize is used by the System administator to control access to the various System operations. This is accomplished by enabling and disabling selected System menu items. All but the basic System operations can be disabled individually by clicking off the button for each menu item. Conversely disabled System operations can be enabled by clicking on the button for each menu item.

Note that if the UserAccess menu item itself is disabled, it is removed from the System. This approach provides total System menu item protection, but at the cost of lost flexibility. If the UserAccess Menu item has been removed, changing the System menu structure in the future will require reinstallation of the System software. The System currently doesn't allow disabling the UserAccess Menu item, itself.


PropAdmn | Information (Proposal)

PropAdmn | Information | Proposal is used to display pertinent information for the active proposal. The System allows only one proposal at a time to be active on a workstation. All System operations are performed on the active proposal. PropAdmn | Information | System can be used to display pertinent System information.


PropAdmn | Information (System)

PropAdmn | Information | System is used to display pertinent System information. PropAdmn | Information | Proposal can be used to display pertinent information for the active proposal.


PropAdmn | MonitorTaskStatus

PropAdmn | MonitorTaskStatus enables the user to track proposal data entry status by showing who is responsible for each task estimate; the percentage of each task estimate already completed; and the projected, or actual, task estimate completion date.


PropAdmn | Settings | ANSIFileStructure

PropAdmn | Settings | ANSIFileStructure enables the user to view the ANSI file structure settings and to change them as necessary to accommodate the particular needs of each proposal.


PropAdmn | Settings | Import

PropAdmn | Settings | ExternalFileImport enables the user to view and change the import method and field delimiter for each external file whose data can be imported into the System. The user should understand the Import process before changing any Import settings and needs to exercise special caution in setting the import method to Replace.


PropAdmn | Settings | TS251BOMDataEntryMode

PropAdmn | Settings | TS251BOMDataEntryMode enables the user to view the TS 251 (Pricing Support) Bill of Material data entry mode and to change it depending upon whether proposed unit prices are adjusted and, if so, whether adjustments are entered directly or factored from base unit prices.


PropAdmn | Settings | WBSFormat

PropAdmn | Settings | WBSFormat enables the user to set the basic format for a proposal’s Work Breakdown Structure (WBS). The System provides for three (3) basic formats (i.e., Numeric, Alphabetic and AlphaNumeric). Different formats are needed to handle different sorting requirements. For System purposes, the Numeric and AlphaNumeric formats each handle one (1) WBS schema, while the Alphabetic format handles two (2). The user needs to decide on the desired schema first and, then, select the format that accommodates that schema. Although it is possible to change the WBS schema, and its corresponding format, after it has been defined initially, doing so may require rebuilding the proposal’s Task structure, so care should be taken to decide on the proper schema and select its corresponding format initially. Additional information on the subject is available under the Contents Tab of System Help (i.e., Building a Proposal | Proposal Structure Definition | WBS).


PropAdmn | ValueEntryTemplates | ChartTable

PropAdmn | ValueEntryTemplates | ChartTable enables the user to view a summary table and graphs of all custom templates defined by the user for purposes of allocating total base values over all proposal periods. The routine is useful for displaying and reviewing the summary table and graphs before printing them.


PropAdmn | ValueEntryTemplates | Define

PropAdmn | ValueEntryTemplates | Define enables the user to define a maximum of ten (10) custom templates for allocating total base values over all proposal periods. Each custom template is the equivalent of an allocation curve. Entering base data as total values (as opposed to individual period values) and, then, allocating the total values using pre-defined templates allows the user to enter and change base data rapidly and consistently.


PropAdmn | ValueEntryTemplates | PrintTable

PropAdmn | ValueEntryTemplates | PrintTable enables the user to print a summary table of all custom templates defined by the user for purposes of allocating total base values over all proposal periods. The table is useful for reference purposes during data entry.


PropAdmn | ValueEntryTemplates | ViewTable

PropAdmn | ValueEntryTemplates | ViewTable enables the user to view a Summary table of all custom templates defined by the user for purposes of allocating total Base values over all proposal periods. The routine is useful for displaying and reviewing the Summary table before printing it.


SPSHelp

Help

The System has been designed to be easy to use. Most operations are intuitive and require little, if any, special knowledge to accomplish. Context-sensitive Help is available for every System operation and object. To display the Help System Overview and the Contents, Index and Search Tabs, press the Shift+F1 keys simultaneously. To display Menu Item Help, move the Mouse cursor to the desired Menu Item and rest it there. To display Help for individual objects during data entry, press the Shift+F1 keys simultaneously while the object is active.


TableData | Display

TableData | Display provides a preview of the data that will be printed using TableData | Print or output to a file using either TableData | OutputToTXTFile or TableData | OutputToXLSFile. Note that only selected data may be displayed (printed and output), not necessarily all data shown on the active form.


TableData | OutputToTXTFile

TableData | OutputToTXTFile outputs selected data for the active form to an ASCII text file. Note that only selected data may be output, not necessarily all data shown on the form. The text file uses the comma as its delimiter and includes a comma at the end of each record, which makes its format consistent with the System’s various import routines.


TableData | OutputToXLSFile

TableData | OutputToXLSFile outputs selected data for the active form to an MS Excel .xls file. Note that only selected data may be output, not necessarily all data shown on the form. The .xls file can be used in that format or saved as one of several other formats handled by MS Excel.


TableData | Print

TableData | Print prints selected data for the active form. Note that only selected data may be printed, not necessarily all data shown on the form.


TOGGLENAVIGATIONMODE

Toggle Navigation Mode switches between Edit mode (with the insertion point displayed) and Navigation mode (with an entire field selected and the insertion point not displayed).

The F2 Key can also be used as a Navigation mode toggle.


ValidationModel

ValidationModel is used to convert a proposal’s ANSI txt file into an MS Excel Workbook that can be used to validate a proposal’s structure and data. The Workbook name is the same as the proposal and ANSI txt file name, and it has an xlsm extension.


ValidationModelCreate

ValidationModel | Create is used to convert a proposal’s ANSI txt file into an MS Excel Workbook that can be used to validate a proposal’s structure and data. The Workbook name is the same as the proposal and ANSI txt file name, and it has an xlsm extension.


ValidationModelStructureDecimalPlacesAmountCols

ValidationModel | Structure | SetAmountColumnsDecimalPlaces is used to set decimal and rounding places for the Validation Model’s Amount Columns.


ValidationModelStructureDecimalPlacesBaseCols

ValidationModel | Structure | SetBaseColumnsDecimalPlaces is used to set decimal places for display purposes only for the Validation Model’s Base Columns. Any Rounding accomplished by the System affects display only (i.e., complete Base values, including all decimal places, are stored in System memory).


ValidationModelStructureDecimalPlacesRateCols

ValidationModel | Structure | SetRateColumnsDecimalPlaces is used to set decimal places for display purposes only for the Validation Model’s Rate Columns. Any Rounding accomplished by the System affects display only (i.e., complete Rate values, including all decimal places, are stored in System memory).


251AMT02BASEUNITPRICE

Base Amount Used to Derive Proposed Unit Price (ID: AMT02)

Base price per unit of product, service, commodity, etc.

Notes:

1. Use to provide the base unit price (prior to any adjustments) that is adjusted to derive the proposed unit price.

2. A base unit price shall be provided only if an adjustment is made to derive the proposed unit price.


251AMT02TOTALITEMNR

Total Nonrecurring Amount (ID: AMT02)

Total nonrecurring amount proposed for the total quantity of an item.

Note: Use to indicate any nonrecurring amounts applicable to the total amount proposed (total quantity x proposed unit price) for the subject item.


251BGN01

Transaction Set Purpose Code (ID: BGN01)

Code identifying purpose of a transaction set.

Code Descriptions:

00 Original

Use to indicate an original transmission of a Pricing Support transaction set.

01 Cancellation

Use to indicate a withdrawal of a previously transmitted Pricing Support transaction set.

Do not use to cancel a 251 transaction set that is being revised and submitted using code "15" (Re-Submission).

07 Duplicate

Use to indicate a retransmission, without change, of a previously transmitted Pricing Support transaction set.

15 Re-Submission

Use to indicate a revision of a previously transmitted Pricing Support transaction set. This revision constitutes a complete overwrite of the previous transmission.


251BGN02

Reference Identification (ID: BGN02)

Reference number or identification number as defined for a particular Transaction Set, or as specified by the Reference Identification Qualifier.

Note: A unique number assigned by the originator of the transaction set for identification purposes in other transaction sets.


251BGN03

Date (ID: BGN03)

Date (Entered as DD-MMM-YY and converted by System to YYMMDD).

Note: Use to identify the origination date of this transaction set.


251BGN04

Time (ID: BGN04)

Time expressed in 24-hour clock time as follows: HHMM, or HHMMSS, or HHMMSSD, or HHMMSSDD, where H = hours (00-23), M = minutes (00-59), S = integer seconds (00-59) and DD = decimal seconds. Decimal seconds are expressed as follows: D = tenths (0-9) and DD = hundredths (00-99).

Note: Use to identify the origination time of this transaction set.


 251BGN05

Time Code (ID: BGN05)

Code identifying the time. In accordance with International Standards Organization standard 8601, time can be specified by a + or - and an indication in hours in relation to Universal Time Coordinate (UTC) time; since + is a restricted character, + and - are substituted by P and M in the DTM codes.


251BGN06

Reference Identification (ID: BGN06)

Reference number or identification number as defined for a particular Transaction Set, or as specified by the Reference Identification Qualifier.


251BGN07

Transaction Type Code (ID: BGN07)

Code specifying the type of transaction.


251BGN08

Action Code (ID: BGN08)

Code indicating type of action.


251CUR01

Entity Identifier Code (ID: CUR01)

Code identifying an organizational entity, a physical location or an individual.

Code Descriptions:

SE Selling Party


251CUR02

Currency Code (ID: CUR02)

Code (Standard ISO) for the country in whose currency the charges are specified.

Note: Use to identify the currency applicable to the monetary values in this transaction set, if other than U.S. dollars.


251CUR03

Exchange Rate (ID: CUR03)

Value to be used as a multiplier conversion factor to convert a monetary value from one currency to another.

Note: Use to identify the exchange rate of the foreign currency to U.S. dollars.


251DTM01

Date/Time Qualifier (ID: DTM01)

Code specifying type of date or time, or both date and time.

Code Descriptions:

098 Bid (Effective)

Use to indicate the origination date of the proposal (843 transaction set) to which the data in this transaction set applies.

194 Original Transaction

Use to indicate the origination date and time of the 805 transaction set to which the data in this transaction set applies.

993 Request for Quotation

Use to indicate the origination date of the solicitation (840 transaction set) to which the data in this transaction set applies.


251DTM02

Date (ID: DTM02)

Date (Entered as DD-MMM-YY and converted by System to YYMMDD).


251DTM03

Time (ID: DTM03)

Time expressed in 24-hour clock time as follows: HHMM, or HHMMSS, or HHMMSSD, or HHMMSSDD, where H = hours (00-23), M = minutes (00-59), S = integer seconds (00-59) and DD = decimal seconds. Decimal seconds are expressed as follows: D = tenths (0-9) and DD = hundredths (00-99).

Note: Use is required, when the Date/Time Qualifier is code “703” (Original Transaction).


251DTM04

Time Code (ID: DTM04)

Code identifying the time. In accordance with International Standards Organization standard 8601, time can be specified by a + or - and an indication in hours in relation to Universal Time Coordinate (UTC) time; since + is a restricted character, + and - are substituted by P and M in the DTM codes.


251DTM05

Century (ID: DTM05)

The first two characters in the designation of the year (CCYY).


251DTM06

Date Time Period Format Qualifier (ID: DTM06)

Code indicating the date format, time format or date and time format.


251DTM07

Date Time Period (ID: DTM07)

Expression of a date, a time, or range of dates, times or dates and times.


251G6101

Contact Function Code (ID: G6101)

Code identifying the major duty or responsibility of the person or group named.

Code Descriptions:

AS Authorized Signature

CE Certifier

Use to indicate the certifying official.

Use of this code is required, when the Entity Identifier Code is code “FR” (Message From).

IC Information Contact

Use to indicate the proposer’s point of contact.


251G6102

Name (ID: G6102)

Free-form name.

Note: Use to identify the name of a point of contact. Last name, followed by first name, is preferred. If the whole name is longer than thirty-five (35) characters, the use of an initial for the first name is recommended.


251G6103

Communication Number Qualifier (ID: G6103)

Code identifying the type of communication number.

Code Descriptions:

EM Electronic Mail

Use to indicate an E-Mail address.

FX Facsimile

IT International Telephone

TE Telephone


251G6104

Communication Number (ID: G6104)

Complete communications number including country or area code when applicable.

Note: When the Communication Number Qualifier is code "FX" (Facsimile), code "IT" (International Telephone) or code "TE" (Telephone), include the area code or the country code, as applicable, and cite the number as a continuous number without extraneous characters.


251G6105

Contact Inquiry Reference (ID: G6105)

Additional reference number or description to clarify a contact number.

Notes:

1. Use to provide the title of the point of contact or certifying official.

2. Use of this data element is required, when the Contact Function Code is code “AS” (Authorized Signature) of code “CE” (Certifier).


251LX01

Assigned Number (ID: LX01)

Number assigned for differentiation within a transaction set.

A unique sequence number assigned by the originator of the transaction set, starting with number 1 and going progressively higher, e.g., 1, 2, 3, etc.

Note: The number is assigned automatically by the System, based on related proposal data entered into the System by the user.


251LXAMT01

Amount Qualifier Code (ID: AMT01)

Code to qualify amount.

Code Descriptions:

AX Previous Price

Use to indicate the unit price applicable to the item purchased and sold previously (i.e., procurement history).

H Bid Amount

Use to indicate the unit price applicable to the item that was competitive bid and this bid was not selected.

Q1 Proposed

Use to indicate the unit price applicable to the item for which the proposer has vendor quotes or selected bid from competitive bids.

KC Obligated

Use to indicate the unit price applicable to the item either in the proposer’s possession or on purchase order.

26 Negotiated Cost

Use to indicate the unit price applicable to the item negotiated with a non supplier such as a government activity for government furnished material.

29 Estimated Price

Use to indicate the unit price applicable to the item that is neither code “Q1” (Proposed) nor code “KC” (Obligated). If other than an estimated price, explain basis for price in Description.

NR Nonrecurring

Use to indicate any nonrecurring amounts applicable to the total amount previously paid for the subject item (total quantity previously procured x previously paid unit price).


251LXAMT02

Monetary Amount (ID: AMT02)

Monetary Amount


251LXAMT02NR

Total Nonrecurring Amount (ID: AMT02)

Total nonrecurring amount included in the price of the previous purchase for the total quantity of an item.


251LXAMT02PREVIOUS

Previous Unit Price (ID: AMT02)

Previous unit price paid for the subject material item.


251LXDTM01

Date/Time Qualifier (ID: DTM01)

Code specifying type of date or time, or both date and time.

Code Descriptions:

103 Award

Use to indicate the date of the award instrument under which the Bill of Materials item was purchased.


251LXDTM02

Date (ID: DTM02)

Date (entered as DD-MMM-YY and converted by System to YYMMDD).

Note: Date of the award instrument under which the Bill of Materials item was purchased.


251LXDTM05

Century (ID: DTM05)

The first two characters in the designation of the year (CCYY).


251LXLoop

Purchase History Button (ID: LX Loop)

Use to enter purchase history for the subject item via the Purchase History form.

Note: Each entry on the Item Purchase History form represents a separate historical buy of the subject item.


251LXN101

Entity Identifier Code (ID: N101)

Code identifying an organizational entity, a physical location or an individual.

Notes:

1. This segment, used alone, provides the most efficient method of providing organizational identification. To obtain this efficiency, the "ID" Code must provide a key to the table maintained by the transaction processing party.

2. Whenever possible, identification and address information should be provided using codes (N101, N103 and N104) as opposed to names and locations (N102 and Segment Groups N2.. through N4..).

Code Descriptions:

BY Buying Party (Purchaser)

Use to indicate the customer for whom the Bill of Materials item was purchased.

SE Selling party

Use to indicate the party from whom the Bill of Materials item was purchased.


251LXN102

Name (ID: N102)

Free-form name.

Note: Use only if the party cited in the Entity Identifier Code cannot be identified by an Identification Code.


251LXN103

Identification Code Qualifier (ID: N103)

Code designating the system or method of code structure used for the Identification Code.

Note: While the federal EDI program uses the DUNS number, other government users of this implementation convention may require the use of other and additional numbers for a transition period in order to cross reference existing data bases to new procurement actions.

Code Descriptions:

1 D-U-N-S Number, Dun & Bradstreet

Use of the DUNS and DUNS +4 number is preferred over other codes to identify an entity.

9 D-U-N-S+4, D-U-N-S Number with Four Character Suffix

Use of the DUNS and DUNS +4 number is preferred over other codes to identify an entity.

10 Department of Defense Activity Address Code (DODAAC)

Use to indicate a DoD or Civilian Agency Activity Address Code.

33 Commercial and Government Entity (CAGE)


251LXN104

Identification Code (ID: N104)

Code identifying a party or other code.


251LXN201

Name (ID: N201)

Free-form name or additional name information.

Note: Use only when the entity has not been identified by a code and it is necessary to provide additional name information.


251LXN202

Name (ID: N202)

Free-form name or additional name information.

Note: Use only when the entity has not been identified by a code and it is necessary to provide additional name information.


251LXN301

Address Information (ID: N301)

Address Information.

Note: Use only when the entity has not been identified by a code.


251LXN302

Address Information (ID: N302)

Address Information.

Note: Use only when the entity has not been identified by a code.


251LXN401

City Name (ID: N401)

Free-form text for city name.

Note: Use only when the entity has not been identified by a code.


251LXN402

State or Province Code (ID: N402)

Code (Standard State or Province) as defined by appropriate government agency.

Note: Use only when the entity has not been identified by a code.


251LXN403

Postal Code (ID: N403

Code defining international postal zone code excluding punctuation and blanks (zip code for United States).

Note: Use only when the entity has not been identified by a code.


251LXN404

Country Code (ID: N404)

Code identifying the country.

Note: Use only when the entity has not been identified by a code.


251LXNTE02

Note/Special Instruction (ID: NTE02)

A free-form description to clarify the related data elements and their content.

Notes:

1 .The NTE segment permits free-form information/data which, under ANSI X12 standard implementations, is not machine processable. The use of the NTE segment should therfore be avoided, if at all possible, in an automated environment.

2. As needed, use this segment to provide relevant information regarding Bill of Materials items.


251LXQTY01

Quantity Qualifier (ID: QTY01)

Code specifying the type of quantity.

Code Descriptions:

PP Purchase of Product

Use to indicate the quantity purchased previously.

01 Discrete Quantity

Quantity of the item used during the quote process.

11 Split Quantity

Use to indicate when more than one source will supply the total quantity of the item.


251LXQTY02

Quantity (ID: QTY02)

Quantity previously purchased.


251LXQTY03

Unit or Basis for Measurement Code (ID: QTY03)

Code specifying the units in which a value is being expressed, or manner in which a measurement has been taken.

Note: While any code can be used, the following is a list of common codes:

3C Manmonth

EA Each

HR Hours

IE Person

Use to indicate a human resource, i.e., people assigned to a task.

LO Lot

UN Units

ZZ Mutually Defined


251LXREF01

Reference Identification Qualifier (ID: REF01)

Code qualifying the Reference Identification.

Code Descriptions:

KR Response to a Request for Quotation Reference

Use to indicate the instrument number under which this item was quoted.

P1 Previous Contract Number

Use to indicate the award instrument number under which this item was purchased for another procurement.

3X Subcontract Number

Use to indicate the award instrument number under which this item will be purchased for this procurement.


251LXREF02

Reference Identification (ID: REF02)

Reference number or identification number as defined for a particular Transaction Set, or as spsecifed by the reference indentification qualifier.

Note: Previous contract number (i.e., award instrument number under which the Bill of Materials item was purchased).


251MSGGENERAL

Free-Form Message Text (ID: MSG01)

Free-form message text.

Notes:

1. Information must be entered for this element.

2. Use to provide the purpose of the data submitted in this transaction set or the reason for cancellation of previously submitted data.

3. Use to provide information that cannot be provided elsewhere in this transaction set, but do not replicate information provided as codified data.


251N101

Entity Identifier Code (ID: N101)

Code identifying an organizational entity, a physical location or an individual.

Notes:

1. This segment, used alone, provides the most efficient method of providing organizational identification. To obtain this efficiency, the "ID" Code must provide a key to the table maintained by the transaction processing party.

2. Whenever possible, identification and address information should be provided using codes (N101, N103 and N104) as opposed to names and locations (N102 and Segment Groups N2.. through N4..).

3. When the Beginning Segment is code “00” (Original), code “07” (Duplicate) or code “15” (Re-Submission), and the data is submitted by a prime contractor, there must be multiple iterations of the name elements with the Entity Identifier Code citing, as a minimum, codes “SE” (Selling Party), “C4” (Contract Administration Office) and “KF” (Audit Office). Codes “28” (Subcontractor) and “61” (Performed At) must also be used, if applicable.

4. When the Beginning Segment is code “00” (Original), code “07” (Duplicate) or code “15” (Re-Submission), and the cost or price proposal is submitted by a subcontractor, there must be multiple iterations of the name elements with the Entity Identifier Code citing, as a minimum, codes “28” (Subcontractor), “C4” (Contract Administration Office), “KF” (Audit Office) and “SE” (Selling Party). Code “61” (Performed At) must also be listed, if applicable.

5. When the Beginning Segment is code “01” (Cancellation), there must be two iterations of the name elements with the Entity Identifier Code citing either code “SE” (Selling Party) or code “28” (Subcontractor) in one iteration and either code “BY” (Buying Party) or code “C4” (Contract Administration Office) in a second iteration.

Code Descriptions:

28 Subcontractor

61 Performed At

Use to indicate the place of performance, when other than the proposer’s address or if work will be performed at the proposer’s address and at another location.

BY Buying Party (Purchaser)

Use to indicate the procuring contracting office.

C4 Contract Administration Office

Use to indicate the cognizant Contract Administration Office of the proposing party.

KF Audit Office

Use to indicate the cognizant audit office of the proposing party.

SE Selling party

Use to indicate the prime contractor.


251N102

Name (ID: N102)

Free-form name.

Note: Use only if the party cited in the Entity Identifier Code cannot be identified by an Identification Code.


251N103

Identification Code Qualifier (ID: N103)

Code designating the system or method of code structure used for the Identification Code.

Note: While the federal EDI program uses the DUNS number, other government users of this implementation convention may require the use of other and additional numbers for a transition period in order to cross reference existing data bases to new procurement actions.

Code Descriptions:

1 D-U-N-S Number, Dun & Bradstreet

Use of the DUNS and DUNS +4 number is preferred over other codes to identify an entity.

9 D-U-N-S+4, D-U-N-S Number with Four Character Suffix

Use of the DUNS and DUNS +4 number is preferred over other codes to identify an entity.

10 Department of Defense Activity Address Code (DODAAC)

Use to indicate a DoD or Civilian Agency Activity Address Code.

33 Commercial and Government Entity (CAGE)


251N104

Identification Code (ID: N104)

Code identifying a party or other code.


251N105

Entity Relationship Code (ID: N105)

Code describing entity relationship.


251N106

Entity Identifier Code (ID: N106)

Code identifying an organizational entity, a physical location or an individual.

FR Message From

Use when the Entity Identifier Code is code “28” (Subcontractor) or code “SE” (Selling Party) to indicate the submitter of the transaction set.

TO Message To

Use when the Entity Identifier Code is code “BY” (Buying Party) or code “C4” (Contract Administration Office) to indicate the recipient of a transaction set.


251N201

Name (ID: N201)

Free-form name or additional name information.

Note: Use only when the entity has not been identified by a code and it is necessary to provide additional name information.


251N202

Name (ID: N202)

Free-form name or additional name information.

Note: Use only when the entity has not been identified by a code and it is necessary to provide additional name information.


251N301

Address Information (ID: N301)

Address Information.

Note: Use only when the entity has not been identified by a code.


251N302

Address Information (ID: N302)

Address Information.

Note: Use only when the entity has not been identified by a code.


251N401

City Name (ID: N401)

Free-form text for city name.

Note: Use only when the entity has not been identified by a code.


251N402

State or Province Code (ID: N402)

Code (Standard State or Province) as defined by appropriate government agency.

Note: Use only when the entity has not been identified by a code.


251N403

Postal Code (ID: N403

Code defining international postal zone code excluding punctuation and blanks (zip code for United States).

Note: Use only when the entity has not been identified by a code.


251N404

Country Code (ID: N404)

Code identifying the country.

Note: Use only when the entity has not been identified by a code.


251PID01

Item Description Type (ID: PID01)

Code indicating the format of a description.

Code Descriptions:

S Structured (From Industry Code List)

Note: The code is assigned automatically by the System.


251PID03

Agency Qualifier Code (ID: PID03)

Code identifying the agency assigning the code values.

DF Department of Defense (Dod)

Note: The code is assigned automatically by the System.


251PID04

Product Description Code (PID04)

A code from an industry code list which provides specific data about a product characteristic.

Note: Cite one of the following codes to describe how an item was or will be procured.

Code Descriptions:

CC Commercial Off-the-Shelf Product, (COTS) Competitively Procured

CN Commercial Off-the-Shelf Product, (COTS) Not Competed

NS Non COTS Not Competed, Only One Source

NC Non COTS Not Competed, Multiple Sources

FF Non COTS Product, Full and Open Competition, Price and Other Factors

FP Non COTS Product, Full and Open Competition, Price Only

RF Non COTS Product, Restricted Competition, Price and Other Factors

RP Non COTS Product, Restricted Competition, Price Only


251PO1PCT01

Price Qualifier (ID: PCT01)

Code to qualify percent.

Code Descriptions:

DF Decrement Factor

Use to indicate an upward or downward adjustment factor for other than inflationary or deflationary changes. The factor is applied to the base (i.e., unadjusted) unit price to arrive at the proposed (i.e., adjusted) unit price. When the factor is associated with a downward adjustment, it shall be preceded by a minus sign.

EF Escalation Factor

Use to indicate an upward or downward adjustment factor based on inflationary or deflationary changes. The factor is applied to the base (i.e., unadjusted) unit price to arrive at the proposed (i.e., adjusted) unit price. When the factor is associated with a downward adjustment, it shall be preceded by a minus sign.

PR Per Occurrence Limit

Use to indicate an upward or downward adjustment factor applied to the base (i.e., unadjusted) nonrecurring amount to arrive at the proposed (i.e., adjusted) nonrecurring amount. When the factor is associated with a downward adjustment, it shall be preceded by a minus sign.


251PO1PCT01BUPAC

Base Unit Price Adjustment Code (ID: PCT01)

Code identifying the type of adjustment made to the base unit price to arrive at the proposed unit price.

Code Descriptions:

DF Decrement Factor

Use to indicate an upward or downward adjustment factor for other than inflationary or deflationary changes. The factor is applied to the base (i.e., unadjusted) unit price to arrive at the proposed (i.e., adjusted) unit price. When the factor is associated with a downward adjustment, it shall entered as a negative number.

EF Escalation Factor

Use to indicate an upward or downward adjustment factor based on inflationary or deflationary changes. The factor is applied to the base (i.e., unadjusted) unit price to arrive at the proposed (i.e., adjusted) unit price. When the factor is associated with a downward adjustment, it shall entered as a negative number.


251PO1PCT02

Percent (ID: PCT02)

Percentage expressed as a decimal.


251PO1PCT02BUPAF

Base Unit Price Adjustment Factor (ID: PCT02)

Decimal value applied to the base unit price to arrive at the proposed unit price.

Notes:

1. Examples of percentages expressed as decimal values are as follows:

· 5.6% is entered as .056

· 25.6% is entered as .256

· 152.4% is entered as 1.524

· .6% is entered as .006

2. When the factor is associated with a downward adjustment, it shall entered as a negative number.


251PO101

Assigned Identification (ID: PO101)

Alphanumeric characters assigned for differentiation within a transaction set.

Notes:

1. Use to assign a sequential number, starting with the number 1, to identify each material item and its related data.

2. The number is assigned automatically by the System, based on related proposal data entered into the System by the user.


251PO102

Quantity Ordered (ID: PO102)

Quantity Ordered

The quantity the price in Unit Price is based on.

Note: Use to indicate the total quantity of material on which the price in Unit Price was computed from. If no quantity applies, enter zero (0).


251PO103

Unit or Basis for Measurement Code (ID: PO103)

Code specifying the units in which a value is being expressed, or manner in which a measurement has been taken.

Notes:

1. Use the same code for all segments relating to this item.

2. While any code can be used, the following is a list of common codes:

3C Manmonth

EA Each

HR Hours

IE Person

Use to indicate a human resource, i.e., people assigned to a task.

LO Lot

UN Units

ZZ Mutually Defined


251PO104

Unit Price (ID: PO104)

Price per unit of product, service, commodity, etc.

Note: Use to provide the proposed unit price to include any adjustments applied.


251PO105

Basis of Unit Price Code (ID: PO105)

Code identifying the type of unit price for an item.

Code Descriptions:

AP Advise price

Use to indicate the unit price is the result of purchases from multiple sources. Provide supporting information, as necessary.

CA Catalog

CT Contract

ES Estimated

FB Fabrication Cost

KA Price with Government Furnished Property

KP Escalated price

Use to indicate an upward adjusted unit price.

KR In Stock

NE Not to Exceed

NT Net

Use to indicate a downward adjusted unit price.

PQ Posted

Use to indicate the price is regulated by a Government entity.

QT Quoted

ST Standard

Use to indicate a unit price developed under a standard cost accounting system.


251PODATAELEMENT234

Product/Service ID (ID: PO107 & All PO1 Data Element 234 Segments)

Identifying number for a product or service.

Notes:

1. The System automatically assigns code “PD” (Part Number Description) to the first Product/Service ID Qualifier code.

2. A maximum of nine (9) additional Product/Service IDs can be provided for each item. For example: Case, Color, Drawing No., UPC No., ISBN No., Model No., SKU, etc.


251PODATAELEMENT235

Product/Service ID Qualifier (ID: PO106 & All PO1 Data Element 235 Segments)

Code identifying the type/source of the descriptive number used in the Product/Service ID.

Notes:

1. The Product/Service ID Qualifier and Product/Service ID are used in pairs.

2 .Any code can be used, but the listed codes are preferred. The same codes should be used here as in a corresponding 843 transaction set.

3. When identifying components of an assembly, the assembly must be identified by the use of code "F8" (Next Higher Used Assembly).

Common Code Descriptions:

AK Refined Product Code

CG Commodity Grouping

Use to indicate a commodity code.

CH Country of Origin Code

CL Color

CN Commodity Name

EF Exhibit Identifier

Use to indicate the letter assigned to an exhibit.

F7 End-Item Description

Use to indicate the end item to which the ordered item applies.

F8 Next Higher Used Assembly

Use to indicate the assembly to which the identified components apply.

FS National Stock Number

The NSN shall be transmitted without dashes.

FT Federal Supply Classification

IN Buyer's Item Number

Use to indicate a locally assigned code for a product or service whenever stock number does not apply.

KF Item Type Number

LT Lot Number

MF Manufacturer

When used, cite the DUNS number of the manufacturer in the Product/Service ID.

MG Manufacturer's Part Number

When used, a second Product/Service ID Qualifier and Product/Service ID must be used citing either code "MF" (Manufacturer) or code "ZB" (CAGE code).

MN Model Number

N1 National Drug Code in 4-4-2 Format

N2 National Drug Code in 5-3-2 Format

N3 National Drug Code in 5-4-1 Format

N4 National Drug Code in 5-4-2 Format

ND National Drug Code (NDC)

PD Part Number Description

Use to indicate a clear text description of an item.

PN Company Part Number

PU Part Reference Number

Use to indicate a part number assigned by an industry (not related to a specific manufacturer). Do not use for National Drug Codes.

RC Returnable Container No.

Use to indicate an NSN, manufacturer's part number or other identifying number (except a serial number) of a returnable container.

SN Serial Number

Use to indicate the serial number of the Product/Service being ordered. For example, the serial number of an aircraft engine that is to be repaired.

SV Service Rendered

Use to indicate (in text) the service being ordered.

SW Stock Number

Use to indicate a local stock number.

SZ Vendor Alphanumeric Size Code (NRMA)

Use to indicate the size of an item being ordered.

UK U.P.C./EAN Shipping Container Code (1-2-5-5-1)

VP Vendor's (Seller's) Part Number

Use to indicate a part number assigned by a contractor other than a manufacturer.

ZB Commercial and Government Entity (CAGE) Code

Use to indicate a manufacturer which can be identified by a CAGE code.


251POAMT01

Amount Qualifier Code (ID: AMT01)

Code to qualify amount.

Code Descriptions:

CK Adjustments

Use to indicate a discrete amount, that is either an upward or downward adjustment, applied to the amount cited in a previous a previous AMT segment when the previous Amount Qualifier Code is code “LI” to arrive at the adjusted unit price cited in Unit Price of the same PO1 loop.

LI Line Item Unit Price

Use to indicate the base unit price used to determine the adjusted proposed unit price cited in Unit Price.

NR Nonrecurring

Use to indicate any nonrecurring amounts applicable to the total amount previously paid for the subject item (total quantity previously procured x previously paid unit price).


251POAMT02

Monetary Amount (ID: AMT02)

Monetary Amount


251POQTY01

Quantity Qualifier (ID: QTY01)

Code specifying the type of quantity.

Code Descriptions:

20 Unusable Quantity

Use to indicate the scrap quantity.

99 Quantity Used

Use to indicate the quantity of material used in the end item.


251POQTY02

Quantity (ID: QTY02)

Numeric value of quantity


251POQTY02USABLEQTY

Usable Quantity (ID: QTY02)

Numeric value of usable quantity.

Notes:

1. Use to indicate the quantity of the subject material actually used in the end item. The difference between the total quantity of material and the quantity used in the end item is considered to be unusable quantity (i.e., scrap quantity).

2. The System interprets no entry in this field as indicating all of the subject material is used in the end item (i.e., there is no unusable/scrap quantity).


251POQTY03

Unit or Basis for Measurement Code (ID: QTY03)

Code specifying the units in which a value is being expressed, or manner in which a measurement has been taken.

Note: While any code can be used, the following is a list of common codes:

3C Manmonth

EA Each

HR Hours

IE Person

Use to indicate a human resource, i.e., people assigned to a task.

LO Lot

UN Units

ZZ Mutually Defined


251POREF01

Reference Number Qualifier (ID: REF01)

Code qualifying the Reference Number.

Code Descriptions:

VQ Related Contract Line Item Number

Use to indicate the line item in either the 805 (Contract Pricing Proposal) or 843 (Response to Request for Quotation) transaction set to which this material item applies.

VR Vendor ID Number

Use to identify the contractor by its DUNS or DUNS+4 number. This is the preferred code to use for identification purposes.

W7 Commercial and Government Entity (CAGE) Code

Use to identify the contractor by its CAGE code.

ZZ Mutually Defined

Use to indicate a contractor that cannot be identified by a DUNS, DUNS+4 or CAGE code. When used, provide the name of the contractor in Description.


251POREF01CTRIDCODE

Contractor Identification Code (ID: REF01)

Code Qualifying the Reference Identification.

Code Descriptions:

VR Vendor ID Number

Use to identify the contractor by its DUNS or DUNS+4 number. This is the preferred code to use for identification purposes.

W7 Commercial and Government Entity (CAGE) Code

Use to identify the contractor by its CAGE code.

ZZ Mutually Defined

Use to indicate a contractor that cannot be identified by a DUNS, DUNS+4 or CAGE code. When used, provide the name of the contractor in Item Source Name.


251POREF02

Reference Number (ID: REF02)

Reference number or identification number as defined for a particular Transaction Set, or as specified by the Reference Number Qualifer.


251POREF02RELATEDCLIN

Related Contract Line Item Number (ID: REF02)

Use to indicate the line item in either the 805 (Contract Pricing Proposal) or 843 (Response to Request for Quotation) transaction set to which this material item applies.


251POREF03

Description (ID: REF03)

A free-form description to clarify the related data elements and their content.

Note: When the Reference Number Qualifer is code "ZZ", use to provide the name of the contractor supplying the item.


251POREF03ITEMSOURCENAME

Item Source Name (ID: REF03)

A free-form description to clarify the related data elements and their content.

Note: When the Item Source ID Code is code "ZZ", use to provide the item source name.


251PPL01

Acquisition Data Code (ID: PPL01)

Code identifying acquisition data.

Code Descriptions:

K1 Subcontract Costs

K2 Inter-Division Transfer

K3 Profit/Fee

K4 Labor History

K5 Bill of Materials and Purchase History

K6 Other Unlisted Proposal Type

When used, identify the unlisted proposal type in Description.

KH General and Administrative Expenses (G&A)

KI Overhead Expenses

KJ Intermediate Expense Pool Allocation

KK Bases Used to Allocate Indirect Expense

KL Claimed Rates for Each Expense Pool

KM Facilities Capital Cost of Money Factors Computation

KN Reconciliation of Books of Account and Claimed Direct Cost - Incurred Costs

KO Contract Direct Costs Claimed and Not Claimed, IR&D/B&P Direct Costs Incurred (Overhead, G&A and Cost of Money applied at Claimed Rates) - Incurred Costs

KP Government Participation in Indirect Expense Pools - Incurred Costs

KQ Reconciliation of Claimed G&A Pool to G&A Cliamed on Contracts - Incurred Costs

KR Schedule of Cumulative Direct and Indirect Costs Claimed and Billed - Incurred Costs

KS Computation of Allowable IR&D/B&P Costs - Incurred Costs

KT Summary of Hours and Amounts on T&M/Labor Hour Contracts - Incurred Costs

KU Reconciliation of Total Payroll to Total Labor Distributed - Incurred Costs

KV Listing of Decisions, Agreements & Approvals and Description of Accounting & Organization Changes

KW Indirect Costs Certification

KX Direct Labor

KY Other Direct Costs

KZ Direct Material


251PPL02

Date (ID: PPL02)

Date (Entered as DD-MMM-YY and converted by System to YYMMDD).

Note: Use to provide the beginning date of the period covered by the subject proposal data.


251PPL03

Date (ID: PPL03)

Date (Entered as DD-MMM-YY and converted by System to YYMMDD).

Note: Use to provide the ending date of the period covered by the subject proposal data.


251PPL04

Description (ID: PPL04)

A free-form description to clarify the related data elements and their content.

Note: Use to identify, in plain text, a more detailed name for a specific category of expense applicable to the cited Acquisition Data Code.


251PPL05

Proposal Data Detail Identifier Code (ID: PPL05)

Code identifying the basis of a cited value in a proposal.

Note: Use to identify the nature of the proposal values.

Code Descriptions:

AM Actual

AN Estimated

Includes rates proposed.

AO Negotiated

AP Mixed


251RTSREF01

Reference Number Qualifier (ID: REF01)

Code qualifying the Reference Number.

Code Descriptions:

C4 Change Number

Use to indicate an award instrument modification number. When used, another reference number iteration with the Reference Number Qualifier citing code “CT” (Contract Number) must be transmitted.

CT Contract Number

Use to indicate an award instrument, e.g., contract, delivery order, etc.

DO Delivery Order Number

Use to indicate a call, release or delivery order. When used, another reference number iteration with the Reference Number Qualifier citing code “CT” (Contract Number) must be transmitted.

KS Solicitation

Use to indicate a solicitation number. If applicable, concatenate the last amendment number with the solicitation number.

PR Price Quote Number

Use to indicate the number assigned to a quote or proposal submitted in an 843 transaction set.

TN Transaction Reference Number

Use to indicate the unique reference number of a related transaction set (e.g., an 805 transaction set carrying pricing support data). Each transaction set has a unique number. In the case of the 805 transaction set, that number is carried in the Specification Identifier, when the Specification Identifier Qualifier is code 39. When used, cite the transaction set number , e.g., 805, in the first three positions of the Reference Description.


251RTSREF02

Reference Number (ID: REF02)

Reference number or identification number as defined for a particular Transaction Set, or as specified by the Reference Number Qualifier.


251RTSREF03

Description (ID: REF03)

A free-form description to clarify the related data elements and their content.

When the Reference Number Qualifier is code “TN” (Transaction Reference Number), use to identify the transaction set number.


251SE01

Number of Included Segments (ID: SE01)

Total number of segments included in a transaction set including ST and SE segments.

Note: The number is computed automatically by the System.


251SE02

Transaction Set Control Number (ID: SE02)

Identifying control number that must be unique within the transaction set functional group assigned by the originator for a transaction set.

Notes:

1. This is the same unique control number cited in ST02.

2. The System automatically assigns the same number to SE02 that the user assigns to ST02.


251SPI01

Security Level Code (ID: SPI01)

Code indicating the level of confidentiality assigned by the sender to the information following.

Note: Use to identify the highest overall government security classification applicable to the data in this transaction set. If the data also has a commercial protection requirement, identify that requirement in the Proposer Security Level Code.

Code Descriptions:

90 Government Non-Classified

92 Government Confidential

93 Government Secret

94 Government Top Secret


251SPI02

Reference Identification Qualifier (ID: SPI02)

Code Qualifying the Reference Identification.

Use to identify a reference number to which the data provided in this transaction set applies.

Code Descriptions:

39 Proposal Number

Use to indicate the number assigned to the cost or price proposal (TS 805, if submitted) to which the data in this transaction set applies.

PR Price Quote Number

Use to indicate the number assigned to the proposal (TS 843, if submitted) to which the data in this transaction set applies.


251SPI03

Reference Identification (ID: SPI03)

Reference number or identification number as defined for a particular Transaction Set, or as specified by the Reference Identification Qualifier.


251SPI04

Entity Title (ID: SPI04)

Title of the data entity.


251SPI05

Entity Purpose (ID: SPI05)

The reason for the existence of the data item specified by the electronic data item independent of its presence in an EDI transaction.


251SPI06

Entity Status Code (ID: SPI06)

Code indicating the current status of the data item specified by the electronic data item.


251SPI07

Transaction Set Purpose Code (ID: SPI07)

Code identifying purpose of transaction set.


251SPI08

Report Type Code (ID: SPI08)

Code indicating the title or contents of a document, report or supporting item.


251SPI09

Security Level Code (ID: SPI09)

Code indicating the level of confidentiality assigned by the sender to the information following.

Note: Use to identify the highest commercial protection level assigned to the proposal by the submitter.

Code Descriptions:

05 Personal

Use to indicate the information provided within this cost or price proposal is subject to the Privacy Act.

06 Supplier Proprietary

Use to indicate the originator's cost or pricing data shall be protected in accordance with FAR 3.104-5(a).

11 Competition Sensitive


251SPI10

Agency Qualifier Code (ID: SPI10)

Code identifying the agency assigning the code values.


251SPI11

Source Subqualifier (ID: SPI11)

A reference that indicates the table or text maintained by the Source Qualifier.


251SPI12

Assigned Number (ID: SPI12)

Number assigned for differentiation within a transaction set.


251SPI13

Certification Type Code (ID: SPI13)

Code indicating the type of certification.

Note: Use to identify the certification applicable to ALL of the data in this transaction set. If the certification differs for the data within this transaction set, identify the certification applicable to each item in the data entry routine for the individual items.

Code Descriptions:

B Certification of Overhead

Use to indicate a certification of final overhead rates in accordance with DFARS 252.242-7001.


251SPI14

Proposal Data Detail Identifier Code (ID: SPI14)

Code identifying the basis of a cited value in a proposal.


251ST01

Transaction Set Identifier Code (ID: ST01)

Code uniquely identifying a Transaction Set.

Code Descriptions:

X12.288 Pricing Support

Note: The code is assigned automatically by the System, based on related proposal data entered into the System by the user.


251ST02

Transaction Set Control Number (ID: ST02)

Identifying control number that must be unique within the transaction set functional group assigned by the originator for a transaction set.

Note: A unique number assigned by the originator of the transaction set or by the originator's application program.


Add Proposal Button

Use to add a proposal to the list of those to be included in the ANSI compliant multiple proposal file.


ANSIFileLineItem

Contract Line Items Button

Setting the Contract Line Items Button causes the System to include the appropriate Line Item Reference data with each set of base (i.e., direct input) data. Line Item Reference data is part of the ANSI standard and its use is always allowable. However, if Line Items were not used in preparing a proposal, it may be desirable to exclude a large volume of Line Item Reference data that provides no useful information. Including or excluding Line Item Reference data in a formal proposal submission should be coordinated with the proposal requestor.


ANSIFileSOWItem

Statement of Work Items Button

Setting the Statement of Work (SOW) Items Button causes the System to include the appropriate SOW Item Reference data with each set of base (i.e., direct input) data. SOW Item Reference data is part of the ANSI standard and its use is always allowable. However, if SOW Items were not used in preparing a proposal, it may be desirable to exclude a large volume of SOW Item Reference data that provides no useful information. Including or excluding SOW Item Reference data in a formal proposal submission should be coordinated with the proposal requestor.


ANSIFileTS251

Transaction Set 251 Button

Setting the Transaction Set (TS) 251 Button causes TS 251 data currently stored in the proposal database to be included in the System generated ANSI text file. TS 251 (Pricing Support) is structured to handle material and other pricing details. However, the System includes provision only for including material details. TS 251 data is normally included in the ANSI text file. TS 251 data may be combined with TS 805 (Contract Pricing Proposal) data or submitted on a stand alone basis.


ANSIFileTS805

Transaction Set 805 Button

Setting the Transaction Set (TS) 805 Button causes TS 805 data currently stored in the proposal database to be included in the System generated ANSI text file. TS 805 (Contract Pricing Proposal) includes almost all cost and pricing data, except material and other pricing details that are included in TS 251 (Pricing Support). TS 805 data is normally included in the ANSI text file.


ANSIFileWBSItem

Work Breakdown Structure Items Button

Setting the Work Breakdown Structure (WBS) Items Button causes the System to include the appropriate WBS Item Reference data with each set of base (i.e., direct input) data. WBS Item Reference data is part of the ANSI standard and its use is always allowable. However, if WBS Items were not used in preparing a proposal, it may be desirable to exclude a large volume of WBS Item Reference data that provides no useful information. Including or excluding WBS Item Reference data in a formal proposal submission should be coordinated with the proposal requestor.


ANSIFileRateElementID

Rate Element Identification Button

Setting the Rate Element Identification Button causes the System to insert a standard Message Segment into each set of rate element data. The System uses this Message Segment internally in its validation and sensitivity analysis routines to differentiate rate data from base data. This Message Segment is not part of the ANSI standard and its use may be inapropriate in a formal proposal submission. Its inclusion in a formal proposal submission should be coordinated with the proposal requestor.


BaseVATButton

Base Value Allocation Template Button

Setting a particular Button causes the associated template to become active.


BCP01

Transaction Set Purpose Code (ID: BCP01)

Code identifying purpose of a transaction set.

Code Descriptions:

00 Original

Use to indicate an original cost or price proposal.

01 Cancellation

Use to indicate a withdrawal of a previously transmitted original or revised cost or price proposal.

Do not use to cancel a cost or price proposal that is being revised and submitted using code 15.

07 Duplicate

Use to indicate a retransmission, without change, of a previously transmitted cost or price proposal.

15 Re-Submission

Use to indicate a revision to a previously transmitted cost or price proposal. This revision constitutes a complete overwrite of the previous transmission.


BCP02

Reference Identification Qualifier (ID: BCP02)

Code Qualifying the Reference Identification.

Code Descriptions:

CT Contract Number

Use to indicate the award instrument number applicable to the cost or price proposal. This is always the Procurement Instrument Identification Number (PIIN) for DoD or the equivalent expression for Civilian Agencies. This is never the delivery order, call or release number. That number is entered as a reference number.

KS Solicitation Number

Use to indicate the solicitation number applicable to the cost or price proposal. If amendments to the solicitation have been issued, the solicitation number and the amendment number to which this cost or price proposal applies shall be concatenated.


BCP03

Reference Identification (ID: BCP03)

Reference number or identification number as defined for a particular Transaction Set, or as specified by the Reference Identification Qualifier.


BCP04

Date (ID: BCP04)

Date (Entered as DD-MMM-YY and converted by System to YYMMDD).

Note: Use to identify the beginning date of the proposer's current fiscal year.


BCP05

Contract Action Code (ID: BCP05)

Code identifying the expected resultant type of contract action or current type of contract action.

Note: Use to identify the type of contract action applicable to the submitted proposal.

Code Descriptions:

KA New Contract

KB Contract Change Order

KC Price Revision

KD Price Redetermination

KE Letter Contract

KF Unpriced Order

KG Other Contract Action

Use to indicate an "other contract action" that has not been previously agreed to by the trading partners. When used, identify the other contract action in Description, e.g., Service Contract Act Adjustments, Economic Price Adjustments, etc.


BCP06

Contract Type Code (ID: BCP06)

Code identifying a contract type.

Note: Use to identify the pricing arrangement applicable to the award instrument identified by the Reference Identification Qualifier and to the submitted proposal.

Code Descriptions:

CA Cost Plus Incentive Fee (With Performance Incentives)

CB Cost Plus Incentive Fee (Without Performance Incentives)

CH Cost Sharing

CS Cost

CW Cost Plus Award Fee

CX Cost Plus Fixed Fee

FB Fixed Price Incentive Firm Target (With Performance Incentive)

FC Fixed Price Incentive Firm Target (Without Performance Incentive)

FD Fixed Price Redetermination

Use to indicate a prospective fixed price redetermination award instrument.

FF Fixed Price Incentive Successive Target (With Performance Incentive)

FG Fixed Price Incentive Successive Target (Without Performance Incentive)

FH Fixed Price Award Fee

FJ Fixed Price Level of Effort

FR Firm Fixed Price

FX Fixed Price with Economic Price Adjustment

LE Level of Effort

LH Labor Hours

OC Other Contract Type

Use to indicate a contract type that is not listed or an award instrument consisting of multiple contract types. When used, identify the contract type(s) in Description.

TM Time and Materials

ZZ Mutually Defined

Use to indicate a retroactive fixed price redetermination award instrument.


BCP07

Date (ID: BCP07)

Date (Entered as DD-MMM-YY and converted by System to YYMMDD).

Note: Use to identify the origination date of this transaction set.


BCP08

Time (ID: BCP08)

Time expressed in 24-hour clock time as follows: HHMM, or HHMMSS, or HHMMSSD, or HHMMSSDD, where H = hours (00-23), M = minutes (00-59), S = integer seconds (00-59) and DD = decimal seconds. Decimal seconds are expressed as follows: D = tenths (0-9) and DD = hundredths (00-99).

Note: Use to identify the origination time of this transaction set.


BCP09

Change Order Sequence Number (ID: BCP09)

Number assigned by the orderer identifying a specific change or revision to a previously transmitted transaction set.

Notes:

1. When the Reference Identification Qualifier is code "CT", use to identify an award instrument modification number, e.g., P00001, A00001, if applicable.

2. If the cost or price proposal is for multiple modifications against the same award instrument, cite the first modification number that applies in this data element and cite the other modification numbers as separate Reference Identifications using code C4 for the Reference Identification Qualifiers. Use as many Reference Identifications as necessary to identify all modifications that apply to this cost or price proposal. See DataEntry | NonEssentialAdmnData | ReferenceNumbers for further information about Reference Identifications.


BCP10

Reference Identification (ID: BCP10)

Reference number or identification number as defined for a particular Transaction Set, or as specified by the Reference Identification Qualifier.

Note: When the Transaction Set Purpose Code is code 15, use to identify the revision number applicable to the cost or price proposal.


BCP11

Reference Identification (ID: BCP11)

Reference number or identification number as defined for a particular Transaction Set, or as specified by the Reference Identification Qualifier.

Note: Use to identify the award instrument option number to which this proposal applies.


BCP12

Description (ID: BCP12)

A free-form description to clarify the related data elements and their content.

Note: When the Contract Action Code is code "KG", use to identify the contract action(s). If multiple contract actions apply, cite each, inserting a colon between each action.


BCP13

Description (ID: BCP13)

A free-form description to clarify the related data elements and their content.

Note: When the Contract Type Code is code "OC", use to identify the other contract type. If multiple contract types apply, cite each, inserting a colon between each type.


CB1MSG01

Free-Form Message Text (ID: MSG01)

Free-form message text.

Notes:

1. Use to provide information related to the codes specified in the Acquisition Data Code. Use of this segment is encouraged when the Acquisition Data Code is code "01", "03", "05", "08", "10", "12", "14", or "17".

2. When the Acquisition Data Code is code "01", this segment may be used to identify the amount the contractor is proposing to pay for the use of government furnished property.


CB1N1

Name & Address (ID: CB1/N1 Loop)

Purpose is to identify a party by type of organization, name and code.

This segment, used alone, provides the most efficient method of providing organizational identification. To obtain this efficiency the "ID" Code must provide a key to the table maintained by the transaction processing party.

Notes:

1. When the Acquisition Data Code is code "01" (Government Property Required), code "05" (Awarded Contract for the Same or Similar Items), code "11" (Adequate Cost Accounting Standards Board (CASB) Disclosure Statement Submitted) or code "12" (Inadequate Cost Accounting Standards Board (CASB) Disclosure Statement Determined), use to identify the party holding the required government furnished property, if other than the proposing party, or the customer for whom the same or similar work was performed or the party that received a disclosure statement.

2. Whenever possible, identification and address information should be provided using codes (N101, N103 and N104) as opposed to names and locations (N102 and Segment Groups N2.. through N4..).


CB1N9

Reference Identification (ID: CB1/N9 Loop)

Purpose is to transmit identifiers and descriptive information as specified by the Reference Identification Qualifier.

Note: When the Acquisition Data Code is code "01" (Government Property Required) or code "05" (Awarded Contract for the Same or Similar Items), use to provide reference numbers applicable to the required government furnished property or items furnished under a contract for the same or similar items as contained in this proposal.


CB1N101

Entity Identifier Code (ID: N101)

Code identifying an organizational entity, a physical location or an individual.

Code Descriptions:

KB Customer for Whom Same or Similar Work Was Performed

Use when the Acquisition Data Code is code "05" (Awarded Contract for the Same or Similar Items).

KC Party That Received Disclosure Statement

Use when the Acquisition Data Code is either code "11" (Adequate Cost Accounting Standards Board (CASB) Disclosure Statement Submitted) or code "12" (Inadequate Cost Accounting Standards Board (CASB) Disclosure Statement Determined).

KH Organization Having Source Control

When the Acquisition Data Code is code "01" (Government Property Required), if known, use to indicate the party holding the required government furnished property.


CB1N102

Name (ID: N102)

Free-form name.

Note: Use only if the party cited in the Entity Identifier Code cannot be identified by an Identification Code.


CB1N103

Identification Code Qualifier (ID: N103)

Code designating the system or method of code structure used for the Identification Code.

Note: While the federal EDI program uses the DUNS number, other government users of this implementation convention may require the use of other and additional numbers for a transition period in order to cross reference existing data bases to new procurement actions.

Code Descriptions:

1 D-U-N-S Number, Dun & Bradstreet

Use of the DUNS and DUNS +4 number is preferred over other codes to identify an entity.

9 D-U-N-S+4, D-U-N-S Number with Four Character Suffix

Use of the DUNS and DUNS +4 number is preferred over other codes to identify an entity.

10 Department of Defense Activity Address Code (DODAAC)

Use to indicate a DoD or Civilian Agency Activity Address Code.

33 Commercial and Government Entity (CAGE)


CB1N104

Identification Code (ID: N104)

Code identifying a party or other code.


CB1N201

Name (ID: N201)

Free-form name or additional name information.

Note: Use only when the entity has not been identified by a code and it is necessary to provide additional name information.


CB1N202

Name (ID: N202)

Free-form name or additional name information.

Note: Use only when the entity has not been identified by a code and it is necessary to provide additional name information.


CB1N301

Address Information (ID: N301)

Address Information.

Note: Use only when the entity has not been identified by a code.


CB1N302

Address Information (ID: N302)

Address Information.

Note: Use only when the entity has not been identified by a code.


CB1N401

Name: City Name (ID: N401)

Free-form text for city name.

Note: Use only when the entity has not been identified by a code.


CB1N402

Name: State or Province Code (ID: N402)

Code (Standard State or Province) as defined by appropriate government agency.

Note: Use only when the entity has not been identified by a code.


CB1N403

Name: Postal Code (ID: N403)

Code defining international postal zone code excluding punctuation and blanks (zip code for United States).

Note: Use only when the entity has not been identified by a code.


CB1N404

Name: Country Code (ID: N404)

Code identifying the country.

Note: Use only when the entity has not been identified by a code.


N405 (CB1 Loop)

Location Qualifier (ID: N405)

Code identifying type of location.


N406 (CB1 Loop)

Location Identifier (ID: N406)

Code that identifies a specific location.


CB1N901

Reference Identification Qualifier (ID: N901)

Code Qualifying the Reference Identification.

Notes:

1. When the Acquisition Data Code is code "01" (Government Property Required), code "CT" shall be used to identify the contract and contract line item number (CLIN) under which the required property is presently held. Codes "CH", "MF", "NS", "PM", "QY", "S6", "VR", "W2" or "W7" may be used to describe the property.

2. When the Acquisition Data Code is code "05" (Awarded Contract for the Same or Similar Items), codes "C7" and "CT" shall be used to identify the contract and contract line item number (CLIN) under which the same or similar item was awarded. The CLIN of the item in the proposal shall be identified in the Description. Codes "CH", "MF", "NS", "PM", "QY", "S6", "VR", "W2" or "W7" need only be used, if a similar item was previously awarded. These codes shall not be used, if the item that was previously awarded was the same as the item proposed.

Code Descriptions:

C7 Contract Line Item Number

Use when the Acquisition Data Code is code "05" (Awarded Contract for the Same or Similar Items).

When the Acquisition Data Code is code "05" (Awarded Contract for the Same or Similar Items), code "C7" shall be used to indicate the contract line item number (CLIN) of the same or similar item that was awarded. Identify the CLIN of the proposed item in the Description.

CH Customer Catalog Number

Use when the Acquisition Data Code is code "01" (Government Property Required) or code "05" (Awarded Contract for the Same or Similar Items).

CT Contract Number

Use when the Acquisition Data Code is code "01" (Government Property Required) or code "05" (Awarded Contract for the Same or Similar Items).

When the Acquisition Data Code is code "01" (Government Property Required), code "CT" shall be used to indicate the contract under which the required property is presently held accountable.

When the Acquisition Data Code is code "05" (Awarded Contract for the Same or Similar Items), code "CT" shall be used to indicate the contract under which the same or similar item was awarded.

MF Manufacturers Part Number

Use when the Acquisition Data Code is code "01" (Government Property Required) or code "05" (Awarded Contract for the Same or Similar Items).

When used, another N9 segment must be transmitted with either code "VR" (Vendor ID Number) or code "W7" (CAGE Code) cited in the Reference Identification Qualifier.

NS National Stock Number

Use when the Acquisition Data Code is code "01" (Government Property Required) or code "05" (Awarded Contract for the Same or Similar Items).

PM Part Number

Use when the Acquisition Data Code is code "01" (Government Property Required) or code "05" (Awarded Contract for the Same or Similar Items).

QY Service Performed Code

Use when the Acquisition Data Code is code "05" (Awarded Contract for the Same or Similar Items). When used, cite the appropriate code in the Reference Indentifier and, if necessary, provide brief text information in the Description.

S6 Stock Number

Use when the Acquisition Data Code is code "01" (Government Property Required).

VR Vendor ID Number

Use to indicate a DUNS or DUNS plus 4 number. Use only when a previous iteration of this N9 segment cited code "MF" as the Reference ID Code.

W2 Weapon System Number

Use when the Acquisition Data Code is code "01" (Government Property Required).

W7 Commercial and Government Entity (CAGE) Code

Use to indicate a CAGE code. Use only when a previous iteration of this N9 segment cited code "MF" as the Reference ID Code.


CB1N902

Reference Identification (ID: N902)

Reference number or identification number as defined for a particular Transaction Set, or as specified by the Reference Identification Qualifier.


CB1N903

Free-Form Description (ID: N903)

Free-form descriptive text.

Notes:

1. When the Acquisition Data Code is code "05" (Awarded Contract for the Same or Similar Items) and the Reference ID Code is code "C7" (Contract Line Item Number), use to identify the CLIN of the proposed item.

2. When the Reference ID Code is code "QY" (Service Performed Code), use, if necessary, to provide a free form text description of the service.


CB1N904

Date (ID: N904)

Date (Entered as DD-MMM-YY and converted by System to YYMMDD).


CB1N905

Time (ID: N905)

Time expressed in 24-hour clock time as follows: HHMM, or HHMMSS, or HHMMSSD, or HHMMSSDD, where H = hours (00-23), M = minutes (00-59), S = integer seconds (00-59) and DD = decimal seconds. Decimal seconds are expressed as follows: D = tenths (0-9) and DD = hundredths (00-99).


CB1N906

Time Code (ID: N906)

Code identifying the time. In accordance with International Standards Organization standard 8601, time can be specified by a + or - and an indication in hours in relation to Universal Time Coordinate (UTC) time; since + is a restricted character, + and - are substituted by P and M in the Time codes.


CB101

Acquisition Data Code (ID: CB101)

Code identifying acquisition data.

Notes:

1. When the Transaction Set Purpose Code is code "00" (Original), code "07" (Duplicate) or code "15" (Re-submission), one of the codes from each of the following groups must be present in eight (8) separate iterations of this segment:

· code “01” or “02”

· code “03” or “04”

· code “05” or “06”

· code “07” or “08”

· code “09” or “10”

· code “11”, “12” or “13”

· code “14” or “15”

· code “16” or “17”

2. When the Acquisition Data Code is code "01", use the MSG (Text) and N9 (Reference Numbers) segments to identify the required property and to provide the contract number under which the property in the contractor's possession is accountable.

3. When the Acquisition Data Code is code "03", the Financing Type Code is required. If none of the codes available in the Financing Type Code identify the type of financing, use the MSG (Text) segment to identify the type of financing.

4. When the Acquisition Data Code is code "05", use the MSG (Text) and N9 (Reference Identification) segments and the embedded N1 (Organizational Identification) loop to provide information applicable to the contract and items that were previously awarded.

5. When the Acquisition Data Code is code "08", "10", "14", or "17", use the MSG (Text) segment to provide an explanation.

6. When the Acquisition Data Code is either code "11" or "12", use the embedded N1 (Organizational Identification) loop to identify the office to which the disclosure statement was submitted.

Code Descriptions:

01 Government Property Required

When used, the MSG (Text) segment may be used to identify the amount the contractor proposes to pay for the use of government furnished property.

02 Government Property Not Required

03 Contract Financing Required

04 Contract Financing Not Required

05 Awarded Contract for the Same or Similar Items

06 Not Awarded Contract for the Same or Similar Items

07 Proposal Consistent with Established Practices, Procedures and Principles

08 Proposal Not Consistent with Established Practices, Procedures and Principles

09 Contract Subject to Cost Accounting Standards Board (CASB) Regulations

10 Contract Not Subject to Cost Accounting Standards Board (CASB) Regulations

11 Adequate Cost Accounting Standards Board (CASB) Disclosure Statement Submitted

12 Inadequate Cost Accounting Standards Board (CASB) Disclosure Statement Determined

13 Cost Accounting Standards Board (CASB) Disclosure Statement Not Submitted

14 Notified of Actual or Potential Disclosure Statement or Cost Accounting Standards Board (CASB) Noncompliance

15 Not Notified of Actual or Potential Disclosure Statement or Cost Accounting Standards Board (CASB) Noncompliance

16 Proposal Consistent with Disclosed Practices or Standards

17 Proposal Not Consistent with Disclosed Practices or Standards


CB102

Financing Type Code (ID: CB102)

Code identifying the type of contract financing required by the submitter of a pricing proposal.

Notes:

1. When the Acquisition Data Code is code "03" (Contract Financing Required), the Financing Type Code is required.

2. If none of the listed codes adequately describe the required type of financing, use the MSG (Text) segment to identify the type of financing.

Code Descriptions:

A Advance Payment

G Guaranteed Loan

P Progress Payment

Use to idicate customary progress payments as defined in FAR 32.501-1.


CBS01

Assigned Identification (ID: CBS01)

Alphanumeric characters assigned for differentiation within a transaction set.

Note: Use to identify the line item, sub-line item or exhibit line item number from either the award instrument or the solicitation.


CBS02

Quantity (ID: CBS02)

Numeric value of quantity.

Note: Use to identify the quantity of the subject line item or sub-line item.


CBS03

Unit or Basis for Measurement Code (ID: CBS03)

Code specifying the units in which a value is being expressed, or manner in which a measurement has been taken.

Use any code.

Code Descriptions:

3C Manmonth

EA Each

LO Lot

ZZ Mutually Defined


CBSMSG01

Free-Form Message Text (ID: MSG01)

Free-form message text.

Note: Use to provide a free-form text description of the proposed item.


COSTELEMENTCOM

Cost Element Cost of Money Identifier Code (ID: PD09)

Code specifying whether or not Cost of Money (COM) applies to the cost element.

Code Descriptions:

N Cost of Money Does Not Apply to the Cost Element

Y Cost of Money Applies to the Cost Element

Note: This item is included on the data entry form, because it’s part of the ANSI standard. However, the System’s Proposal Analyzer handles Cost of Money the same as other cost elements (i.e., without a dedicated qualifier). Its value can be blank, unless the proposal requestor specifies otherwise.


COSTELEMENTDED

Display Element During Data Entry Code

Code specifying whether or not to display the subject Element during data entry.

Code Descriptions:

N Do not display the Element during data entry

Y Display the Element during data entry

Notes:

1. The System uses this code only during Base data entry.

2. Hiding elements during Base data entry is convenient, if a particular proposal includes only a relatively small subset of all the elements included in a user’s estimating system, as defined in the Element structure. Displaying only relevant elements makes scrolling through them more efficient.

3. The System’s default behavior is to display all elements (i..e., a blank Code value is treated the same as Code “Y”). You must enter Code “N” to hide the subject element during data entry.


COSTELEMENTDESCRIPTION

Cost Element Description (ID: PD06)

A free-form description of the subject cost element.

Note: The "long-hand" description of the "short-hand" Cost Element Identifier.


COSTELEMENTETC

Cost Element Type Code

Code specifying the cost element type for System purposes.

Notes:

1. Rate, Base and Calculated type codes can be used for display, as well as for data entry and cost logic formulas.

2. Type codes are restricted to the codes shown below.

B Base Element

C Calculated Element

D Display Element (Only)

R Rate Element

3. Many cost elements will require several type codes. The actual number for any particular element is a function of what is required to express all cost relationships in the cost logic structure. For example, each labor category will probably require three codes:

B Base Element

R Rate Element

C Calculated Element

4. General guidance for Cost Elements is available as part of System Help. To access this guidance, activate Help from the System Menu Bar or press the F1 Key during data entry. Then select the Contents Tab | Building a Proposal | Proposal Structure Definition | Element.

5. Use of the codes in context is demonstrated in the various sample proposals distributed with the System. For most users, reviewing and understanding the structures of the sample proposals will be the fastest means to System proficiency.


COSTELEMENTID

Cost Element Identifier (ID: PD05)

Free-form name.

Notes:

1. The "short-hand" name given to a cost element that appears in a cost or price proposal. For example, DLH or the number 24680 could be used as the "short-hand" name for direct labor hours. Since DLH is more descriptive of the cost element it represents, it is the better choice in this example.

2. These unique short-hand names are assigned by the originator of the transaction set (i.e., proposal). The ANSI standard also includes “Cost Element Description” (ID: PD06) to which the short-hand names refer. Since the actual descriptions can be quite long, short-hand names provide the means to make references to the cost elements more manageable.

3. These names are used in defining proposal cost logic and in entering proposal data. Therefore, you should consider assigning names whose meaning is clear and that you will remember while accomplishing the proposal operations that use them.


COSTELEMENTUMC

Cost Element Unit or Basis for Measurement Code (ID: PD03)

Code specifying the units in which a value is being expressed, or manner in which a measurement has been taken.

Notes:

1. While any code can be used, the following is the preferred ANSI code list (that must be used to achieve full Sps functionality):

A8 Dollars per Hour

DO Dollars

HR Hours

IE Person (Use to indicate a human resource; i.e., people assigned to a task)

PI Percent (entered as a decimal; e.g., 70% is entered as .7 and 150% is entered as 1.5)

UN Units

ZZ Mutually Defined

Use to indicate other non-hour units.

2. Use the code that is consistent with the nature of the cost element. For example, use:

HR for labor hours by labor category

A8 for labor rates by labor category

DO for labor dollars, as well as any other cost elements that are expressed as dollars (e.g., purchased parts, travel, etc.)

PI for indirect rates (e.g., engineering overhead, G&A, etc.)

UN for base values other than labor hours (e.g., computer resource units, units to be shipped, copies to be made, etc.)

IE seldom used

ZZ seldom used

3. General guidance for Cost Elements is available as part of System Help. To access this guidance, activate Help from the System Menu Bar or press the F1 Key during data entry. Then select the Contents Tab | Building a Proposal | Proposal Structure Definition | Element.

4. Use of the codes in context is demonstrated in the various sample proposals distributed with the System. For most users, reviewing and understanding the structures of the sample proposals will be the fastest means to System proficiency.


CTBVAT_PROPPERIODVAL

Allocation Template

The individual values represent the portions of the total value that are applicable to each proposal period.

For System purposes, values are entered into the allocation template as decimal fractions. For example:

· 8.5 % is entered as .085

· 15.0 % is entered as .15

· 100 % is entered as 1.0

The System automatically ensures that the sum of all individual allocation values always equals the mathematically correct 1.0. When a new value is entered, if mathematically possible, the System adjusts the last period value to maintain a total value of 1.0. If the System cannot maintain a total value of 1.0 by adjusting the last period value, it rejects the new entry and keeps the existing value.


CUR01

Entity Identifier Code (ID: CUR01)

Code identifying an organizational entity, a physical location or an individual.

Code Descriptions:

SE Selling Party (Default code)


CUR02

Currency Code (ID: CUR02)

Code (Standard ISO) for the country in whose currency the charges are specified.

Note: Use to identify the currency applicable to the monetary values in the subject cost or price proposal, if other than U.S. dollars.


CUR03

Exchange Rate (ID: CUR03)

Value to be used as a multiplier conversion factor to convert a monetary value from one currency to another.

Note: Use to identify the exchange rate of the foreign currency to U.S. dollars.


DEACALL

Access Code for Entry of All Types of Data

Code whose correct entry allows the user to access all proposal data (i.e., base, rate and other).

Note: Entering a value for this code has no effect on data entry access, if the three individual access codes (i.e., base, rate and other) are all blank. In this situation, the proposal would have open access (i.e., no data entry access protection). One or more of the individual access codes must be non-blank before this access code becomes operative.


DEACBASE

Access Code for Entry of Base Type Data

Code whose correct entry allows the user to access proposal base data.

Notes:

1. Entering a blank value for this code causes the System to provide open access to the proposal's base data (i.e., no data entry access protection in this area).

2. The same value may be used for more than one access code, which causes entry of that code to provide access to more than one type of data.


DEACOTHER

Access Code for Entry of Other Type Data

Code whose correct entry allows the user to access other proposal data (i.e., non-base and non-rate data).

Notes:

1. Entering a blank value for this code causes the System to provide open access to other proposal data (i.e., no data entry access protection in this area).

2. The same value may be used for more than one access code, which causes entry of that code to provide access to more than one type of data.


DEACPROPPATH

Proposal Path

Subdirectory where the System expects to locate the subject proposal.

Notes:

1. The System expects to locate the subject proposal in the same subdirectory in which it was last accessed.

2. The System keeps track of changes in proposal location automatically. However, because proposals can be moved from one location to another, or even deleted altogether, using other than System operations, the System can lose track of proposals.

3. When a proposal is activated, if the System cannot locate its Data Entry Access Code record, it creates a new record with open access (i.e., no access protection is provided). If the System Administrator desires to set access controls for a particular proposal and that proposal cannot be located in the Data Entry Access Table, it is necessary to activate the proposal first to create a new access code record for it.

4. The System Administrator should review the Data Entry Access Table periodically and delete any records for proposals that are no longer on the System or whose table path (i.e., subdirectory) differs from its actual path.


DEACRATE

Access Code for Entry of Rate Type Data

Code whose correct entry allows the user to access proposal rate data.

Notes:

1. Entering a blank value for this code causes the System to provide open access to the proposal's rate data (i.e., no data entry access protection in this area).

2. The same value may be used for more than one access code, which causes entry of that code to provide access to more than one type of data.


DESORTBUTTON

Sort Button

Use to sort records on the subject data element during data entry.


DEUPDATESOURCEDATABUTTON

Update Source Data Button

Use to update the data underlying the active form to reflect records that are new to or have been deleted from the record source since the form was opened or last updated.

Note: The form automatically shows changes that have been made to the current set of records by both the user and other users. However, record additions and deletions require manual update of the source data to ensure that the form displays the most current data for all users in a multi-user environment.


Display Period Parameters Button

Use to display the active proposal’s Start Date, End Date and Period Type.


DTM01

Date/Time Qualifier (ID: DTM01)

Code specifying type of date or time, or both date and time.

Code Descriptions:

193 Period Start

When applicable, use code "193" in the first iteration of the DTM Segment to indicate the start of the performance period.

194 Period End

When applicable, use code "194" in the second iteration of the DTM Segment to indicate the end of the performance period.


DTM02

Date (ID: DTM02)

Date (Entered as DD-MMM-YY and converted by System to YYMMDD).


DTM03

Time (ID: DTM03)

Time expressed in 24-hour clock time as follows: HHMM, or HHMMSS, or HHMMSSD, or HHMMSSDD, where H = hours (00-23), M = minutes (00-59), S = integer seconds (00-59) and DD = decimal seconds. Decimal seconds are expressed as follows: D = tenths (0-9) and DD = hundredths (00-99).


DTM04

Time Code (ID: DTM04)

Code identifying the time. In accordance with International Standards Organization standard 8601, time can be specified by a + or - and an indication in hours in relation to Universal Time Coordinate (UTC) time; since + is a restricted character, + and - are substituted by P and M in the DTM codes.


DTM05

Century (ID: DTM05)

The first two characters in the designation of the year (CCYY).


DTM06

Date Time Period Format Qualifier (ID: DTM06)

Code indicating the date format, time format or date and time format.


DTM07

Date Time Period (ID: DTM07)

Expression of a date, a time, or range of dates, times or dates and times.


EFODataBillofMaterial

External File Operation (Data | BillofMaterial)

The Data | BillofMaterial External File Operation is used to import Bill of Material data into the proposal database. The user can either Update or Replace existing data, as well as specify the field delimiter for the import file.

· The Update method starts by retaining the existing data and then changes it based on data in the external file. The changes may be substitution of new data for existing data or insertion of new data, if there is no corresponding existing data.

· The Replace method starts by deleting all existing data and then inserts the data in the external file. The Replace method must be used with caution, since all existing data is deleted, including any data that can only be entered using the keyboard (i.e., narrative, basis-of-estimate and other related data.).

· The specified delimiter is the ASCII character used to separate data fields in the import file. The System has the flexibility to handle whatever delimiter is used to build the import file.

· Additional information about the import process is available in System Help (Contents Tab | Building a Proposal | Importing Proposal Data and Structure).

Always check the proposal after an Import operation to ensure the results are as expected. Import operations are inherently risky, and can cause data loss and possibly even proposal damage.

· Always Backup a proposal to a storage device before attempting to import data into it!


EFODataDirectInputs

External File Operation (Data | DirectInputs)

The Data | DirectInputs External File Operation is used to import numeric base data into the proposal database. The user can either Update or Replace existing data, as well as specify the field delimiter for the import file.

· The Update method starts by retaining the existing data and then changes it based on data in the external file. The changes may be substitution of new data for existing data or insertion of new data, if there is no corresponding existing data.

· The Replace method starts by deleting all existing data and then inserts the data in the external file. The Replace method must be used with caution, since all existing data is deleted, including any data that can only be entered using the keyboard (i.e., narrative, basis-of-estimate and other related data.).

· The specified delimiter is the ASCII character used to separate data fields in the import file. The System has the flexibility to handle whatever delimiter is used to build the import file.

· Additional information about the import process is available in System Help (Contents Tab | Building a Proposal | Importing Proposal Data and Structure).

Always check the proposal after an Import operation to ensure the results are as expected. Import operations are inherently risky, and can cause data loss and possibly even proposal damage.

· Always Backup a proposal to a storage device before attempting to import data into it!


EFODataRatesandFactors

External File Operation (Data | RatesandFactors)

The Data | RatesandFactors External File Operation is used to import numeric rate and factor data into the proposal database. The user can either Update or Replace existing data, as well as specify the field delimiter for the import file.

· The Update method starts by retaining the existing data and then changes it based on data in the external file. The changes may be substitution of new data for existing data or insertion of new data, if there is no corresponding existing data.

· The Replace method starts by deleting all existing data and then inserts the data in the external file. The Replace method must be used with caution, since all existing data is deleted, including any data that can only be entered using the keyboard (i.e., narrative, basis-of-estimate and other related data.).

· The specified delimiter is the ASCII character used to separate data fields in the import file. The System has the flexibility to handle whatever delimiter is used to build the import file.

· Additional information about the import process is available in System Help (Contents Tab | Building a Proposal | Importing Proposal Data and Structure).

Always check the proposal after an Import operation to ensure the results are as expected. Import operations are inherently risky, and can cause data loss and possibly even proposal damage.

· Always Backup a proposal to a storage device before attempting to import data into it!


EFOStructureElement

External File Operation (Structure | Element)

The Structure | Element External File Operation is used to import a proposal’s cost element structure into the proposal database. The user can either Update or Replace existing data, as well as specify the field delimiter for the import file.

· The Update method starts by retaining the existing data and then changes it based on data in the external file. The changes may be substitution of new data for existing data or insertion of new data, if there is no corresponding existing data.

· The Replace method starts by deleting all existing data and then inserts the data in the external file. The Replace method must be used with caution, since all existing data is deleted, including any data that can only be entered using the keyboard (i.e., narrative, basis-of-estimate and other related data.).

· The specified delimiter is the ASCII character used to separate data fields in the import file. The System has the flexibility to handle whatever delimiter is used to build the import file.

· Additional information about the import process is available in System Help (Contents Tab | Building a Proposal | Importing Proposal Data and Structure).

Always check the proposal after an Import operation to ensure the results are as expected. Import operations are inherently risky, and can cause data loss and possibly even proposal damage.

· Always Backup a proposal to a storage device before attempting to import data into it!


EFOStructureLineItemt

External File Operation (Structure | LineItem)

The Structure | LineItem External File Operation is used to import a proposal’s Line Item structure into the proposal database. The user can either Update or Replace existing data, as well as specify the field delimiter for the import file.

· The Update method starts by retaining the existing data and then changes it based on data in the external file. The changes may be substitution of new data for existing data or insertion of new data, if there is no corresponding existing data.

· The Replace method starts by deleting all existing data and then inserts the data in the external file. The Replace method must be used with caution, since all existing data is deleted, including any data that can only be entered using the keyboard (i.e., narrative, basis-of-estimate and other related data.).

· The specified delimiter is the ASCII character used to separate data fields in the import file. The System has the flexibility to handle whatever delimiter is used to build the import file.

· Additional information about the import process is available in System Help (Contents Tab | Building a Proposal | Importing Proposal Data and Structure).

Always check the proposal after an Import operation to ensure the results are as expected. Import operations are inherently risky, and can cause data loss and possibly even proposal damage.

· Always Backup a proposal to a storage device before attempting to import data into it!


EFOStructureSOW

External File Operation (Structure | SOW)

The Structure | SOW External File Operation is used to import a proposal’s Statement of Work (SOW) structure into the proposal database. The user can either Update or Replace existing data, as well as specify the field delimiter for the import file.

· The Update method starts by retaining the existing data and then changes it based on data in the external file. The changes may be substitution of new data for existing data or insertion of new data, if there is no corresponding existing data.

· The Replace method starts by deleting all existing data and then inserts the data in the external file. The Replace method must be used with caution, since all existing data is deleted, including any data that can only be entered using the keyboard (i.e., narrative, basis-of-estimate and other related data.).

· The specified delimiter is the ASCII character used to separate data fields in the import file. The System has the flexibility to handle whatever delimiter is used to build the import file.

· Additional information about the import process is available in System Help (Contents Tab | Building a Proposal | Importing Proposal Data and Structure).

Always check the proposal after an Import operation to ensure the results are as expected. Import operations are inherently risky, and can cause data loss and possibly even proposal damage.

· Always Backup a proposal to a storage device before attempting to import data into it!


EFOStructureWBS

External File Operation (Structure | WBS)

The Structure | WBS External File Operation is used to import a proposal’s Work Breakdown Structure (WBS) into the proposal database. The user can either Update or Replace existing data, as well as specify the field delimiter for the import file.

· The Update method starts by retaining the existing data and then changes it based on data in the external file. The changes may be substitution of new data for existing data or insertion of new data, if there is no corresponding existing data.

· The Replace method starts by deleting all existing data and then inserts the data in the external file. The Replace method must be used with caution, since all existing data is deleted, including any data that can only be entered using the keyboard (i.e., narrative, basis-of-estimate and other related data.).

· The specified delimiter is the ASCII character used to separate data fields in the import file. The System has the flexibility to handle whatever delimiter is used to build the import file.

· Additional information about the import process is available in System Help (Contents Tab | Building a Proposal | Importing Proposal Data and Structure).

Always check the proposal after an Import operation to ensure the results are as expected. Import operations are inherently risky, and can cause data loss and possibly even proposal damage.

· Always Backup a proposal to a storage device before attempting to import data into it!


G6101

Contact Function Code (ID: G6101)

Code identifying the major duty or responsibility of the person or group named.

Code Descriptions:

IC Information Contact


G6102

Name (ID: G6102)

Free-form name.

Note: Use to identify the name of a point of contact. Last name, followed by first name, is preferred. If the whole name is longer than thirty-five (35) characters, the use of an initial for the first name is recommended.


G6103

Communication Number Qualifier (ID: G6103)

Code identifying the type of communication number.

Code Descriptions:

EM Electronic Mail

Use to indicate an E-Mail address.

FX Facsimile

IT International Telephone

TE Telephone


G6104

Communication Number (ID: G6104)

Complete communications number including country or area code when applicable.

Note: When the Communication Number Qualifier is code "FX" (Facsimile), code "IT" (International Telephone) or code "TE" (Telephone), include the area code or the country code, as applicable, and cite the number as a continuous number without extraneous characters.


G6105

Contact Inquiry Reference (ID: G6105)

Additional reference number or description to clarify a contact number.

Note: Use to identify the title of the party authorizing the cost or price proposal or of the information contact.


GeneralCancelButton

Cancel Button

Press to cancel the current operation.


GeneralOKButton

OK Button

Press to complete the current operation.


GS01

Functional Identifier Code (ID: GS01)

Code identifying a group of application related Transaction Sets.

Note: Choose the code value appropriate to the information content of the functional group. See X12 Dictionary for source code list, if other than code "CP" is applicable

Code Descriptions:

CP Contract Pricing Proposal (805)


GS02

Application Sender's Code (ID: GS02)

Name: Application Sender's Code (GS02)

Code identifying party sending transmission. Codes agreed to by trading partners.

Note: DoD activities use Department of Defense Activity Address Code (DoDAAC). Non-DoD activities use identification code assigned by DoD activity. Recommend for increased security that non-DoD code differ from that used in ISA06.


GS03

Application Receiver's Code (ID: GS03)

Code identifying party receiving transmission. Codes agreed to by trading partners.

Note: DoD activities use Department of Defense Activity Address Code (DoDAAC). Non-DoD activities use identification code assigned by DoD activity. Recommend for increased security that non-DoD code differ from that used in ISA08.


GS04

Date (ID: GS04)

Date sender generated a transaction set.

Date entered as DD-MMM-YY and converted by System to YYMMDD.


GS05

Time (ID: GS05)

Time expressed in 24-hour clock time as follows: HHMM, or HHMMSS, or HHMMSSD, or HHMMSSDD, where H = hours (00-23), M = minutes (00-59), S = integer seconds (00-59) and DD = decimal seconds. Decimal seconds are expressed as follows: D = tenths (0-9) and DD = hundredths (00-99).


GS06

Group Control Number (ID: GS06)

Assigned number originated and maintained by the sender.


GS07

Responsible Agency Code (ID: GS07)

Code used in conjunction with the Version/Release/Industry ID Code (GS08) to identify the issuer of the standard.

Code Descriptions:

X Accredited Standards Committee X12

Indicates that an ANSI X12 standard is being transmitted.


GS08

Version/Release/Industry ID Code (ID: GS08)

Code indicating the version release, subrelease and industry identifier of the EDI standard being used. Positions 1-3, version number; positions 4-6, release and subrelease level of version; positions 7-12, industry or trade association identifier (optionally assigned by user).

Code Descriptions:

003050 Draft Standards Approved by ASC X12 Through 27 August 1996.

Code value agreed to by trading partners. See X12 Dictionary for source code list.


HL01

Hierarchical ID Number (ID: HL01)

A unique number assigned by the sender to identify a particular data segment in a hierarchical structure.

A unique and progressive number assigned by the originator of the transaction set, e.g., 1, 2, 3, etc.

Note: The number is assigned automatically by the System, based on proposal structure information provided by the user.


HL02

Hierarchical Parent ID Number (ID: HL02)

Identification number of the next higher hierarchical data segment that the data segment being described is subordinate to.

Use of this data element is required when the current HL segment is subordinate to another HL segment. For example, if the second HL segment is subordinate to the first HL segment, the number 1 would be cited. Likewise, if the sixth HL segment is subordinate to the fourth HL segment, the number 4 would be cited. If an HL segment is not subordinate to another HL segment, e.g., the first iteration of the HL loop, this data element is left blank.

Note: The number is assigned automatically by the System, based on proposal structure information provided by the user.


HL03

Hierarchical Level Code (ID: HL03)

Code defining the characteristic of a level in a hierarchical structure.

Use to specify how the proposing party might desire to array the cost summary.

Code Descriptions:

56 Statement of Work

Use to indicate costs are identified to the SOW level as specified in the Request for Proposal.

I Item

Use to indicate a line item, i.e., a CLIN, SUBCLIN, or ELIN.

WB Work Breakdown Structure

Use to indicate costs are identified to the WBS level as specified in the Request for Proposal.

Note: The code is assigned automatically by the System, based on proposal structure information provided by the user.


HL04

Hierarchical Child Code (ID: HL04)

Code indicating whether there are hierarchical child data segments subordinate to the level being described.

Code Descriptions:

0 No subordinate HL Segment in this hierarchical structure.

Use to indicate the level identified in the Hierarchical Level Code has no subordinate level.

1 Additional subordinate HL Segment in this hierarchical srtucture.

Use to indicate the level identified in the Hierarchical Level Code has a subordinate level.

Note: The code is assigned automatically by the System, based on proposal structure information provided by the user.


HLREF01

Reference Number Qualifier (ID: REF01)

Code qualifying the Reference Number.

Code Descriptions:

74 Work Breakdown Structure (WBS)

Use when the Hierarchical Level Code is code “WB”.

83 Extended (or Exhibit) Line Item Number (ELIN)

Use when the Hierarchical Level Code is code “I”.

C7 Contract Line Item Number (CLIN)

Use when the Hierarchical Level Code is code “I”.

K7 Paragraph Number

When the Hierarchical Level Code is code “56”, use to indicate a SOW paragraph number.

L6 Subcontract Line Item Number (SUBCLIN)

Use when the Hierarchical Level Code is code “I”.

Note: The code is assigned automatically by the System, based on proposal structure information provided by the user.


HLREF02

Reference Number (ID: REF02)

Reference number or identification number as defined for a particular Transaction Set, or as specified by the Reference Number Qualifier.

Note: The number is assigned automatically by the System, based on proposal structure information provided by the user.


HLREF03

Description (ID: REF03)

A free-form description to clarify the related data elements and their content.

Use, if necessary, to provide a text description of the cited Reference Number.

Note: The description is assigned automatically by the System, based on proposal structure information provided by the user.


IB_CLINREFNUM

Reference Identification (ID: REF02)

Reference information as defined for a particular Transaction Set or as specified by the Reference Identification Qualifier.

Notes:

1. Entry is the appropriate Line Item number (Contract Line Item Number CLIN), SubContract Line Item Number (SubCLIN) or Exhibit Line Item Number (ELIN)).

2. The System automatically assigns the System default Line Item reference (*Default), if the user does not specify a Line Item reference for the task or if the user has not defined a Line Item structure for the proposal.


IB_PROPOSALPERIODVALUE

System Notes

1. The System will automatically categorize the subject base value as either a Quantity or a Monetary Amount, depending on the Unit of Measurement Code previously assigned by the user to the associated Cost Element.

2. The System uses the following Unit of Measurement Code categorization conventions:

· HR (Hours) is categorized as a Quantity.

· IE (Person) is categorized as a Quantity.

· UN (Units) is categorized as a Quantity.

· DO (Dollars) is categorized as a Monetary Amount.

3. All bases are entered into the System as decimal values.


IB_SOWREFNUM

Reference Identification (ID: REF02)

Reference information as defined for a particular Transaction Set or as specified by the Reference Identification Qualifier.

Notes:

1. Entry is the appropriate Statement of Work (SOW) number.

2. The System automatically assigns the System default SOW number reference (*Default), if the user does not specify a SOW number reference for the task or if the user has not defined a SOW structure for the proposal.


IB_TASKIDLOOKUP

Task Considerations

Tasks are the various, individual actions by which an effort is accomplished. They are the basic work units that underlie the CLIN, WBS and SOW structures and are a function of a proposer's distinct approach to accomplish the effort.

All proposal base data is entered into the System by specific task.

Move to the desired Task ID and press the Enter key to make it active, or press the Esc key at any time to leave the current task active.

The System allows the user to define and change a proposal's Task Structure, as desired.


IB_WBSREFNUM

Reference Identification (ID: REF02)

Reference information as defined for a particular Transaction Set or as specified by the Reference Identification Qualifier.

Notes:

1. Entry is the appropriate Work Breakdown Structure (WBS) item.

2. The System automatically assigns the System default WBS item reference (*Default), if the user does not specify a WBS item or if the user has not defined a WBS for the proposal.


PROPPERIODVALUEBASIS

Proposal Data Detail Identifier Code (ID: PDD05)

Code identifying the basis of a cited value in a proposal.

Code Descriptions:

AM Actual

AN Estimated

AO Negotiated

Notes:

1. Use only when the Basis of Values entry is code "AP" (Mixed).

2. This item is included on the data entry form, because it’s part of the ANSI standard. However, it’s not used by the the System’s Proposal Analyzer and its value can be blank, unless the proposal requestor specifies otherwise.


IR_PROPOSALPERIODVALUE

System Notes

1. The System will automatically categorize the subject rate value as either a Monetary Amount or a Percent depending on the Unit of Measurement Code previously assigned by the user to the associated Cost Element.

2. The System uses the following Unit of Measurement Code categorization conventions:

· A8 (Dollars per Hour) is categorized as a Monetary Amount.

· DO (Dollars) is categorized as a Monetary Amount.

· PI (Percent) is categorized as a Percent.

3. To minimize potential confusion in entering data that could result from mixing percentages and decimal factors, the user could define all Rate Elements as Unit of Measurement Code DO (Dollars) and enter all rates, including those normally expressed as percentages, into the System as decimal values. Examples of percentages expressed as decimal values are as follows:

· 5.6% is entered as .056

· 25.6% is entered as .256

· 152.4% is entered as 1.524

· .6% is entered as .006


ISA01

Authorization Information Type Code (ID: ISA01)

Code to identify the type of the Authorization Information.

Code Descriptions:

00 No Authorization Information Present (No Meaningful Information in ISA02)


ISA02

Authorization Information (ID: ISA02)

Information used for additional identification or authorization of the sender or the data in the interchange. The type of information is set by the Authorization Information Type Code.

Note: If no authorization information is agreed to by trading partners, fill field with blanks.


ISA03

Security Information Type Code (ID: ISA03)

Code to identify the type of the Security Information.

Code Descriptions:

01 Password


ISA04

Security Information (ID: ISA04)

This is used for identifying the security information about the sender or the data in the interchange. The type of information is set by the Security Information Type Code.

Note: An agreed upon password. If no security information is agreed to by trading partners, fill field with blanks.


ISA05

Interchange ID Type Code (ID: ISA05)

Code identifying the system or method of code structure used to designate the interchange sender or receiver ID.

Code Descriptions:

ZZ Mutually Defined

An agreed upon designation of DoD Activity Address Code (DoDAAC) or other code coordinated with the value-added network (VAN).


ISA06

Interchange Sender ID Code (ID: ISA06)

Identification code published by the sender for other parties to use as the receiver ID to route data to them. The sender always codes this number in the sender ID element.

Note: DoD activities use Department of Defense Activity Address Code (DoDAAC) or other code coordinated with value-added network (VAN). Non-DoD activities use an identification code qualified by the Interchange ID Type Code and coordinated with VAN.


ISA07

Interchange ID Type Code (ID: ISA07)

Code identifying the system or method of code structure used to designate the interchange sender or receiver ID.

Code Descriptions:

ZZ Mutually Defined

An agreed upon designation of DoD Activity Address Code (DoDAAC) or other code coordinated with the value-added network (VAN).


ISA08

Interchange Receiver (ID: ISA08)

Identification code published by the receiver of the data. When sending, it is used by the sender as its sending ID. Thus, other parties sending to them will use this as a receiving ID to route data to them.

Note: DoD activities use Department of Defense Activity Address Code (DoDAAC) or other code coordinated with value-added network (VAN). Non-DoD activities use an identification code qualified by the Interchange ID Type Code and coordinated with VAN.


ISA09

Interchange Date (ID: ISA09)

Date of the interchange.

Entered as DD-MMM-YY and converted by System to YYMMDD.


ISA10

Interchange Time (ID: ISA10)

Time of the interchange.

Time expressed in 24-hour clock time (HHMM).


ISA11

Interchange Control Standards Code (ID: ISA11)

Code to identify the agency responsible for the control standard used by the message that is enclosed by the interchange header and trailer.

Code Descriptions:

U U.S. EDI Community of ASC X12, TDCC, and UCS


ISA12

Interchange Control Version Number (ID: ISA12)

This version number covers the interchange control segments and the functional group control segments.

Code Descriptions:

003050 Draft Standard for Trial Use Approved for Publication by ASC X12 Procedures Review Board Through 27 August 1996

Version ID as defined or agreed upon by the trading partners.


ISA13

Interchange Control Number (ID: ISA13)

This number uniquely identifies the interchange data to the sender. It is assigned by the sender. Together with the sender ID it uniquely identifies the interchange data to the receiver. It is suggested that the sender, receiver, and all third parties be able to maintain an audit trail of interchanges using this number.


ISA14

Acknowledgement Requested Code (ID: ISA14)

Code sent by a sender to request an interchange acknowledgement.

Code Descriptions:

0 No Acknowledgement Requested

1 Interchange Acknowledgement Requested


ISA15

Test Indicator Code (ID: ISA15)

Code to indicate whether data enclosed by this interchange envelope is test or production.

Code Descriptions:

P Production Data

T Test Data


ISA16

Subelement Separator (ID: ISA16)

This is a field reserved for future expansion in separating data element subgroups. (In the interest of a migration to international standards, this should be different from the data element separator).

Note: Use character "<".


ITEMREF02

Reference Number (ID: REF02)

Reference number or identification number as defined for a particular Transaction Set.

Notes:

1. The actual assigned number in the applicable hierarchical structure (i.e., Line Item (CLIN/SubCLIN/ELIN), WBS or SOW).

2. Hierarchical structure numbering examples:

Line Item WBS SOW
0001 | 1.0 | 1.
0001AA | 1.1 | 1.1
0001AB | 1.1.1 | 1.2
0001ABA001 | 1.1.1.1 | 1.2.1
0002 | 1.2 | 2.
. | . | .
. | . | .
. | . | .
9999ZZZ999 | 1 ... | n ...


ITEMREF02LINEITEM

Reference Number (ID: REF02)

Reference number or identification number as defined for a particular Transaction Set.

Notes:

1. The actual assigned number in the Line Item (CLIN/SubCLIN/ELIN) hierarchical structure.

2. Line item structure numbering examples:

0001 | 00001 | 1
0001AA | 00001AA | 1AA
0001AB | 00001AB | 1AB
0001ABA001 | 00001ABA001 | 1ABA001
. | . | .
. | . | .
. | . | .
0001ZZ | 00001ZZ | 1ZZ
0002 | 00002 | 2
0003 | 00003 | 3
0004 | 00004 | 4
0004AA | 00004AA | 4AA
0004AB | 00004AB | 4AB
0005 | 00005 | 5
. | . | .
. | . | .
. | . | .
9999ZZZ999 | 99999ZZZ999 | 9 ... 9ZZZ999

The user can employ one of the three sample methodologies shown above or any other that meets proposal and System requirements, and produces consistent results. The System requires that only numeric characters be used for CLINs and that two (2) non-numeric characters be appended to the CLIN base to define related SubCLINs. After appending the two non-numeric characters that identify a SubCLIN for System purposes, any combination of characters (up to the maximum of eleven for the entire Line Item) can be appended to identify ELINs.

Methodologies should not be mixed in the same proposal.


ITEMREF02SOW

Reference Number (ID: REF02)

Reference number or identification number as defined for a particular Transaction Set.

Notes:

1. The actual assigned number in the Statement of Work (SOW) hierarchical structure.

2. SOW numbering examples:

1. | A.
1.1 | A.A
1.1.1 | A.A.A
. | .
. | .
. | .
20. | T.
20.1 | T.A.
20.2 | T.B.
20.2.1 | T.B.A
. | .
. | .
. | .
n ... | Z ...

The user must use one of these two methodologies to ensure consistent results.

Methodologies should not be mixed in the same proposal.


ITEMREF02WBS

Reference Number (ID: REF02)

Reference number or identification number as defined for a particular Transaction Set.

Notes:

1. The actual assigned number in the Work Breakdown Structure (WBS) hierarchical structure.

2. The System accommodates several WBS schemas (one Numeric, two Alphabetic and four AlphaNumeric). After deciding upon one of the WBS schemas, the user must set the corresponding WBS format, using Menu Operation PropAdmn | Settings | WBSFormat, before entering the WBS structure into the System. Defining a WBS format is needed for sorting purposes. Examples of the syntax used for the System’s WBS schemas are as follows:

· Numeric WBS schema:

1.0
1.1
1.1.1
1.1.1.1
1.1.1.1.1
1.1.1.1.2
.
.
.
1.2
1.3
.
.
.
1 ...

· Alphabetic WBS schema:

A | A
AA | A.A
AAA | A.A.A
AAAA | A.A.A.A
AAAAA | A.A.A.A.A
AAAAB | A.A.A.A.B
. | .
. | .
. | .
AB | A.B
AC | A.C
. | .
. | .
. | .
A ... | A ....

· AlphaNumeric WBS schema:

A | A | 01 | 01
A01 | AA | 01A | 0101
A01A | AAA | 01A01 | 010101
A01A01 | AAAA | 01A01A | 01010101
A01A01A | AAAAA | 01A01A01 | 0101010101
A01A01B | AAAAB | 01A01A02 | 0101010102
. | . | . | .
. | . | . | .
. | . | . | .
B | B | 02 | 02
C | C | 03 | 03
. | . | . | .
. | . | . | .
. | . | . | .
ZZ ... | ZZ ... | 99 ... | 99 ...

· The System’s AlphaNumeric WBS schema is very flexible. However, for sorting purposes, certain conventions must be followed:

· Each level in the hierarchical structure must contain exactly two characters.

· A hierarchical level represented by a single letter must be followed by a blank space.

· A hierarchical level represented by a single digit must be preceded by a zero (0).

· Any hierarchical level can be represented by either letters or digits.

The user must employ one of the System’s WBS schemas to ensure consistent results.

Different schema conventions should not be mixed in the same proposal.


ITEMREF03

Description (ID: REF03)

A free-form description to clarify the related data elements and their content.

Note: Description of the hierarchical structure item.


JIL01

Product/Service ID Qualifier (ID: JIL01)

Code identifying the type/source of the descriptive number used for the item.

Code Descriptions:

A7 Subline Item Number

Use to indicate the award instrument or solicitation sub-line item number.

A8 Exhibit Line Item Number

Use to indicate an item on an exhibit included in an award instrument or a solicitation.

IN Buyer's Item Number

Use to indicate the award instrument or solicitation line item number.


JIL02

Product/Service (ID: JIL02)

Identifying number for a product or service.

Note: The actual contract line item number (CLIN) or contract sub-line item number (SubCLIN). This is the same number as cited in the Assigned Identification.


JIL03

Monetary Amount (ID: JIL03)

Monetary amount.

Notes:

1. Cite the total amount of the CLIN, SubCLIN or ELIN.

2. If the item is a no cost or not separately priced item, enter zero (0).


JIL04

Reference Identification Qualifier (ID: JIL04)

Code Qualifying the Reference Identification.

Code Descriptions:

L4 Proposal Reference Number

Use to idicate a section or paragraph in the proposal where additional information can be found.


JIL05

Reference Identification (ID: JIL05)

Reference number or identification number as defined for a particular Transaction Set, or as specified by the Reference Identification Qualifier.

Note: Provide a number in as much detail as necessary to identify where the information resides in the cost or price proposal, e.g., Vol. II, Sec. 3, para. 6(a)1.


JIL06

Date (ID: JIL06)

Date (Entered as DD-MMM-YY and converted by System to YYMMDD).


LIN01

Assigned Identification (ID: LIN01)

Alphanumeric characters assigned for differentiation within a transaction set.


LINDE234

Product/Service ID (ID: LIN03 & All LIN Data Element 234 Segments)

Identifying number for a product or service.

Note: A maximum of fifteen (15) different Product/Service IDs can be provided for each item. For example: Case, Color, Drawing No., UPC No., ISBN No., Model No., SKU, etc.


LINDE235

Product/Service ID Qualifier (ID: LIN02 & All LIN Data Element 235 Segments)

Code identifying the type/source of the descriptive number used in the Product/Service ID.

Notes:

1. The Product/Service ID Qualifier and Product/Service ID are used in pairs.

2. Any code can be used, but the listed codes are preferred. The same codes should be used here as in a corresponding 843 transaction set.

3. When identifying components of an assembly, the assembly must be identified by use of code "F8" (Next Higher Used Assembly).

Common Code Descriptions:

AK Refined Product Code

CG Commodity Grouping

Use to indicate a commodity code.

CH Country of Origin Code

CL Color

CN Commodity Name

EF Exhibit Identifier

Use to indicate the letter assigned to an exhibit.

F7 End-Item Description

Use to indicate the end item to which the ordered item applies.

F8 Next Higher Used Assembly

Use to indicate the assembly to which the identified components apply.

FS National Stock Number

The NSN shall be transmitted without dashes.

FT Federal Supply Classification

IN Buyer's Item Number

Use to indicate a locally assigned code for a product or service whenever stock number does not apply.

KF Item Type Number

LT Lot Number

MF Manufacturer

When used, cite the DUNS number of the manufacturer in the Product/Service ID.

MG Manufacturer's Part Number

When used, a second Product/Service ID Qualifier and Product/Service ID must be used citing either code "MF" (Manufacturer) or code "ZB" (CAGE code).

MN Model Number

N1 National Drug Code in 4-4-2 Format

N2 National Drug Code in 5-3-2 Format

N3 National Drug Code in 5-4-1 Format

N4 National Drug Code in 5-4-2 Format

ND National Drug Code (NDC)

PD Part Number Description

Use to indicate a clear text description of an item that cannot be identified by a number, e.g., transportation.

PN Company Part Number

PU Part Reference Number

Use to indicate a part number assigned by an industry (not related to a specific manufacturer). Do not use for National Drug Codes.

RC Returnable Container No.

Use to indicate an NSN, manufacturer's part number or other identifying number (except a serial number) of a returnable container.

SN Serial Number

Use to indicate the serial number of the Product/Service being ordered. For example, the serial number of an aircraft engine that is to be repaired.

SV Service Rendered

Use to indicate (in text) the service being ordered.

SW Stock Number

Use to indicate a local stock number.

SZ Vendor Alphanumeric Size Code (NRMA)

Use to indicate the size of an item being ordered.

UK U.P.C./EAN Shipping Container Code (1-2-5-5-1)

VP Vendor's (Seller's) Part Number

Use to indicate a part number assigned by a contractor other than a manufacturer.

ZB Commercial and Government Entity (CAGE) Code

Use to indicate a manufacturer that can be identified by a CAGE code.


LX01

Assigned Number (ID: LX01)

Number assigned for differentiation within a transaction set.

A unique sequence number, starting with number 1, e.g., 1, 2,.3, etc.

Note: The number is assigned automatically by the System, based on related proposal data entered into the System by the user.


AMT01

Amount Qualifier Code (ID: AMT01)

Code to qualify amount.

Notes:

1. In the first iteration of the LX Loop (Sequence 1), only codes "MC", "TC", "TD", "TE" or "TF" may be used.

2. Either code "TD" or code "TE" may be used, but not both.

3. If the proposing party is submitting an alternate offer lower than the amount carried in the Monetary Amount when the Amount Qualifier Code is code "TF" (Total Proposed Price), a second iteration of the LX Loop (Sequence 2) is required with the Amount Qualifier Code citing code "TG" (Alternate Proposed Price).

Code Descriptions:

MC Cost of Money

TC Proposed Cost

TD Proposed Profit

TE Proposed Fee

TF Total Proposed Price

TG Alternate Proposed Price


AMT02

Monetary Amount (ID: AMT02)

Monetary amount.

Notes:

1. The actual amount represented by the Amount Qualifier Code.

2. When Amount Qualifier Code is code "TF", the amount will equal the sum of the amounts representative of the Amount Qualifier Codes "TC", "TD" or "TE", and "MC".


AMT03

Credit/Debit Flag Code (ID: AMT03)

Code indicating whether amount is credit or debit.


G6101

Contact Function Code (ID: G6101)

Code identifying the major duty or responsibility of the person or group named.

Code Descriptions:

CE Certifier

Use to indicate the certifying official for this proposal.


G6102

Name (ID: G6102)

Free-form name.

Note: Use to identify the name of the certifying official or the party authorizing an alternate lower total proposed price. Last name, followed by first name, is preferred. If the whole name is longer than thirty-five (35) characters, the use of an initial for the first name is recommended.


G6103

Communication Number Qualifer (ID: G6103)

Code identifying the type of communication number.

Code Descriptions:

EM Electronic Mail

Use to indicate an E-Mail address.

FX Facsimile

IT International Telephone

TE Telephone


G6104

Communication Number (ID: G6104)

Complete communications number including country or area code when applicable.

Note: When the Communication Number Qualifier (G6103) is code "FX" (Facsimile), code "IT" (International Telephone) or code "TE" (Telephone), include the area code or the country code, as applicable, and cite the number as a continuous number without extraneous characters.


G6105

Contact Inquiry Reference (ID: G6105)

Additional reference number or description to clarify a contact number.

Note: Use to identify the certifying party.


MSGGENERAL

Free-Form Message Text (ID: MSG01)

Free-form message text.

Note: Use to provide information that cannot be provided elsewhere in this transaction set.


MSSysInfo

Microsoft System Information Button

Use to display more detailed System information.

Note: This button executes the Microsoft System Information utility program (Msinfo32.exe). The subject file is installed routinely as part of Microsoft Windows installation.


MULTIPROP

Combined Proposal Considerations

Prior to creating a combined proposal, each of the other specified proposals must already have been converted to and stored in the standard proposal format (i.e., a .TXT file must exist for each). Each of the other specified proposals should have been converted without any control segments (i.e., using ANSI | Translate | ProposalSegmentsOnly).

Each of the other specified proposals must reside on the same path as the active proposal. As required, make each specified proposal active and use ANSI | Copy to copy it (i.e., the .TXT file in the standard proposal format) to a common path.


N101

Entity Identifier Code (ID: N101)

Code identifying an organizational entity, a physical location or an individual.

Notes:

1. This segment, used alone, provides the most efficient method of providing organizational identification. To obtain this efficiency, the "ID" Code must provide a key to the table maintained by the transaction processing party.

2. Whenever possible, identification and address information should be provided using codes (N101, N103 and N104) as opposed to names and locations (N102 and Segment Groups N2.. through N4..).

Code Descriptions:

28 Subcontractor

61 Performed At

Use to indicate the place of performance when other than the proposer's address or if work will be performed at the proposer's address and at another location.

BY Buying Party (Purchaser)

Use to indicate the procuring contracting office.

C4 Contract Administration Office

Use to indicate the cognizant Contract Administration Office of the proposing party.

KF Audit Office

Use to indicate the cognizant audit office of the proposing party.

SE Selling party

Use to indicate the prime contractor.


N102

Name (ID: N102)

Free-form name.

Note: Use only if the party cited in the Entity Identifier Code cannot be identified by an Identification Code.


N103

Identification Code Qualifier (ID: N103)

Code designating the system or method of code structure used for the Identification Code.

Note: While the federal EDI program uses the DUNS number, other government users of this implementation convention may require the use of other and additional numbers for a transition period in order to cross reference existing data bases to new procurement actions.

Code Descriptions:

1 D-U-N-S Number, Dun & Bradstreet

Use of the DUNS and DUNS +4 number is preferred over other codes to identify an entity.

9 D-U-N-S+4, D-U-N-S Number with Four Character Suffix

Use of the DUNS and DUNS +4 number is preferred over other codes to identify an entity.

10 Department of Defense Activity Address Code (DODAAC)

Use to indicate a DoD or Civilian Agency Activity Address Code.

33 Commercial and Government Entity (CAGE)


N104

Identification Code (ID: N104)

Code identifying a party or other code.


N105

Entity Relationship Code (ID: N105)

Code describing an entity relationship.


N106

Entity Identifier Code (ID: N106)

Code identifying an organizational entity, a physical location or an individual.

Code Descriptions:

FR Message From

Use when the Entity Identifier Code is code "28" (Subcontractor) or code "SE" (Selling Party) to indicate the submitter of the cost or price proposal.

TO Message To

Use when the Entity Identifier Code is code "BY" (Buying Party) or code "C4" (Contract Administration Office) to indicate the recipient of the cost or price proposal.


N201

Name (ID: N201)

Free-form name or additional name information.

Note: Use only when the entity has not been identified by a code and it is necessary to provide additional name information.


N202

Name (ID: N202)

Free-form name or additional name information.

Note: Use only when the entity has not been identified by a code and it is necessary to provide additional name information.


N301

Address Information (ID: N301)

Address Information.

Note: Use only when the entity has not been identified by a code.


N302

Address Information (ID: N302)

Address Information.

Note: Use only when the entity has not been identified by a code.


N401

Name: City Name (ID: N401)

Free-form text for city name.

Note: Use only when the entity has not been identified by a code.


N402

Name: State or Province Code (ID: N402)

Code (Standard State or Province) as defined by appropriate government agency.

Note: Use only when the entity has not been identified by a code.


N403

Name: Postal Code (ID: N403)

Code defining international postal zone code excluding punctuation and blanks (zip code for United States).

Note: Use only when the entity has not been identified by a code.


N404

Name: Country Code (ID: N404)

Code identifying the country.

Note: Use only when the entity has not been identified by a code.


N405

Location Qualifier (ID: N405)

Code identifying type of location.


N106

Location Identifier (ID: N406)

Code that identifies a specific location.


NewPasswordText

Password

Assigning a password to a database file protects it against unauthorized use. Once assigned, the user must provide the correct password before a protected database file can be opened for any use.

It is essential that the user remember passwords, when assigned. Otherwise, protected data will be unrecoverable by the System and may be unrecoverable by any other retrieval method.


OldPasswordText

Password

A password has been assigned to the database file to protect it against unauthorized use. The user must provide the correct password before a protected database file can be opened for any use. Otherwise, the protected data is unrecoverable by the System and may be unrecoverable by any other means.


PD02

Date (ID: PD02)

Date (Entered as DD-MMM-YY and converted by System to YYMMDD).

Use to identify the commencement date for the time period specified in the Unit of Time Period or Interval Code.

Note: The date is assigned automatically by the System, based on related proposal data entered into the System by the user.


PD04

Quantity (ID: PD04)

Numeric value of quantity.

Use to identify the quantity of the period of time specified in the Unit of Time Period or Interval Code. For example: If the proposing party wanted to provide two calendar years worth of dollar data, then the Unit of Time Period or Interval Code would carry code “CY”, the Cost Element Unit or Basis for Measurement Code would carry code “DO” for dollars, and the Quantity (PD04) would carry the number “2” indicating the number of calendar years.

Note: The number is assigned automatically by the System, based on related proposal data entered into the System by the user.


PD08

Reference Identification (ID: PD08)

Reference number or identification number as defined for a particular Transaction Set, or as specified by the Reference Identification Qualifier.

Note: Use is required to provide a number that will uniquely identify each Pricing Data (PD) segment. Start with the number one (1) and increase progressively with each PD segment. The purpose of this number is to differentiate between cost elements identified in the "short-hand" cost element name (PD05), specifically when the same cost element is specified for different purposes, e.g., Engineering Labor for CLIN 0001 and Engineering Labor for CLIN 0002.


PD09

Description (ID: PD09)

A free-form description to clarify the related data elements and their content.

Note: Use to provide a free-form text description of the data being provided, e.g., labor rates, overhead rates, purchased parts, direct labor hours, etc.


PD10

Proposal Data Detail Identifier Code (ID: PD10)

Code identifying the basis of a cited value in a proposal.

Code Descriptions:

AM Actual

AN Estimated

AO Negotiated

Includes rates established by Forward Pricing Rate Agreements.

AP Mixed

Notes:

1. Use to identify the nature of the proposal values.

2. This item is included on the data entry form, because it’s part of the ANSI standard. However, it’s not used by the the System’s Proposal Analyzer and its value can be blank, unless the proposal requestor specifies otherwise.


PDD01

Assigned Identification (ID: PDD01)

Alphanumeric characters assigned for differentiation within a transaction set.

A unique sequence number (starting with number 1 and going progressively higher as applicable) assigned by the originator of the transaction set.

Note: The identification number is assigned automatically by the System, based on related proposal data entered into the System by the user.


PDD02

Quantity (ID: PDD02)

Numeric value of quantity.

The quantity of the value being proposed as described in the Pricing Data (PD) segment.


PDD03

Monetary Amount (ID: PDD03)

Monetary Amount.

The monetary amount of the value being proposed as described in the Pricing Data (PD) segment.


PDD04

Percent (ID: PDD04)

Percentage expressed as a decimal.

The rate (provided the rate is expressed as a percent) of the value being proposed.

Note: Only one of Quantity, Monetary Amount or Percent is permitted in each iteration of the Pricing Data Detail (PDD) segment. Based on related proposal data entered into the System by the user, the System assigns a value either to Quantity, Monetary Amount or Percent.


PDDMSG01

Free-Form Message Text (ID: MSG01)

Free-form message text.

Note: Use to provide free-form text explanations and clarifications, such as formula derivation, basis of estimate, source of escalation factor, citation of accompanying schedule containing back-up data or other circumstance that calls for a free form note.


PDN1_REF01

Reference Identification Qualifier (ID: REF01)

Code Qualifying the Reference Identification.

Note: Use any code.


PDN1_REF02

Reference Identification (ID: REF02)

Reference information as defined for a particular Transaction Set or as specified by the Reference Identification Qualifier.

Note: The actual reference number of the item qualified (e.g., part number, services, etc.).


PDN1_REF03

Description (ID: REF03)

A free-form description to clarify the related data elements and their content.

Note: Use for free-form description to clarify reference.


PDN1REF01

Reference Identification Qualifier (ID: REF01)

Code qualifying the Reference Identification.

Note: Use any recognized code.


PDN1REF02

Reference Identification (ID: REF02)

Reference number or identification number as defined for a particular Transaction Set, or as specified by the Reference Identification Qualifier (i.e., the actual reference number of the item qualified).


PDN1REF03

Description (ID: REF03)

A free-form description to clarify the related data elements and their content.

Note: Use to clarify the Reference ID.


PDN101

Entity Identifier Code (ID: N101)

Code identifying an organizational entity, a physical location or an individual.

Notes:

1. Use the PD/N1 Loop only to provide address and reference number data, when the proposal contains discrete values (e.g., subcontract costs, interdivisional transfers, etc.)

2. This segment, used alone, provides the most efficient method of providing organizational identification. To obtain this efficiency, the "ID" Code must provide a key to the table maintained by the transaction processing party.

3. Whenever possible, identification and address information should be provided using codes (N101, N103 and N104) as opposed to names and locations (N102 and Segment Groups N2.. through N4..).

4. Information for the cognizant Government Contract Administration Office must be provided, when the Entity ID Code is for a Subcontractor (28) or a Division (DV).

Code Descriptions:

28 Subcontractor

61 Performed At

Use to indicate the place of performance when other than the proposer's address or if work will be performed at the proposer's address and at another location.

C4 Contract Administration Office

Use to indicate the cognizant ACO, when a subcontractor or division is cited.

DV Division

Use to indicate the division applicable to an interdivisional transfer.


PDN102

Name (ID: N102)

Free-form name.

Note: Use only if the party cited in the Entity Identifier Code cannot be identified by an Identification Code.


PDN103

Identification Code Qualifier (ID: N103)

Code designating the system or method of code structure used for the Identification Code.

Note: While the federal EDI program uses the DUNS number, other government users of this implementation convention may require the use of other and additional numbers for a transition period in order to cross reference existing data bases to new procurement actions.

Code Descriptions:

1 D-U-N-S Number, Dun & Bradstreet

Use of the DUNS and DUNS +4 number is preferred over other codes to identify an entity.

9 D-U-N-S+4, D-U-N-S Number with Four Character Suffix

Use of the DUNS and DUNS +4 number is preferred over other codes to identify an entity.

10 Department of Defense Activity Address Code (DODAAC)

Use to indicate a DoD or Civilian Agency Activity Address Code.

33 Commercial and Government Entity (CAGE)


PDN104

Identification Code (ID: N104)

Code identifying a party or other code.


PDN105

Entity Relationship Code (ID: N105)

Code describing an entity relationship.


PDN106

Entity Identifier Code (ID: N106)

Code identifying an organizational entity, a physical location or an individual.


PDN201

Name (ID: N201)

Free-form name or additional name information.

Note: Use only when the entity has not been identified by a code and it is necessary to provide additional name information.


PDN202

Name (ID: N202)

Free-form name or additional name information.

Note: Use only when the entity has not been identified by a code and it is necessary to provide additional name information.


PDN301

Address Information (ID: N301)

Address Information.

Note: Use only when the entity has not been identified by a code.


PDN302

Address Information (ID: N302)

Address Information.

Note: Use only when the entity has not been identified by a code.


PDN401

Name: City Name (ID: N401)

Free-form text for city name.

Note: Use only when the entity has not been identified by a code.


PDN402

Name: State or Province Code (ID: N402)

Code (Standard State or Province) as defined by appropriate government agency.

Note: Use only when the entity has not been identified by a code.


PDN403

Name: Postal Code (ID: N403)

Code defining international postal zone code excluding punctuation and blanks (zip code for United States).

Note: Use only when the entity has not been identified by a code.


PDN404

Name: Country Code (ID: N404)

Code identifying the country.

Note: Use only when the entity has not been identified by a code.


PDN405

Location Qualifier (ID: N405)

Code identifying type of location.


PDN106

Location Identifier (ID: N406)

Code that identifies a specific location.


PDREF01

Reference Number Qualifier (ID: REF01)

Code qualifying the Reference Number.

Code Descriptions:

74 Work Breakdown Structure (WBS)

83 Extended (or Exhibit) Line Item Number (ELIN)

C7 Contract Line Item Number (CLIN)

K7 Paragraph Number

Use to indicate a SOW paragraph number.

L6 Subcontract Line Item Number (SUBCLIN)

Note: The code is assigned automatically by the System, based on related proposal data entered into the System by the user.


PDREF02

Reference Number (ID: REF02)

Reference number or identification number as defined for a particular Transaction Set, or as specified by the Reference Number Qualifier.

Note: The code is assigned automatically by the System, based on related proposal data entered into the System by the user.


PDREF03

Description (ID: REF03)

A free-form description to clarify the related data elements and their content.

Use, if necessary, to provide a text description of the cited Reference Number.

Note: The description is assigned automatically by the System, based on related proposal data entered into the System by the user.


PDSPI01

Security Level Code (ID: SPI01)

Code indicating the level of confidentiality assigned by the sender to the information following.

Code Descriptions:

90 Government Non-Classified

92 Government CONFIDENTIAL

93 Government Secret

95 Government Top Secret

Notes:

1. Use to identify the government security classification applicable to the related proposal data. If the data also has a commercial protection requirement, identify that requirement in the Proposer Security Level Code.

2. This item is included on the data entry form, because it’s part of the ANSI standard. However, it’s not used by the the System’s Proposal Analyzer and its value can be blank, unless the proposal requestor specifies otherwise.


PDSPI09

Security Level Code (ID: SPI09)

Code indicating the level of confidentiality assigned by the sender to the information following.

Code Descriptions:

05 Personal

Use to indicate the information provided within this cost or price proposal is subject to the Privacy Act.

06 Supplier Proprietary

Use to indicate the originator's cost or pricing data shall be protected in accordance with FAR 3.104-5(a).

11 Competition Sensitive

Notes:

1. Use to identify the highest commercial protection level assigned to the proposal by the submitter.

2. This item is included on the data entry form, because it’s part of the ANSI standard. However, it’s not used by the the System’s Proposal Analyzer and its value can be blank, unless the proposal requestor specifies otherwise.


PL01

Assigned Number (ID: PL01)

Number assigned for differention within a transaction set.

Note: A progressive number starting with the number "1" to provide a logic sequence for each iteration of the PL Segment (e.g., 1, 2, 3, etc.).


PL02

Unit or Basis for Measurement Code (ID: PL02)

Code specifying the units in which a value is being expressed, or manner in which a measurement has been taken.

Notes:

1. While any code can be used, the following is a preferred code list:

A8 Dollars per Hour

DO Dollars

HR Hours

IE Person

Use to indicate a human resource, i.e., people assigned to a task.

PI Percent

UN Units

ZZ Mutually Defined

Use to indicate other non-hour units.

2. This code is entered into the Proposal Cost Logic form automatically, when the Element Identifier is entered.

3. This code is entered into the System, and can be changed, only in the System Cost Element Structure routine.


PL03

Cost Element Identifier (ID: PL03)

Free-form name.

Notes:

1. The "short-hand" name given to a cost element that appears in a cost or price proposal. For example, DLH or the number 24680 could be used as the "short-hand" name for direct labor hours. Since DLH is more descriptive of the cost element it represents, it is the better choice in this example.

2. These unique short-hand names are assigned by the originator of the transaction set (i.e., proposal). The ANSI standard also includes “Cost Element Description” (ID: PD06) to which the short-hand names refer. Since the actual descriptions can be quite long, short-hand names provide the means to make references to the cost elements more manageable.

3. These names are used in defining proposal cost logic and in entering proposal data. Therefore, you should consider assigning names whose meaning is clear and that you will remember while accomplishing the proposal operations that use them.

4. This code can be entered into the Proposal Cost Logic form only through table lookup.

5. This code is entered into the System, and can be changed, only in the System Cost Element structure routine (i.e., BuildStructure | Element).


PL03LOOKUP

Table Lookup

Certain data elements have lookup tables associated with them. Lookup tables contain a list of valid element values from which the user can select a value for direct entry onto a data entry form. Pressing the button next to an element while entering data activates table lookup for that element.

Note that the Element ID can be entered only through table lookup. As a consequence, only those elements entered into the System through BuildStructure | Element can be used to define proposal cost logic. To preserve logical consistency, a proposal's cost element structure must be defined before its cost logic.


PL04

Calculation Operation Code (ID: PL04)

Code identifying what type of calculation will take place.

Code Descriptions:

A Add

D Divide

E Equals

F End of Formula

M Multipy

R Raise to a Power

S Subtract

Notes:

1. General guidance for Cost Logic is available as part of System Help. To access this guidance, activate Help from the System Menu Bar or press the F1 Key during data entry. Then select the Contents Tab | Building a Proposal | Proposal Structure Definition | CostLogic.

2. Use of the codes in context is demonstrated in the various sample proposals distributed with the System. For most users, reviewing and understanding the structures of the sample proposals will be the fastest means to achieving System proficiency.


PL05

Cost Element Description (ID: PL05)

A free-form description of the subject cost element.

Notes:

1. The "long-hand" description of the "short-hand" Cost Element Identifier.

2. This description is entered into the Proposal Cost Logic form automatically, when the element identifier is entered.

3. This description is entered into the System, and can be changed, only in the System cost element structure routine.


PL06

Count (ID: PL06)

The ANSI Standard uses Count to indicate that the subject cost element is to appear on the cost summary at the position (i.e., row number) specified. For purposes of the ANSI Standard, this data element will be used, when the Unit of Measurement code is "DO" and the Calculation Operation code is "E", and it is desired to display the dollar amounts on the cost summary.

Notes:

1. The System uses Count for purposes beyond what is encompassed within the ANSI Standard, while still remaining consistent with it. The System uses Count to indicate that a cost element is to appear on the Summary Worksheet, but not necessarily at the position specified. The System derives the cost element display order from each element’s relative position in the proposal’s Logic Table. For System purposes, entering any non-blank value for the Display Order # will cause the element to be displayed on the Summary Worksheet, while a blank entry will cause the element to be hidden.

2. For System (i.e., Validation Cost Model and Proposal Analyzer) purposes, preceding the Display Order # with a zero (0) will cause a blank row to be entered before the subject cost element (e.g., 05 to insert a blank row before the 5th element displayed, 021 to insert a blank row before the 21st element displayed or just 0 to insert a blank row before the preceding cost element).

3. General guidance for Cost Logic is available as part of System Help. To access this guidance, activate Help from the System Menu Bar or press the F1 Key during data entry. Then select the Contents Tab | Building a Proposal | Proposal Structure Definition | CostLogic.

4. Use of the Count item in context is demonstrated in the various sample proposals distributed with the System. For most users, reviewing and understanding the structures of the sample proposals will be the fastest means to System proficiency.


PROPDATASTARTPERIOD

Data Start Period

The specific period within the overall proposal period in which cost data is to begin.

Notes:

1. The data start period is usually the first period within the overall proposal period.

2. However, under certain circumstances, such as when a proposal period is expanded, it may be desirable to shift existing proposal data from the first period to some other, later period. In effect, this parameter allows periods to be inserted into the overall proposal period.

3. Data for this parameter can be entered only by table lookup.


PROPENDDATE

Proposal End Date

The planned end date for contract performance and associated cost incurrence.

Note: This date is used to determine the last period in which cost data can be entered into the System.


PROPSTARTDATE

Proposal Start Date

The planned start date for contract performance and associated cost incurrence.

Note: This date is used to determine the first period in which cost data can be entered into the System.


PROPUNITOFTIME

Unit of Time Period or Interval Code (ID: PD01)

Code indicating the time period or interval used to enter cost data into the System.

Code Descriptions:

CY Calendar Year

FY Fiscal Year

MO Month

QR Quarter

Note: The user should select the initial unit of time period carefully, since the System will not allow this code to be changed, while any cost data is entered into the System. To change this code, so as to be able to enter data using other than the current time period, it is necessary to delete all existing cost data from the System, both base and rate data.


Remove Proposal Button

Use to remove a proposal from the list of those to be included in the ANSI compliant multiple proposal file.


RTSREF01

Reference Identification Qualifier (ID: REF01)

Code qualifying the Reference Identification.

Note: Use to identify reference numbers applicable to the entire transaction set.

Code Descriptions:

C4 Change Number

Use to indicate an award instrument modification number other than a modification number cited in the Government Change Order Sequence Number, e.g., P00002, A00002, etc.

When multiple modifications apply to this 805 transaction set, the first modification number that applies is always cited in the Government Change Order Sequence Number.

DO Delivery Order Number

When the Reference ID Code is code "CT", use, if applicable, to indicate a call, release or delivery order against the basic award instrument. This is always the Supplemental Procurement Instrument Identification Number (SPIIN) for DoD or the equivalent expression for Civilian Agencies.

PR Price Quote Number

Use to indicate the number assigned to a quote or proposal submitted in an 843 transaction set.

TN Transaction Reference Number

Use to indicate the unique reference number of a related transaction set (e.g., a 251 transaction set carrying supporting data). Each transaction set has a unique number. In the case of the 251 transaction set, that number is carried in the transaction set's Beginning Segment Reference Number. When used, cite the transaction set number, e.g., 251, in the first three positions of the Reference Description.

WF Locally Assigned Control Number

Use to indicate the working modification number.


RTSREF02

Reference Identification (ID: REF02)

Reference number or identification number for a particular Transaction Set, or as specified by the Reference Identification Qualifier.


RTSREF03

Description (ID: REF03)

A free-form description to clarify the related data elements and their content.

Note: When the Reference Identification Qualifier is code "TN", use to identify the transaction set number.


SE01

Number of Included Segments (ID: SE01)

Total number of segments included in a transaction set including ST and SE segments.

Note: The number is computed automatically by the System.


SE02

Transaction Set Control Number (ID: SE02)

Identifying control number that must be unique within the transaction set functional group assigned by the originator for a transaction set.

Notes:

1. This is the same unique control number cited in ST02.

2. The System automatically assigns the same number to SE02 that the user assigns to ST02.


Set Decimal Places Displayed Button

Use to set the number of decimal places displayed during entry of base and rate data into the System. The number of decimal places displayed can be set from zero (0) to seven (7).

The number of decimal places retained by the System depends on the value actually entered into the form and is not affected by the number displayed.


SPI01

Security Level Code (ID: SPI01)

Code indicating the level of confidentiality assigned by the sender to the information following.

Code Descriptions:

90 Government Non-Classified

92 Government Confidential

93 Government Secret

94 Government Top Secret

Notes:

1. Use to identify the government security classification applicable to the related proposal data. If the data also has a commercial protection requirement, identify that requirement in the Proposer Security Level Code.

2. This item is included on the data entry form, because it’s part of the ANSI standard. However, it’s not used by the the System’s Proposal Analyzer and its value can be blank, unless the proposal requestor specifies otherwise.


SPI02

Reference Identification Qualifier (ID: SPI02)

Code Qualifying the Reference Identification.

Code Descriptions:

39 Proposal Number

Use to indicate the number assigned to the submitted cost or price proposal.


SPI03

Reference Identification (ID: SPI03)

Reference number or identification number as defined for a particular Transaction Set, or as specified by the Reference Identification Qualifier.

The Reference Identification Qualifier is always code "39", which indicates the Reference Identification is a proposal number.

Note: The Reference Identification is the actual proposal number as assigned by the proposing party.


SPI04

Entity Title (ID: SPI04)

Title of the data entity.


SPI05

Entity Purpose (ID: SPI05)

The reason for the existence of the data item specified by the electronic data item independent of its presence in an EDI transaction.


SPI06

Entity Status Code (ID: SPI06)

Code indicating the current status of the data item specified by the electronic data item.


SPI07

Transaction Set Purpose Code (ID: SPI07)

Code identifying purpose of transaction set.


SPI08

Report Type Code (ID: SPI08)

Code indicating the title or contents of a document, report or supporting item.


SPI09

Security Level Code (ID: SPI09)

Code indicating the level of confidentiality assigned by the sender to the information following.

Code Descriptions:

05 Personal

Use to indicate the information provided within this cost or price proposal is subject to the Privacy Act.

06 Supplier Proprietary

Use to indicate the originator's cost or pricing data shall be protected in accordance with FAR 3.104-5(a).

11 Competition Sensitive

Notes:

1. Use to identify the highest commercial protection level assigned to the proposal by the submitter.

2. This item is included on the data entry form, because it’s part of the ANSI standard. However, it’s not used by the the System’s Proposal Analyzer and its value can be blank, unless the proposal requestor specifies otherwise.


SPI10

Agency Qualifier Code (ID: SPI10)

Code identifying the agency assigning the code values.


SPI11

Source Subqualifier (ID: SPI11)

A reference that indicates the table or text maintained by the Source Qualifier.


SPI12

Assigned Number (ID: SPI12)

Number assigned for differentiation within a transaction set.


SPI13

Certification Type Code (ID: SPI13)

Code indicating the type of certification.

Code Descriptions:

A Certification of Current Cost and Pricing Data

B Certification of Overhead

C Certification Not Required

I Initial

R Renewal

S Revised


SPI14

Proposal Data Detail Identifier Code (ID: SPI14)

Code identifying the basis of a cited value in a proposal.


ST01

Transaction Set Identifier Code (ID: ST01)

Code uniquely identifying a Transaction Set.

Code Descriptions:

805X12.195 Contract Pricing Proposal

Note: The code is assigned automatically by the System, based on related proposal data entered into the System by the user.


ST02

Transaction Set Control Number (ID: ST02)

Identifying control number that must be unique within the transaction set functional group assigned by the originator for a transaction set.

Note: A unique number assigned by the originator of the transaction set or by the originator's application program.


TASKCLINREF

Rererence Identification (ID: REF02)

Reference information as defined for a particular Transaction Set or as specified by the Reference Identification Qualifier.

Notes:

1. Entry is the appropriate Line Item number (Contract Line Item Number (CLIN), SubContract Line Item Number (SubCLIN) or Exhibit Line Item Number (ELIN).

2. The System automatically assigns the System default Line Item reference (*Default), if the user does not specify a Line Item reference for the task or if the user has not defined a Line Item structure for the proposal.


TASKDATECOMPLETE

Completion Date

Proposal Preparation Completion Date for a Particular Task.

The actual or projected date when the proposal detail for a particular task is either entered into the System or expected to be entered into the System.


TASKDES

Task Description

A free-form description of the subject task.

Note: The "long-hand" description of the "short-hand" Task Identifier.


TASKID

Task Identifier

Free-form name.

Notes:

1. The "short-hand" name given to a task that appears in a cost or price proposal. For example, "T1" or "Task 1" could be used as the "short-hand" name for a task that encompasses a proposal's nonrecurring system design effort.

2. These unique short-hand names are assigned by the originator of the transaction set and should have a logical basis in the originator's plan to accomplish the overall effort. The System’s Task data entry form also includes “Task Description” to which the short-hand names refer. Since the actual descriptions can be quite long, short-hand names provide the means to make references to the tasks more manageable.

3. These names are used to define the various actions by which an effort is to be accomplished and provide the framework for entering proposal data systematically.


TASKPERCENTCOMPLETE

Percent Completed

Percent of Proposal Preparation Completed for a Particular Task.

A number from 0 to 100 that shows, as a percentage, how much of the proposal detail for a particular task has been entered into the System already.


TASKREC

Breakdown Structure Detail Code (ID: PD07)

Code identifying details relating to a reporting breakdown structure tree.

Code Descriptions:

26 Recurring Only

27 Nonrecurring Only

ZZ Recurring and Nonrecurring Combined

Unless otherwise specified, the System uses code "ZZ" as the default code.


TASKRESPONSIBLEOFFICE

Responsible Office

Office Responsible for Entering Proposal Data into the System for a Particular Task.

Free-form name or symbol of the applicable organization.


TASKRESPONSIBLEPERSON

Responsible Person

Person Responsible for Entering Proposal Data into the System for a Particular Task.

Free-form name or symbol of the applicable individual.


TASKSOWREF

Reference Identification (ID: REF02)

Reference information as defined for a particular Transaction Set or as specified by the Reference Identification Qualifier.

Notes:

1. Entry is the appropriate Statement of Work (SOW) number.

2. The System automatically assigns the System default SOW number reference (*Default), if the user does not specify a SOW number reference for the task or if the user has not defined a SOW structure for the proposal.


TASKWBSREF

Rererence Identification (ID: REF02)

Reference information as defined for a particular Transaction Set or as specified by the Reference Identification Qualifier.

Notes:

1. Entry is the appropriate Work Breakdown Structure (WBS) item.

2. The System automatically assigns the System default WBS item reference (*Default), if the user does not specify a WBS item or if the user has not defined a WBS for the proposal.


TBVALLOCATIONCODE

Allocation Curve Code

Code determining how the total value for the subject base element is to be allocated over the proposal periods.

Notes:

1. The user controls how the total base value is allocated over the proposal periods by specifying the appropriate code. The code can only be entered by table lookup.

2. Allocating the total value using an allocation curve allows the user to enter and change base data rapidly and consistently.


Total Base Value

Total base element value to be allocated over proposal periods.

Notes:

1. The total value is allocated over the proposal periods as specified by the user via the Allocation Curve Code.

2. Allocating the total value using an allocation curve allows the user to enter and change base data rapidly and consistently.


TS251BOMAdjustmentDollar

Dollar Button (TS 251 BOM Data Entry Mode Adjustment Method)

Transaction Set (TS) 251 includes provision for base unit prices and adjusted unit prices in the Bill of Material (BOM). Setting the Dollar Button informs the System that base unit prices are to be adjusted during BOM data entry, and causes it to disable the Adjustment Factor field and to enable the Base Unit Price and Proposed Unit Price fields.


TS251BOMAdjustmentNone

None Button (TS 251 BOM Data Entry Mode Adjustment Method)

Transaction Set (TS) 251 includes provision for base unit prices and adjusted unit prices in the Bill of Material (BOM). Setting the None Button informs the System that base unit prices are not to be adjusted during BOM data entry, and causes it to disable the Base Unit Price and Adjustment Factor fields and to enable the Proposed Unit Price field.


TS251BOMAdjustmentPercent

Percent Button (TS 251 BOM Data Entry Mode Adjustment Method)

Transaction Set (TS) 251 includes provision for base unit prices and adjusted unit prices in the Bill of Material (BOM). Setting the Percent Button informs the System that base unit prices are to be adjusted during BOM data entry, and causes it to disable the Proposed Unit Price field and to enable the Base Unit Price and Adjustment Factor fields.


TTRelatedStructureElements

Related Structure Elements Button

The Related Structure Elements Button displays the Line Item, WBS Item and SOW Item numbers associated with the active Task ID.


TTSortAscending

Sort Ascending Button

The Sort Ascending Button sorts the form’s records in ascending order (0 to 9, A to Z) based on the Sort Option selected by the user.


TTSortButtonLineItem

Sort Option Button: Line Item by Task

Selecting the Line Item by Task Sort Option causes the active proposal’s Task Table to be sorted by Line Item by Task ID.


TTSortButtonOffice

Sort Option Button: Office by Task

Selecting the Office by Task Sort Option causes the active proposal’s Task Table to be sorted by Responsible Office by Task ID.


TTSortButtonPerson

Sort Option Button: Person by Task

Selecting the Person by Task Sort Option causes the active proposal’s Task Table to be sorted by Responsible Person by Task ID.


TTSortButtonSOWItem

Sort Option Button: SOW Item by Task

Selecting the SOW Item by Task Sort Option causes the active proposal’s Task Table to be sorted by SOW Item by Task ID.


TTSortButtonTask

Sort Option Button: Task

Selecting the Task Sort Option causes the active proposal’s Task Table to be sorted by Task ID.


TTSortButtonWBSItem

Sort Option Button: WBS Item by Task

Selecting the WBS Item by Task Sort Option causes the active proposal’s Task Table to be sorted by WBS Item by Task ID.


TTSortDescending

Sort Descending Button

The Sort Descending Button sorts the form’s records in descending order (9 to 0, Z to A) based on the Sort Option selected by the user.


UserAccessCustomizeMenuToggleButton

Menu Item Enable or Disable Button

Clicking the button on enables the related menu item, while clicking it off has the opposite effect. A menu item must be enabled to execute its System operation.


ValModAmountColumnsDecimalPlaceButtons

Validation Model Amount Columns Decimal Places

Set the number of decimal places to be used for both Rounding and Formatting of the Validation Model’s Amount columns.


ValModBaseColumnsDecimalPlaceButtons

Validation Model Base Columns Decimal Places

Set the number of decimal places to be used for Formatting of the Validation Model’s Base columns. The number of decimal places specified for Formatting applies only to display (i.e., any Rounding accomplished by the System affects only display). Actual values, including all decimal places, are stored in System memory.


ValModRateColumnsDecimalPlaceButtons

Validation Model Rate Columns Decimal Places

Set the number of decimal places to be used for Formatting of the Validation Model’s Rate columns. The number of decimal places specified for Formatting applies only to display (i.e., any Rounding accomplished by the System affects only display). Actual values, including all decimal places, are stored in System memory.


WBSFormatAlphabetic

Alphabetic Button

The Alphabetic Button is used to set the basic Work Breakdown Structure (WBS) format to Alphabetic, which is necessary to define an Alphabetic WBS schema. The System incorporates two (2) Alphabetic WBS schemas. For sorting purposes, the System requires that one or the other of the following syntax be used for the Alphabetic WBS schema:

A | A
AA | A.A
AAA | A.A.A
AAAA | A.A.A.A
AAAAA | A.A.A.A.A
AAAAB | A.A.A.A.B
. | .
. | .
. | .
AB | A.B
AC | A.C
. | .
. | .
. | .
A ... | A ....

Additional information on the subject is available under the Contents Tab of System Help (i.e., Building a Proposal | Proposal Structure Definition | WBS).


WBSFormatAlphaNumeric

AlphaNumeric Button

The AlphaNumeric Button is used to set the basic Work Breakdown Structure (WBS) format to AlphaNumeric, which is necessary to define an AlphaNumeric WBS schema.

The System’s AlphaNumeric WBS schema is very flexible. However, for sorting purposes, certain conventions must be followed:

· Each level in the hierarchical structure must contain exactly two characters.

· A hierarchical level represented by a single letter must be followed by a blank space.

· A hierarchical level represented by a single digit must be preceded by a zero (0).

· Any hierarchical level can be represented by either letters or digits.

Examples of syntax that may be used for the System’s AlphaNumeric WBS schema are as follows:

A | A | 01 | 01
A01 | AA | 01A | 0101
A01A | AAA | 01A01 | 010101
A01A01 | AAAA | 01A01A | 01010101
A01A01A | AAAAA | 01A01A01 | 0101010101
A01A01B | AAAAB | 01A01A02 | 0101010102
. | . | . | .
. | . | . | .
. | . | . | .
B | B | 02 | 02
C | C | 03 | 03
. | . | . | .
. | . | . | .
. | . | . | .
ZZ ... | ZZ ... | 99 ... | 99 ...

Additional information on the subject is available under the Contents Tab of System Help (i.e., Building a Proposal | Proposal Structure Definition | WBS).


WBSFormatNumeric

Numeric Button

The Numeric Button is used to set the basic Work Breakdown Structure (WBS) format to Numeric, which is necessary to define a Numeric WBS schema. For sorting purposes, the System requires that the following syntax be used for the Numeric WBS schema:

1.0
1.1
1.1.1
1.1.1.1
1.1.1.1.1
1.1.1.1.2
.
.
.
1.2
1.3
.
.
.
1 ...

Additional information on the subject is available under the Contents Tab of System Help (i.e., Building a Proposal | Proposal Structure Definition | WBS).